<?php
require_once( "../../db.php" );
//require_once( "useSingleton.php" );
/**
 * Methods for database handling.
 */
class Operations extends Db  {

   
    const BCRYPT_COST = 14;
	
	public $term;
	public $session;
	public $staffid;
	public $date;
	public $old;
	public $new;
	public $class;
	public $name;
	public $amount;
	 
	 
	 public function __construct() {

   }

   public function updatePortal($id,$term,$session,$staffid,$date)
   {
	 $instance = parent::getInstance();
	// $instance = new DBAccess();
 $MySQLiconn  = $instance->getConnection();
 
  $sql = 'UPDATE portal  SET term = :term, session = :session, staffid = :staffid, date = :date   where id = :id';
  
	
	$statement = $MySQLiconn->prepare($sql);
	 $statement->bindValue(':id', $id);
	$statement->bindValue(':term', $term);
	$statement->bindValue(':session', $session);
	$statement->bindValue(':staffid', $staffid);
	$statement->bindValue(':date', $date);
	
	$statement->execute();
  
 
   
	parent::DisConnect( $MySQLiconn);   
	}

	public function findCurrentPortalValues($id){
			
		$instance = parent::getInstance();	
   $MySQLiconn  = $instance->getConnection();
		
		try {
		$sql = "SELECT * from portal WHERE id =:id";
		
		$statement = $MySQLiconn->prepare($sql);
		
		$statement->bindValue(':id',$id);
		 $statement->execute();
	  $row = $statement->fetch(PDO::FETCH_ASSOC);  
	  $this->term = $row['term'];
	  $this->session = $row['session'];
	  $this->staffid = $row['staffid'];
	  $this->date = $row['date'];
		parent::DisConnect( $MySQLiconn);	

		}
		catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 

		}	

	
	
		public function AddFee($name,$amount,$class,$date){
		
			try{
		   
		   
		   $instance = parent::getInstance();
		   // $instance = new DBAccess();
		$MySQLiconn  = $instance->getConnection();
			
		   $sql = 'INSERT INTO managefees (name,amount,class,date)
				   VALUES (:name, :amount,:class, :date)';
   
		  
			
		   $statement = $MySQLiconn->prepare($sql);
			$statement->bindValue(':name', $name);
		   $statement->bindValue(':amount', $amount);
		   $statement->bindValue(':class', $class);
		   $statement->bindValue(':date', $date);
		   
		   
		   $statement->execute();
   
		   parent::DisConnect( $MySQLiconn);	 
			   
			   
			   
				
				
				}
				
				catch(Exception $e){
			   echo "oops! ".$e->getMessage(); 
			   
			   } 
			   
		   
	   }


	   public function findFeeById($id){
			
		$instance = parent::getInstance();	
   $MySQLiconn  = $instance->getConnection();
		
		try {
		$sql = "SELECT * from managefees WHERE id =:id";
		
		$statement = $MySQLiconn->prepare($sql);
		
		$statement->bindValue(':id',$id);
		 $statement->execute();
	  $row = $statement->fetch(PDO::FETCH_ASSOC);  
	  $this->amount = $row['amount'];
	  $this->name = $row['name'];
	  $this->class = $row['class'];
	  $this->date = $row['date'];
		parent::DisConnect( $MySQLiconn);	

		}
		catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 

		}

	
		public function updateFee($id,$amount,$name,$class,$date)
		{
		  $instance = parent::getInstance();
		 // $instance = new DBAccess();
	  $MySQLiconn  = $instance->getConnection();
	  
	   $sql = 'UPDATE managefees  SET amount = :amount, name = :name, class = :class, date = :date   where id = :id';
	   
		 
		 $statement = $MySQLiconn->prepare($sql);
		  $statement->bindValue(':id', $id);
		 $statement->bindValue(':amount', $amount);
		 $statement->bindValue(':name', $name);
		 $statement->bindValue(':class', $class);
		 $statement->bindValue(':date', $date);
		 
		 $statement->execute();
	   
	  
		
		 parent::DisConnect( $MySQLiconn);   
		 }	

   
		 public function getAllFees(){
	 
			$instance = parent::getInstance();
			  // $instance = new DBAccess();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = 	"SELECT  * FROM managefees ";
		   
		   
		   $statement = $MySQLiconn->prepare($sql);
			  
			
			  $statement->execute();
			  
			  return $statement;
			 
			   parent::DisConnect( $MySQLiconn); 
		   
		   }	

		  
		   public function deleteFee($id)
		   {
			 $instance = parent::getInstance();
			// $instance = new DBAccess();
		 $MySQLiconn  = $instance->getConnection();
		 
		  $sql = 'delete from managefees   where id = :id';
		  
			
			$statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':id', $id);
			
			
			$statement->execute();
		  
		 
		   
			parent::DisConnect( $MySQLiconn);   
			}	  
 public function addDestination($name,$price,$date) {
		
		try{
	   
	   
	   $instance = parent::getInstance();
	   // $instance = new DBAccess();
	$MySQLiconn  = $instance->getConnection();
		
	   $sql = 'INSERT INTO destination (name,price,date)
			   VALUES (:name, :price, :date)';

	  
		
	   $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':name', $name);
		$statement->bindValue(':price', $price);
		$statement->bindValue(':date', $date);
	   
	   
	   $statement->execute();

	   parent::DisConnect( $MySQLiconn);	 
		   
		   
		   
			
			
			}
			
			catch(Exception $e){
		   echo "oops! ".$e->getMessage(); 
		   
		   } 
		   
	   
   }


   public function editDestination($id,$name,$price,$date) {
		
	try{
   
   
   $instance = parent::getInstance();
   // $instance = new DBAccess();
$MySQLiconn  = $instance->getConnection();
	
   $sql = " UPDATE destination set name = :name, price = :price, date = :date 
   WHERE id = :id ";
	
   $statement = $MySQLiconn->prepare($sql);
	$statement->bindValue(':id', $id);
	$statement->bindValue(':name', $name);
	$statement->bindValue(':price', $price);
	$statement->bindValue(':date', $date);
   
   
   $statement->execute();

   parent::DisConnect( $MySQLiconn);	 
	   
	   
	   
		
		
		}
		
		catch(Exception $e){
	   echo "oops! ".$e->getMessage(); 
	   
	   } 
	   
   
}


public function findDestinationById($id){
			
	$instance = parent::getInstance();	
$MySQLiconn  = $instance->getConnection();
	
	try {
	$sql = "SELECT * from destination WHERE id =:id";
	
	$statement = $MySQLiconn->prepare($sql);
	
	$statement->bindValue(':id',$id);
	 $statement->execute();
  $row = $statement->fetch(PDO::FETCH_ASSOC);  
  $this->price = $row['price'];
  $this->name = $row['name'];
  
  $this->date = $row['date'];
	parent::DisConnect( $MySQLiconn);	

	}
	catch(Exception $e){
		echo "oops! ".$e->getMessage(); 
		
		} 

	}

	public function getAllDestination(){
	 
		$instance = parent::getInstance();
		  // $instance = new DBAccess();
	   $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 	"SELECT  * FROM destination";
	   
	   
	   $statement = $MySQLiconn->prepare($sql);
	  
		
		  $statement->execute();
		  
		  return $statement;
		 
		   parent::DisConnect( $MySQLiconn); 
	   
	   } 

	 
	   public function checkDestination($name){
	 
		$instance = parent::getInstance();
		  // $instance = new DBAccess();
	   $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 	"SELECT  * FROM destination where name = :name ";
	   
	   
	   $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':name', $name);  
	  
		
		  $statement->execute();
		  
		  $num = $statement->rowCount();


return $num;
		 
		   parent::DisConnect( $MySQLiconn); 
	   
	   }  
		  

	   public function deleteDestination($id)
		   {
			 $instance = parent::getInstance();
			// $instance = new DBAccess();
		 $MySQLiconn  = $instance->getConnection();
		 
		  $sql = 'delete from destination   where id = :id';
		  
			
			$statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':id', $id);
			
			
			$statement->execute();
		  
		 
		   
			parent::DisConnect( $MySQLiconn);   
			}	
			
		
			public function RegisterForTransport($admissionno,$destination_id,$date,$type) {
		
				try{
			   
			   
			   $instance = parent::getInstance();
			   // $instance = new DBAccess();
			$MySQLiconn  = $instance->getConnection();
				
			   $sql = 'INSERT INTO transport_reg (admissionno,destination_id,date,type)
					   VALUES (:admissionno, :destination_id, :date, :type)';
		
			  
				
			   $statement = $MySQLiconn->prepare($sql);
				$statement->bindValue(':admissionno', $admissionno);
				$statement->bindValue(':destination_id', $destination_id);
				$statement->bindValue(':date', $date);
				$statement->bindValue(':type', $type);
			   
			   
			   $statement->execute();
		
			   parent::DisConnect( $MySQLiconn);	 
				   
				   
				   
					
					
					}
					
					catch(Exception $e){
				   echo "oops! ".$e->getMessage(); 
				   
				   } 
				   
			   
		   }


		   public function EditRegisterForTransport($admissionno,$destination_id,$date, $type) {
		
			try{
		   
		   
		   $instance = parent::getInstance();
		   // $instance = new DBAccess();
		$MySQLiconn  = $instance->getConnection();
			
		   $sql = 'UPDATE transport_reg set destination_id = :destination_id, date = :date, type = :type 
		   WHERE admissionno = :admissionno';
	
		  
			
		   $statement = $MySQLiconn->prepare($sql);
			$statement->bindValue(':admissionno', $admissionno);
			$statement->bindValue(':destination_id', $destination_id);
			$statement->bindValue(':date', $date);
		   	$statement->bindValue(':type', $type);
		   
		   $statement->execute();
	
		   parent::DisConnect( $MySQLiconn);	 
			   
			   
			   
				
				
				}
				
				catch(Exception $e){
			   echo "oops! ".$e->getMessage(); 
			   
			   } 
			   
		   
	   }
	
	    
	   public function checkTransportRegister($admissionno){
	 
		$instance = parent::getInstance();
		  // $instance = new DBAccess();
	   $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 	"SELECT  * FROM transport_reg where admissionno = :admissionno ";
	   
	   
	   $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':admissionno', $admissionno);  
	  
		
		  $statement->execute();
		  
		  $num = $statement->rowCount();


return $num;
		 
		   parent::DisConnect( $MySQLiconn); 
	   
	   }  

	   
	   public function getAllStudentTransport(){
	 
		$instance = parent::getInstance();
		  // $instance = new DBAccess();
	   $MySQLiconn  = $instance->getConnection();

	   // use find destination via id in the select table to get your 
	   
	   $sql = 	"SELECT t.admissionno,t.destination_id, s.fname,s.lname,s.othernames, d.price,d.name,t.type FROM transport_reg t
	    INNER JOIN student s  ON t.admissionno = s.admissionno 
		INNER JOIN destination d ON  t.destination_id = d.id ";
	   
	   
	   $statement = $MySQLiconn->prepare($sql);
	  
		
		  $statement->execute();
		  
		  return $statement;
		 
		   parent::DisConnect( $MySQLiconn); 
	   
	   } 



	public function findStudentDestination($admissionno){
			
	$instance = parent::getInstance();	
$MySQLiconn  = $instance->getConnection();
	
	try {
	$sql = "SELECT * from transport_reg WHERE admissionno =:admissionno";
	
	$statement = $MySQLiconn->prepare($sql);
	
	$statement->bindValue(':admissionno',$admissionno);
	 $statement->execute();
  $row = $statement->fetch(PDO::FETCH_ASSOC);  
  $this->admissionno = $row['admissionno'];
  $this->destination_id = $row['destination_id'];
  
  $this->date = $row['date'];
   $this->type = $row['type'];
	parent::DisConnect( $MySQLiconn);	

	}
	catch(Exception $e){
		echo "oops! ".$e->getMessage(); 
		
		} 

	}		


public function deleteStudTransport($admissionno){

		$instance = parent::getInstance();
			// $instance = new DBAccess();
		 $MySQLiconn  = $instance->getConnection();
		 
		  $sql = 'delete from transport_reg   where admissionno = :admissionno';
		  
			
			$statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':admissionno', $admissionno);
			
			
			$statement->execute();

	}
	
	public function getStudentInCurrentSession($admissionno,$session1){
	 
		$instance = parent::getInstance();
		  // $instance = new DBAccess();
	   $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 	"SELECT  * FROM studentrecord where admissionno = :admissionno and session1 = :session1 ";
	   
	   
	   $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':admissionno', $admissionno);  
	   $statement->bindValue(':session1', $session1); 
		
		  $statement->execute();
		  
		  $num = $statement->rowCount();


            return $num;
		 
		   parent::DisConnect( $MySQLiconn); 
	   
	   }  

public function getAllStudentTransportViaDes($destination_id){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();

   // use find destination via id in the select table to get your 
   
   $sql = 	"SELECT t.admissionno,t.destination_id, s.fname,s.lname,s.othernames, d.price,d.name,t.type, s.phone FROM transport_reg t
	INNER JOIN student s  ON t.admissionno = s.admissionno 
	INNER JOIN destination d ON  t.destination_id = d.id WHERE t.destination_id = :destination_id ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':destination_id', $destination_id);  
  
	
	  $statement->execute();
	  
	  return $statement;
	 
	   parent::DisConnect( $MySQLiconn); 
   
   } 
   
   // new codes 2022 //
   public function getAllFeesByClass($class){
	 
				$instance = parent::getInstance();
				  // $instance = new DBAccess();
			   $MySQLiconn  = $instance->getConnection();
			   
			   $sql = 	"SELECT  * FROM managefees WHERE class = :class || class = 'Nill' ";
			   
			   
			   $statement = $MySQLiconn->prepare($sql);
			   $statement->bindValue(':class', $class);  
				
				  $statement->execute();
				  
				  return $statement;
				 
				   parent::DisConnect( $MySQLiconn); 
			   
			   } 
			   


public function addFeeItem($feeid,$name,$term,$session1,$amount,$class,$category,$stock_id){
		
			try{
		   
		   
		   $instance = parent::getInstance();
		   // $instance = new DBAccess();
		$MySQLiconn  = $instance->getConnection();
			
		   $sql = 'INSERT INTO fee_item (feeid,name,term,session1,amount,class,category,stock_id)
				   VALUES (:feeid, :name, :term,:session1, :amount, :class,  :category, :stock_id)';
   
		  
			
		   $statement = $MySQLiconn->prepare($sql);
			$statement->bindValue(':feeid', $feeid);
			$statement->bindValue(':name', $name);
			$statement->bindValue(':term', $term);
		   $statement->bindValue(':session1', $session1);
		   $statement->bindValue(':amount', $amount);
		   $statement->bindValue(':class', $class);
		   $statement->bindValue(':category', $category);
		  
		   $statement->bindValue(':category', $category);
		   $statement->bindValue(':stock_id', $stock_id);
		   $statement->execute();
   
		   parent::DisConnect( $MySQLiconn);	 
			   
			   
			   
				
				
				}
				
				catch(Exception $e){
			   echo "oops! ".$e->getMessage(); 
			   
			   } 
			   
		   
	   }
			
			

  public function tieFee($feeid,$term,$session1,$amount,$class,$date,$category){
		
				try{
			   
			   
			   $instance = parent::getInstance();
			   // $instance = new DBAccess();
			$MySQLiconn  = $instance->getConnection();
				
			   $sql = 'INSERT INTO fees (feeid,term,session1,amount,class,date,category)
					   VALUES (:feeid, :term,:session1, :amount, :class, :date, :category)';
	   
			  
				
			   $statement = $MySQLiconn->prepare($sql);
				$statement->bindValue(':feeid', $feeid);
				$statement->bindValue(':term', $term);
			   $statement->bindValue(':session1', $session1);
			   $statement->bindValue(':amount', $amount);
			   $statement->bindValue(':class', $class);
			   $statement->bindValue(':date', $date);
			   $statement->bindValue(':category', $category);
			   
			   $statement->execute();
	   
			   parent::DisConnect( $MySQLiconn);	 
				   
				   
				   
					
					
					}
					
					catch(Exception $e){
				   echo "oops! ".$e->getMessage(); 
				   
				   } 
				   
			   
		   }			 
	   
  
  public function getAllFeesByClassAndID($id){
	 
		$instance = parent::getInstance();
		  // $instance = new DBAccess();
	   $MySQLiconn  = $instance->getConnection();
	   
	  // $sql = 	"SELECT  * FROM managefees WHERE (class = :class and id = :id) || category = 'Nill'  ";
	   
	    $sql = 	"SELECT  * FROM managefees WHERE id = :id  ";
	   
	   
	   $statement = $MySQLiconn->prepare($sql);
	 //  $statement->bindValue(':class', $class);  
	   $statement->bindValue(':id', $id);  
		
		  $statement->execute();
		  
		  return $statement;
		 
		   parent::DisConnect( $MySQLiconn); 
	   
	   } 
	   
	   public function countTies($feeid){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = 	"SELECT  * FROM fees where feeid = :feeid ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':feeid', $feeid);  
  
	
	  $statement->execute();
	  
	  $num = $statement->rowCount();


return $num;
	 
	   parent::DisConnect( $MySQLiconn); 
   
   } 
   
   
   public function viewFeesTied($term,$session1,$category){
	 
		$instance = parent::getInstance();
		  // $instance = new DBAccess();
	   $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 	"SELECT  * FROM fees WHERE  category = :category AND session1 = :session1 AND term = :term ";
	   
	   
	   $statement = $MySQLiconn->prepare($sql);
	
	   $statement->bindValue(':term', $term); 
	   $statement->bindValue(':category', $category); 
	   $statement->bindValue(':session1', $session1); 
		  $statement->execute();
		  
		  return $statement;
		 
		   parent::DisConnect( $MySQLiconn); 
	   
	   }  


	  // delete ties
	  
	  public function deleteFeesTied($id)
	  {
		$instance = parent::getInstance();
	   // $instance = new DBAccess();
	$MySQLiconn  = $instance->getConnection();
	
	 $sql = 'delete from fees   where id = :id';
	 
	   
	   $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':id', $id);
	   
	   
	   $statement->execute();
	 
	
	  
	   parent::DisConnect( $MySQLiconn);   
	   }

	   
	   // delete fee item
	 
	   public function deleteFeesItems($class,$category,$session1,$term)
	   {
		 $instance = parent::getInstance();
		// $instance = new DBAccess();
	 $MySQLiconn  = $instance->getConnection();
	 
	  $sql = 'delete from fee_item   where class = :class AND category = :category = :category
	  AND session1 = :session1 AND term = :term ';
	  
		
		$statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':class', $class);
		 $statement->bindValue(':category', $class);
		 $statement->bindValue(':session1', $session1);
		 $statement->bindValue(':term', $term);
		
		$statement->execute();
	  
	 
	   
		parent::DisConnect( $MySQLiconn);   
		}
	   

		public function viewAllFeesItem($term,$session1,$category,$class){
	 
			$instance = parent::getInstance();
			  // $instance = new DBAccess();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = 	"SELECT  * FROM fee_item WHERE  category = :category AND session1 = :session1 AND term = :term 
		   AND class = :class";
		   
		   
		   $statement = $MySQLiconn->prepare($sql);
		
		   $statement->bindValue(':term', $term); 
		   $statement->bindValue(':category', $category); 
		   $statement->bindValue(':session1', $session1); 
		   $statement->bindValue(':class', $class); 
			  $statement->execute();
			  
			  return $statement;
			 
			   parent::DisConnect( $MySQLiconn); 
		   
		   }  
	
		   // get manage fees by id


public function getManageFeesById($id){
	 
		$instance = parent::getInstance();
		  // $instance = new DBAccess();
	   $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 	"SELECT  * FROM fees WHERE  id = :id ";
	   
	   
	   $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':id', $id);  
	  
		
		  $statement->execute();
		  
		  $row = $statement->fetch(PDO::FETCH_ASSOC);  
		  $this->amount = $row['amount'];
		  $this->category = $row['category'];
		  $this->status = $row['status'];
		   parent::DisConnect( $MySQLiconn); 
	   
	   } 



	   public function connectFees($id,$term,$class,$session1,$amount,$date) {
		
		try{
	   
	   
	   $instance = parent::getInstance();
	   // $instance = new DBAccess();
	$MySQLiconn  = $instance->getConnection();
		
	   $sql = 'INSERT INTO connect_fees (id,term,class,session1,amount,date)
			   VALUES (:id, :term, :class,:session1,:amount,:date)';

	  
		
	   $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':id', $id);
		$statement->bindValue(':term', $term);
		$statement->bindValue(':class', $class);
		$statement->bindValue(':session1', $session1);
		$statement->bindValue(':amount', $amount);
		$statement->bindValue(':date', $date);
	   $statement->execute();

	   parent::DisConnect( $MySQLiconn);	 
		   
		   
		   
			
			
			}
			
			catch(Exception $e){
		   echo "oops! ".$e->getMessage(); 
		   
		   } 
		   
	   
   }

// check if fee has been connected

   public function checkConnectFee($id){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = 	"SELECT  * FROM connect_fees where id = :id ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':id', $id);  
  
	
	  $statement->execute();
	  
	  $num = $statement->rowCount();


return $num;
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  
   
    public function updateFeesRecord($id)
	{
	  $instance = parent::getInstance();
	 // $instance = new DBAccess();
  $MySQLiconn  = $instance->getConnection();
  
   $sql = "UPDATE fees  SET status = 'TIED'   where id = :id";
   
	 
	 $statement = $MySQLiconn->prepare($sql);
	  $statement->bindValue(':id', $id);

	 
	 
	 $statement->execute();
   
  
	
	 parent::DisConnect( $MySQLiconn);   
	 }
	
	public function viewStudentsByClass($class,$year){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = 	"SELECT  DISTINCT  admissionno FROM studentrecord WHERE  class = :class AND year = :year ";
 // $sql = "SELECT s.admissionno from student s INNER JOIN studentrecord e ON s.admissionno = e.admissionno WHERE e.class = :class AND e.year = :year";
   
   
   $statement = $MySQLiconn->prepare($sql);

   $statement->bindValue(':class', $class); 
   $statement->bindValue(':year', $year); 

	  $statement->execute();
	  
	  return $statement;
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  
   
    public function getFeeByAdmissionno($admissionno){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = 	"SELECT  * FROM student WHERE  admissionno = :admissionno ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':admissionno', $admissionno);  
  
	
	  $statement->execute();
	  
	  $row = $statement->fetch(PDO::FETCH_ASSOC);  
	  $this->fees = $row['fees'];
	  $this->paystatus = $row['paystatus'];
	  
	   parent::DisConnect( $MySQLiconn); 
   
   } 


 public function updateTermlyFee($admissionno,$fees)
   {
	 $instance = parent::getInstance();
	// $instance = new DBAccess();
 $MySQLiconn  = $instance->getConnection();
 
  $sql = "UPDATE student  SET fees = :fees   where admissionno = :admissionno AND status = 'old' ";
  
	
	$statement = $MySQLiconn->prepare($sql);
	 $statement->bindValue(':admissionno', $admissionno);
	$statement->bindValue(':fees', $fees);
	
	
	$statement->execute();
  
 
   
	parent::DisConnect( $MySQLiconn);   
	}


public function updatePayStatus($admissionno,$paystatus)
   {
	 $instance = parent::getInstance();
	// $instance = new DBAccess();
 $MySQLiconn  = $instance->getConnection();
 
  $sql = "UPDATE student  SET paystatus = :paystatus   where admissionno = :admissionno AND status = 'old' ";
  
	
	$statement = $MySQLiconn->prepare($sql);
	 $statement->bindValue(':admissionno', $admissionno);
	$statement->bindValue(':paystatus', $paystatus);
	
	
	$statement->execute();
  
 
   
	parent::DisConnect( $MySQLiconn);   
	}





public function countTransportCheck($id){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = 	"SELECT  * FROM transport_check where id = :id ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':id', $id);  
  
	
	  $statement->execute();
	  
	  $num = $statement->rowCount();


return $num;
	 
	   parent::DisConnect( $MySQLiconn); 
   
   } 
   
   
   public function AddTransportCheck($id,$term,$session,$destination_id) {
		
		try{
	   
	   
	   $instance = parent::getInstance();
	   // $instance = new DBAccess();
	$MySQLiconn  = $instance->getConnection();
		
	   $sql = 'INSERT INTO transport_check (id,term,session,destination_id)
			   VALUES (:id, :term, :session,:destination_id)';

	  
		
	   $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':id', $id);
		$statement->bindValue(':term', $term);
	
		$statement->bindValue(':session', $session);
		$statement->bindValue(':destination_id', $destination_id);
		
	   $statement->execute();

	   parent::DisConnect( $MySQLiconn);	 
		   
		   
		   
			
			
			}
			
			catch(Exception $e){
		   echo "oops! ".$e->getMessage(); 
		   
		   } 
		   
	   
   }
   
   
       public function AddOtherPaymentRecords($name,$amount,$date) {
		
		try{
	   
	   
	   $instance = parent::getInstance();
	   // $instance = new DBAccess();
	$MySQLiconn  = $instance->getConnection();
		
	   $sql = 'INSERT INTO other_payment_records (name,amount,date)
			   VALUES (:name,:amount,:date)';

	  
		
	   $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':name', $name);
		$statement->bindValue(':amount', $amount);
	
		$statement->bindValue(':date', $date);
		
		
	   $statement->execute();

	   parent::DisConnect( $MySQLiconn);	 
		   
		   
		   
			
			
			}
			
			catch(Exception $e){
		   echo "oops! ".$e->getMessage(); 
		   
		   } 
		   
	   
   }
   
   public function updateOtherPaymentRecords($id,$name,$amount, $date)
   {
	 $instance = parent::getInstance();
	// $instance = new DBAccess();
 $MySQLiconn  = $instance->getConnection();
 
  $sql = "UPDATE other_payment_records  SET name = :name, amount = :amount, date = :date   where id = :id";
  
	
	$statement = $MySQLiconn->prepare($sql);
	 $statement->bindValue(':id', $id);
	 $statement->bindValue(':name', $name);
	  $statement->bindValue(':amount', $amount);
	 $statement->bindValue(':date', $date);
	
	$statement->execute();
  
 
   
	parent::DisConnect( $MySQLiconn);   
	}
      
  
  public function getOtherPaymentsByID($id){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = 	"SELECT  * from other_payment_records WHERE  id = :id ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':id', $id);  
  
	
	  $statement->execute();
	  
	  $row = $statement->fetch(PDO::FETCH_ASSOC);  
	  $this->name = $row['name'];
	   $this->amount = $row['amount'];
	  
	   parent::DisConnect( $MySQLiconn); 
   
   } 
   
   
   public function viewAllOherPaymentRecords(){
	 
				$instance = parent::getInstance();
				  // $instance = new DBAccess();
			   $MySQLiconn  = $instance->getConnection();
			   
			   $sql = 	"SELECT  * FROM other_payment_records  ";
			   
			   
			   $statement = $MySQLiconn->prepare($sql);
			 
				
				  $statement->execute();
				  
				  return $statement;
				 
				   parent::DisConnect( $MySQLiconn); 
			   
			   } 
			   
	  public function deleteOtherPayments($id)
		   {
			 $instance = parent::getInstance();
			// $instance = new DBAccess();
		 $MySQLiconn  = $instance->getConnection();
		 
		  $sql = 'delete from other_payment_records   where id = :id';
		  
			
			$statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':id', $id);
			
			
			$statement->execute();
		  
		 
		   
			parent::DisConnect( $MySQLiconn);   
			}
	
	// concession codes	
	
	
	 public function AddConcession($admissionno,$amount,$date) {
		
		try{
	   
	   
	   $instance = parent::getInstance();
	   // $instance = new DBAccess();
	$MySQLiconn  = $instance->getConnection();
		
	   $sql = 'INSERT INTO concession (admissionno,amount,date)
			   VALUES (:admissionno,:amount,:date)';

	  
		
	   $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':admissionno', $admissionno);
		$statement->bindValue(':amount', $amount);
	
		$statement->bindValue(':date', $date);
		
		
	   $statement->execute();

	   parent::DisConnect( $MySQLiconn);	 
		   
		   
		   
			
			
			}
			
			catch(Exception $e){
		   echo "oops! ".$e->getMessage(); 
		   
		   } 
		   
	   
   }
   
	
	 public function viewAllStudentsInConcession(){
	 
				$instance = parent::getInstance();
				  // $instance = new DBAccess();
			   $MySQLiconn  = $instance->getConnection();
			   
			   $sql = 	"SELECT  c.admissionno, c.amount, c.date, s.fname,s.lname,s.othernames FROM concession c INNER JOIN 
			   student s ON c.admissionno = s.admissionno";
			   
			   
			   $statement = $MySQLiconn->prepare($sql);
			    
				
				  $statement->execute();
				  
				  return $statement;
				 
				   parent::DisConnect( $MySQLiconn); 
			   
			   } 
			   
			   
       public function updateConcessionRecords($admissionno,$amount, $date)
   {
	 $instance = parent::getInstance();
	// $instance = new DBAccess();
 $MySQLiconn  = $instance->getConnection();
 
  $sql = "UPDATE concession  SET  amount = :amount, date = :date   where admissionno = :admissionno";
  
	
	$statement = $MySQLiconn->prepare($sql);
	 $statement->bindValue(':admissionno', $admissionno);
	
	  $statement->bindValue(':amount', $amount);
	 $statement->bindValue(':date', $date);
	
	$statement->execute();
  
 
   
	parent::DisConnect( $MySQLiconn);   
	}
	
	public function getConcessionByAdmissionno($admissionno){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
    $sql = 	"SELECT  c.admissionno, c.amount, c.date, s.fname,s.lname,s.othernames FROM concession c INNER JOIN 
			   student s ON c.admissionno = s.admissionno where c.admissionno =  :admissionno ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':admissionno', $admissionno);  
  
	
	  $statement->execute();
	  
	  $row = $statement->fetch(PDO::FETCH_ASSOC);  
	  $this->name = $row['name'];
	   $this->amount = $row['amount'];
	  
	   parent::DisConnect( $MySQLiconn); 
   
   } 
   
   // add concession
   
   
    public function AddConcessionRecord($id,$admissionno,$amount,$session,$term,$date) {
		
		try{
	   
	   
	   $instance = parent::getInstance();
	   // $instance = new DBAccess();
	$MySQLiconn  = $instance->getConnection();
		
	   $sql = 'INSERT INTO concession_record (id,admissionno, amount,session, term,date)
			   VALUES (:id,:admissionno,:amount,:session, :term, :date)';

	  
		
	   $statement = $MySQLiconn->prepare($sql);
	   	$statement->bindValue(':id', $id);
		$statement->bindValue(':admissionno', $admissionno);
		$statement->bindValue(':amount', $amount);
	    $statement->bindValue(':session', $session);
	     $statement->bindValue(':term', $term);
		$statement->bindValue(':date', $date);
		
		
	   $statement->execute();

	   parent::DisConnect( $MySQLiconn);	 
		   
		   
		   
			
			
			}
			
			catch(Exception $e){
		   echo "oops! ".$e->getMessage(); 
		   
		   } 
		   
	   
   }
   
     // get all concession record by term and session
     
     
     	public function getConcessionRecordByTermAndSession($term,$session){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
    $sql = 	"SELECT  c.admissionno, c.amount, c.date, s.fname,s.lname,s.othernames, c.term,c.session FROM concession_record c INNER JOIN 
			   student s ON c.admissionno = s.admissionno where c.session =  :session AND c.term = :term ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':term', $term);  
   $statement->bindValue(':session', $session); 
	
	  $statement->execute();
	  
	   return $statement;
	  
	   parent::DisConnect( $MySQLiconn); 
   
   } 
   
   
     
      public function checkStudentConcession($admissionno){
	 
		$instance = parent::getInstance();
		  // $instance = new DBAccess();
	   $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 	"SELECT  * FROM concession where admissionno = :admissionno ";
	   
	   
	   $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':admissionno', $admissionno);  
	  
		
		  $statement->execute();
		  
		  $num = $statement->rowCount();


return $num;
		 
		   parent::DisConnect( $MySQLiconn); 
	   
	   }  
	   
	 
	 public function deleteFromConcession($admissionno)
		   {
			 $instance = parent::getInstance();
			// $instance = new DBAccess();
		 $MySQLiconn  = $instance->getConnection();
		 
		  $sql = 'delete from concession   where admissionno = :admissionno';
		  
			
			$statement = $MySQLiconn->prepare($sql);
			$statement->bindValue(':admissionno', $admissionno);
			
			
			$statement->execute();
		  
		 
		   
			parent::DisConnect( $MySQLiconn);   
			} 
			
	
	    public function  checkConcessionRecord($id){
	 
		$instance = parent::getInstance();
		  // $instance = new DBAccess();
	   $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 	"SELECT  * FROM concession_record where id = :id ";
	   
	   
	   $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':id', $id);  
	  
		
		  $statement->execute();
		  
		  $num = $statement->rowCount();


return $num;
		 
		   parent::DisConnect( $MySQLiconn); 
	   
	   } 
	   
	   public function updateTermlyFeeForConcession($admissionno,$fees)
   {
	 $instance = parent::getInstance();
	// $instance = new DBAccess();
 $MySQLiconn  = $instance->getConnection();
 
  $sql = "UPDATE student  SET fees = :fees   where admissionno = :admissionno ";
  
	
	$statement = $MySQLiconn->prepare($sql);
	 $statement->bindValue(':admissionno', $admissionno);
	$statement->bindValue(':fees', $fees);
	
	
	$statement->execute();
  
 
   
	parent::DisConnect( $MySQLiconn);   
	}
	
	// new codes
	 public function getFeeRecords($date1,$date2){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "SELECT * from fee_records WHERE  date   between  '".$date1."' AND '".$date2."'  ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   
 
	
	  $statement->execute();
	  
	 return $statement;
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  
		
		
public function findFeeRecordsByCode($code1){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "SELECT * from fee_records WHERE code1 = :code1   ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':code1', $code1);
  
 
	
	  $statement->execute();
	  
	  $row = $statement->fetch(PDO::FETCH_ASSOC);  
	  $this->amount = $row['amount'];
	  $this->lname = $row['lname'];
	  $this->fname = $row['fname'];
	  $this->staffid = $row['staffid'];
	  $this->class = $row['class'];
	  $this->date = $row['date'];
	  $this->admissionno = $row['admissionno'];
	  $this->balance = $row['balance'];
	  $this->category = $row['category']; 
	  $this->old_debt = $row['old_debt']; 
	  
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  
   
   
    public function updateFeeReverse($admissionno,$fees)
		{
		  $instance = parent::getInstance();
		 // $instance = new DBAccess();
	  $MySQLiconn  = $instance->getConnection();
	  
	   $sql = 'UPDATE student  SET fees = :fees  where admissionno = :admissionno';
	   
		 
		 $statement = $MySQLiconn->prepare($sql);
		  $statement->bindValue(':admissionno', $admissionno);
		 $statement->bindValue(':fees', $fees);
		
		 
		 $statement->execute();
	   
	  
		
		 parent::DisConnect( $MySQLiconn);   
		 }	


		 public function deleteTransaction($code1)
		 {
		   $instance = parent::getInstance();
		  // $instance = new DBAccess();
	   $MySQLiconn  = $instance->getConnection();
	   
		$sql = 'delete from transaction   where code1 = :code1';
		
		  
		  $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':code1', $code1);
		  
		  
		  $statement->execute();
		
	   
		 
		  parent::DisConnect( $MySQLiconn);   
		  }	

		
		  public function deleteFee_Records($code1)
		 {
		   $instance = parent::getInstance();
		  // $instance = new DBAccess();
	   $MySQLiconn  = $instance->getConnection();
	   
		$sql = 'delete from fee_records   where code1 = :code1';
		
		  
		  $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':code1', $code1);
		  
		  
		  $statement->execute();
		
	   
		 
		  parent::DisConnect( $MySQLiconn);   
		  }
		  
		  
		  public function getSaleofStock($code1){
	 
			$instance = parent::getInstance();
			  // $instance = new DBAccess();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = "SELECT * from stock_sales WHERE code1 = :code1 ";
		   
		   
		   $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':code1', $code1);
		  
		 
			
			  $statement->execute();
			  
			 return $statement;
			 
			   parent::DisConnect( $MySQLiconn); 
		   
		   }  


		   public function deleteFromStockSale($code1)
		   {
			 $instance = parent::getInstance();
			// $instance = new DBAccess();
		 $MySQLiconn  = $instance->getConnection();
		 
		  $sql = 'delete from stock_sales   where code1 = :code1';
		  
			
			$statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':code1', $code1);
			
			
			$statement->execute();
		  
		 
		   
			parent::DisConnect( $MySQLiconn);   
			}	 

       public function deleteFromStockTrans($code1)
		   {
			 $instance = parent::getInstance();
			// $instance = new DBAccess();
		 $MySQLiconn  = $instance->getConnection();
		 
		  $sql = 'delete from stock_trans   where code1 = :code1';
		  
			
			$statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':code1', $code1);
			
			
			$statement->execute();
		  
		 
		   
			parent::DisConnect( $MySQLiconn);   
			}
		
		 public function getAllStockTransStock($code1){
	 
			$instance = parent::getInstance();
			  // $instance = new DBAccess();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = "SELECT * from stock_trans WHERE code1 = :code1 ";
		   
		   
		   $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':code1', $code1);
		  
		 
			
			  $statement->execute();
			  
			 return $statement;
			 
			   parent::DisConnect( $MySQLiconn); 
		   
		   } 
		   
		   
		   // get all debtors

public function getAllDebtors(){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "SELECT * from student where fees > 0 ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':staffid', $staffid);
  
 
	
	  $statement->execute();
	  
	 return $statement;
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  
	
   public function getAllDebtorsByCass($class,$session1){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "SELECT w.fname, w.admissionno, w.lname,w.othernames,w.fees,s.class from student w INNER JOIN studentrecord
   s on w.admissionno = s.admissionno where w.fees > 0 AND s.class = :class AND s.session1 = :session1";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':class', $class);
   $statement->bindValue(':session1', $session1);
  
 
	
	  $statement->execute();
	  
	 return $statement;
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  
      		
 public function findTransactionsByCode($code1){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "SELECT * from transaction WHERE code1 = :code1  ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':code1', $code1);
  
 
	
	  $statement->execute();
	  
	  $row = $statement->fetch(PDO::FETCH_ASSOC);  
	  $this->amount = $row['amount'];
	  $this->mode = $row['mode'];
	  $this->code1 = $row['code1'];
	  $this->admissionno = $row['admissionno'];
	  $this->date = $row['date'];
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  
   
   
   	public function findAmountBankAccount($id){
			
						$instance = parent::getInstance();	
				   $MySQLiconn  = $instance->getConnection();
						
						try {
						$sql = "SELECT * from bankaccount WHERE id = :id";
						
						$statement = $MySQLiconn->prepare($sql);
						
						$statement->bindValue(':id',$id);
						 $statement->execute();
					  $row = $statement->fetch(PDO::FETCH_ASSOC);
					   
					
					  
					  $this->amount = $row['amount'];
						
						parent::DisConnect( $MySQLiconn);	
			
						}
						catch(Exception $e){
							echo "oops! ".$e->getMessage(); 
							
							} 
			
						}	
		   

       public function findAmountCashAccount($id){
			
					$instance = parent::getInstance();	
			   $MySQLiconn  = $instance->getConnection();
					
					try {
					$sql = "SELECT * from cashaccount WHERE id = :id";
					
					$statement = $MySQLiconn->prepare($sql);
					
					$statement->bindValue(':id',$id);
					 $statement->execute();
				  $row = $statement->fetch(PDO::FETCH_ASSOC);
				   
				
				  
				  $this->amount = $row['amount'];
					
					parent::DisConnect( $MySQLiconn);	
		
					}
					catch(Exception $e){
						echo "oops! ".$e->getMessage(); 
						
						} 
		
					}	

		
		 public function updateCashAccount($id,$amount)
			   {
				 $instance = parent::getInstance();
				// $instance = new DBAccess();
			 $MySQLiconn  = $instance->getConnection();
			 
			  $sql = "UPDATE cashaccount SET amount = :amount where id = :id";
			  
				
				$statement = $MySQLiconn->prepare($sql);
				$statement->bindValue(':id', $id);
			  
			   $statement->bindValue(':amount', $amount);
			   
			 
				
				$statement->execute();
			  
			 
			   
				parent::DisConnect( $MySQLiconn);   
				}	

      
				public function updateBankAccount($id,$amount)
				{
				  $instance = parent::getInstance();
				 // $instance = new DBAccess();
			  $MySQLiconn  = $instance->getConnection();
			  
			   $sql = "UPDATE bankaccount SET amount = :amount where id = :id";
			   
				 
				 $statement = $MySQLiconn->prepare($sql);
				 $statement->bindValue(':id', $id);
			   
				$statement->bindValue(':amount', $amount);
				
			  
				 
				 $statement->execute();
			   
			  
				
				 parent::DisConnect( $MySQLiconn);   
				 }		
  
     public function recordAddDebt($lname,$fname,$staffid,$amount,$date) {
	  
					try{
				   
				   
				   $instance = parent::getInstance();
				   // $instance = new DBAccess();
				$MySQLiconn  = $instance->getConnection();
					
				   $sql = 'INSERT INTO add_debt (lname,fname,staffid,amount,date)
						   VALUES (:lname, :fname, :staffid, :amount, :date)';
			
				  
					
				   $statement = $MySQLiconn->prepare($sql);
					$statement->bindValue(':lname', $lname);
					$statement->bindValue(':fname', $fname);
			  
					$statement->bindValue(':staffid', $staffid);
					$statement->bindValue(':amount', $amount);
				
					$statement->bindValue(':date', $date);
				
				  
			  
					
				   
				   $statement->execute();
			
				   parent::DisConnect( $MySQLiconn);	 
					   
					   
					   
						
						
						}
						
						catch(Exception $e){
					   echo "oops! ".$e->getMessage(); 
					   
					   } 
					   
				   
			   }	   		
      		
      	
		
					   public function updateTermlyFeeALL($admissionno,$fees)
					   {
						 $instance = parent::getInstance();
						// $instance = new DBAccess();
					 $MySQLiconn  = $instance->getConnection();
					 
					  $sql = 'UPDATE student  SET fees = :fees   where admissionno = :admissionno';
					  
						
						$statement = $MySQLiconn->prepare($sql);
						 $statement->bindValue(':admissionno', $admissionno);
						$statement->bindValue(':fees', $fees);
						
						
						$statement->execute();
					  
					 
					   
						parent::DisConnect( $MySQLiconn);   
						}
						
			 public function getAddedDebtRecords($date1,$date2){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "SELECT * from add_debt WHERE  date   between  '".$date1."' AND '".$date2."'  ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   
 
	
	  $statement->execute();
	  
	 return $statement;
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  

			
		 		

}   