<?php
ob_start();
 session_start();
require_once('staff.php');
require_once('operations.php');
require_once('login.php');

if (!isset($_SESSION['admin'])) {
   header( "Location: ../index.php" );
}

$username  = $_SESSION['admin'];

$db = new Staff();

$db1 = new Operations();
$db2 = new Login();

$db->findStaffbyUsername($username);




?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">

        <title><?php  include('../schoolname.php'); ?></title>

        <!-- Bootstrap Core CSS -->
        <link href="../css/bootstrap.min.css" rel="stylesheet">

        <!-- MetisMenu CSS -->
        <link href="../css/metisMenu.min.css" rel="stylesheet">

        <!-- Custom CSS -->
        <link href="../css/startmin.css" rel="stylesheet">

        <!-- Custom Fonts -->
        <link href="../css/font-awesome.min.css" rel="stylesheet" type="text/css">

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->

        <script language="javascript" type="text/javascript">
        function printDiv(divID) {
            //Get the HTML of div
            var divElements = document.getElementById(divID).innerHTML;
            //Get the HTML of whole page
            var oldPage = document.body.innerHTML;

            //Reset the page's HTML with div's HTML only
            document.body.innerHTML = 
              "<html><head><title></title></head><body>" + 
              divElements + "</body>";

            //Print Page
            window.print();

            //Restore orignal HTML
            document.body.innerHTML = oldPage;

          
        }
    </script>
    <style type="text/css" media="print">
        .dontprint
            { display: none; }
 </style> 
    </head>
    <body>

        <div id="wrapper">

            <!-- Navigation -->
            <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
                <div class="navbar-header">
                    <a class="navbar-brand" href="dashboard.php"><?php  include('../schoolname.php'); ?></a>
                </div>

                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>

                <ul class="nav navbar-nav navbar-left navbar-top-links">
                    <li><a href="#"><i class="fa fa-home fa-fw"></i> Account Module</a></li>
                </ul>

                <ul class="nav navbar-right navbar-top-links">
                    
                    <li class="dropdown">
                        <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                            <i class="fa fa-user fa-fw"></i> <strong><?php echo $db->lname; ?> </strong><b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu dropdown-user">
                            <li><a href="#"><i class="fa fa-user fa-fw"></i> User Profile</a>
                            </li>
                            <li><a href="#"><i class="fa fa-gear fa-fw"></i> Settings</a>
                            </li>
                            <li class="divider"></li>
                            <li><a href="logout.php"><i class="fa fa-sign-out fa-fw"></i> Logout</a>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- /.navbar-top-links -->

                <div class="navbar-default sidebar" role="navigation">
                    <div class="sidebar-nav navbar-collapse">
                        <?php  include('menu.html')  ?>
                    </div>
                    <!-- /.sidebar-collapse -->
                </div>
                <!-- /.navbar-static-side -->
            </nav>

            <!-- Page Content -->
            <div id="page-wrapper">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-lg-12">
                        <h1 class="page-header">View Payroll </h1>


                       
                          <!-- datatable   -->

                          <div class="panel-body">
                          <div class="row">
                        
                          </div>
                          <div class="row">
                                        <div class="col-lg-6">
                                       
                                            <form role="form" method = "post" action = "">
                                                
                                              
                                            <div class="form-group">
                                                    <label>Select Month</label>
                                                    <select class="form-control" name = "month" required>
                                                    <option><- select -> </option>
                                                       
                                                        <option>January</option>
                                                        <option>February</option>
                                                        <option>March </option>
                                                        <option >April</option>
                                                        <option>May</option>
                                                        <option>June</option>
                                                        <option>July</option>
                                                        <option>August</option>
                                                        <option>September</option>
                                                        <option>October</option>
                                                        <option>November</option>
                                                        <option>December</option>
                                                    </select>
                                                </div>

                                                <div class="form-group">
                                                    <label>Select Year</label>
                                                    <select class="form-control" name = "year" required>
                                                    <option><- select -> </option>
                                                    <option value = "2018">2018 </option>
                                                     <option value = "2020">2020 </option>
                                                        <option value = "2021">2021 </option>
                                                        <option>2022</option>
                                                        <option>2023</option>
                                                        <option>2024 </option>
                                                        <option>2025</option>
                                                        <option>2026</option>
                                                        <option>2027</option>
                                                        <option>2028</option>
                                                        <option>2029</option>
                                                        <option>2030</option>
                                                        
                                                    </select>
                                                </div>


                                                <div class="form-group">
                                                    <label>Select View</label>
                                                    <select class="form-control" name = "choice" required>
                                                    <option><- select -> </option>
                                                        <option>all </option>
                                                        <option>cash</option>
                                                        <option>bank</option>
                                                        
                                                        
                                                    </select>
                                                </div>
                                                <button type="submit" name = "submit" class="btn btn-primary  btn-block">Generate Payroll</button>
        </form>
        </div>
        <?php
    
    if(isset($_POST["submit"]))
    {
    
     $month = $_POST['month'];

     $year = $_POST['year'];
     $choice = $_POST['choice'];

     

    

    $statement = "";

    if($choice == "all") {
     
     $statement = $db->viewPayrollByMonthYear($month,$year);

   
    
    }

    else if ($choice == "cash") {
     
        $statement = $db->viewPayrollByMonthYearAndStatus($month,$year,$choice);
        
    }

    else if ($choice == "bank") {
     
        $statement = $db->viewPayrollByMonthYearAndStatus($month,$year,$choice);
        
    }
    

    ?>


                           <!-- Panel ends  -->

        </div>
        <div class="row">
                                        <div class="col-lg-12">

                                   <!-- print div starts --> <div id="printablediv" style=" font-size:13px;">     
                                    <div class="table-responsive">
                                    <caption>
                                    <h1 class="page-header">Payroll for <?php echo " ".$month ." ".$year  ?>  </h1>
                                    </caption>
                                        <table class="table table-striped table-bordered table-hover" id="dataTables-example1">
                                            <thead>
                                                <tr>
                                                    <th>S/N</th>
                                                    <th>Employee Number</th>
                                                    <th>surname</th>
                                                    <th>first name</th>
                                                    <th>Gross Salary</th>
                                                    <th>Mandatory Savings</th>
                                                  

                                                  
                                                    <th>Loan</th>
                                                    <th>Penalty</th>
                                                    <th>Welfare</th>
                                                    <th>Absent</th>
                                                    <th>School Fees</th>
                                                    <th>Creche</th>
                                                    <th>Lateness</th>
                                                    <th>Others</th>
                                                    <th>Net Salary</th>
                                                    <th>Mode of Payment</th>
                                                </tr>
                                            </thead>
                                            <tbody>

                                            <?php
    $totalLoan = 0;
    $totalAbsent = 0;
    $totalWelfare = 0;
    $totalSchoolfees = 0;
    $totalPenalty = 0;
    $totalCreche = 0;
    $totalLateness = 0;
    $totalOthers = 0;
    $totalGross = 0;
    $totalMandatory = 0;

    $totalGross = 0;
    $totalNet = 0;                                         
    $rowCount1 = 0;
    while ($row = $statement->fetch(PDO::FETCH_ASSOC)){
            extract($row);
		$rowCount1++;	
      
        $totalLoan = $totalLoan + $row['loan'];
        $totalAbsent = $totalAbsent + $row['absent'];
        $totalWelfare = $totalWelfare + $row['welfare'];
        $totalSchoolfees = $totalSchoolfees + $row['schoolfees'];
        $totalPenalty = $totalPenalty + $row['penalty'];
        $totalCreche = $totalCreche + $row['creche'];
        $totalLateness = $totalLateness + $row['lateness'];
        $totalOthers = $totalOthers + $row['others'];
        $totalNet = $totalNet + $row['net_salary'];
        $totalMandatory = $totalMandatory + $row['mandatory_savings'];
        $totalGross = $totalGross + $row['salary_value'];


        ?>
                                                <tr class="odd gradeX">
                                                    <td><?php echo $rowCount1 ?></td>
                                                    <td><?php echo $row['payid'] ?></td>
                                                    <td><?php echo $row['lname'] ?></td>
                                                    <td><?php echo $row['fname'] ?></td>
                                                    <td><?php echo $row['salary_value'] ?></td>
                                                    <td><?php echo $row['mandatory_savings'] ?></td>
                                                    <td><?php echo $row['loan'] ?></td>
                                                    <td><?php echo $row['penalty'] ?></td>
                                                    <td><?php echo $row['welfare'] ?></td>
                                                    <td><?php echo $row['absent'] ?></td>
                                                    <td><?php echo $row['schoolfees'] ?></td>
                                                    <td><?php echo $row['creche'] ?></td>
                                                    <td><?php echo $row['lateness'] ?></td>
                                                    <td><?php echo $row['others'] ?></td>
                                                    <td><?php echo $row['net_salary'] ?></td>
                                                    <td><?php echo $row['status'] ?></td>

                                                </tr>

                                                <?php
                                       }
                                                ?>
                                                
                                                <tr>
                                                    <td></td>
                                                    <td>TOTALS</td>
                                                    <td></td>
                                                    <td></td>
                                                    <td><?php echo $totalGross  ?></td>
                                                    <td><?php echo $totalMandatory  ?></td>
                                                  

                                                  
                                                    <td><?php echo $totalLoan  ?></td>
                                                    <td><?php echo $totalPenalty  ?></td>
                                                    <td><?php echo $totalWelfare  ?></td>
                                                    <td><?php echo $totalAbsent  ?></td>
                                                    <td> <?php echo $totalSchoolfees  ?> </td>
                                                    <td><?php echo $totalCreche  ?></td>
                                                    <td><?php echo $totalLateness  ?></td>
                                                    <td><?php echo $totalOthers  ?></td>
                                                    <td><?php echo $totalNet  ?></td>
                                                    <td></td>
                                                </tr>

                         </tbody>
                                        </table>

                                        <div class="dontprint">

<div class="col-xs-offset-2 col-xs-10">

<a title="Send to printer" href="javascript:printDiv('printablediv');"><u><font color="#0000ff">[Print Report]</font></u></a>


  
   
</div>
</div> <!-- print div ends -->

                                    </div>
                                    </div>

                                        <?php
                                       // end submit button if
                                    }
                                        ?>
                                    </div>
                                    <!-- /.table-responsive -->
                                   
                                </div>
                                <!-- /.panel-body -->
                            </div>
                            <!-- /.panel -->


                          <!-- data table -->







                        </div>
                        <!-- /.col-lg-12 -->
                    </div>
                    <!-- /.row -->
                </div>
                <!-- /.container-fluid -->
            </div>
            <!-- /#page-wrapper -->

        </div>
        <!-- /#wrapper -->

        <!-- jQuery -->
        <script src="../js/jquery.min.js"></script>

        <!-- Bootstrap Core JavaScript -->
        <script src="../js/bootstrap.min.js"></script>

        <!-- Metis Menu Plugin JavaScript -->
        <script src="../js/metisMenu.min.js"></script>

        <!-- Custom Theme JavaScript -->
        <script src="../js/startmin.js"></script>


        <!-- DataTables JavaScript -->
        <script src="../js/dataTables/jquery.dataTables.min.js"></script>
        <script src="../js/dataTables/dataTables.bootstrap.min.js"></script>

        <!-- Custom Theme JavaScript -->
        <script src="../js/startmin.js"></script>

        <!-- Page-Level Demo Scripts - Tables - Use for reference -->
        <script>
            $(document).ready(function() {
                $('#dataTables-example').DataTable({
                        responsive: true
                });
            });
        </script>

    </body>
</html>
