<?php
ob_start();
 session_start();
require_once('staff.php');
require_once('stock.php');
require_once('operations.php');


if (!isset($_SESSION['cashier'])) {
   header( "Location: ../index.php" );
}

$username  = $_SESSION['cashier'];

$db = new Staff();

$db1 = new Operations();
$db2 = new Stock();

$db->findStaffbyUsername($username);

$statement = $db1->getAllFeesForm();

?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">

        <title><?php  include('../schoolname.php'); ?></title>

        <!-- Bootstrap Core CSS -->
        <link href="../css/bootstrap.min.css" rel="stylesheet">

        <!-- MetisMenu CSS -->
        <link href="../css/metisMenu.min.css" rel="stylesheet">

        <!-- Custom CSS -->
        <link href="../css/startmin.css" rel="stylesheet">

        <!-- Custom Fonts -->
        <link href="../css/font-awesome.min.css" rel="stylesheet" type="text/css">

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body>

        <div id="wrapper">

            <!-- Navigation -->
            <?php 

            include('nav.php');
             ?>
                <!-- /.navbar-top-links -->

                <div class="navbar-default sidebar" role="navigation">
                    <div class="sidebar-nav navbar-collapse">
                        <?php  include('cashiermenu.html')  ?>
                    </div>
                    <!-- /.sidebar-collapse -->
                </div>
                <!-- /.navbar-static-side -->
            </nav>

            <!-- Page Content -->
            <div id="page-wrapper">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-lg-12">
                            <h1 class="page-header">Blank </h1>
                       
                           <!-- panel starts -->

                           <div class="panel-body">
                               
                           <div class="card">
  <div class="card-header">
  <strong>Get Stock By Trans ID</strong>
  </div>
  <div class="card-body">
    <p>
  <form class="form-inline" method = "post">
  
  <div class="form-group mx-sm-3 mb-2">
    <label for="inputPassword2" class="sr-only">Trans ID</label>
    <input type="input" name = "transid" class="form-control" id="inputPassword2" placeholder="transid" required>
  </div>
  <button type="SEARCH" name = "search" class="btn btn-primary mb-2">Get Stocks</button>
</form>
        </p>
<!-- this should appear after submition -->
<?php 
if(isset($_POST['search'])){

  $transid =  $_POST['transid'];
  $count = $db2->getCountStockTrans($transid);

  if($count <= 0) {

    ?>
    <script>
      alert('record not found');
      </script>
    
    <?php
  }

  else {

 // ($db2->findStockTransByID($transid)) 
 $statement = $db2->getAllStockViaTrans($transid); 
 

   


 



?>
<p>
<form method = "post" name = "form2">

<table class="table table-striped table-hover">


<thead>
    <tr>
      <th scope="col">S/N</th>
      <th scope="col">SELECT</th>
      <th scope="col">TRANS ID</th>
      <th scope="col">FIRST NAME</th>
      <th scope="col">LAST NAME</th>
        <th scope="col">DATE</th>
      <th scope="col">ITEM</th>
    
      <th scope="col">AMOUNT </th>
      <th scope="col">QUANTITY</th>


    </tr>
  </thead>
  <tbody>
    <?php
    $i = 0;
 while ($row = $statement->fetch(PDO::FETCH_ASSOC)){
   $i = $i + 1;
    ?>
    <tr>
      <th scope="row"><?php  echo $i ?></th>
      <td>  <input class="form-check-input" type="checkbox" name = "transid2[]"  value="<?php echo $row['id'] ?>" id="flexCheckDefault"></td>
      <td><?php echo $row['transid']  ?></td>
      <td><?php echo $row['fname']  ?></td>
      <td><?php echo $row['lname']  ?></td>
 <td><?php echo $row['date']  ?></td>
      <td><?php echo $row['description']  ?></td>
   
      <td><?php echo $row['price']  ?></td>
      <td><?php echo $row['qty']  ?></td>
   
    </tr>
    <?php
 }
    ?>

   

</table>



</form>
<?php
  } 
}
?>
        </p>

        <?php


if(isset($_POST['update'])){
  $transid2 =  $_POST['transid2'];

  $usecount = count($transid2);
  for($k=0; $k<$usecount; $k++){
$db2->updateStockTrans($transid2[$k]);
  }
?>
<script>
alert('stock record successfully updated');
  </script>

<?php
}

        ?>


<!--   This appears after submission   -->
    
  </div>
</div>
                                   
                                </div>
                                <!-- /.panel-body -->
                            </div>
                            <!-- /.panel -->
                        
                           <!--  panel ends -->





                        </div>
                        <!-- /.col-lg-12 -->
                    </div>
                    <!-- /.row -->
                </div>
                <!-- /.container-fluid -->
            </div>
            <!-- /#page-wrapper -->

        </div>
        <!-- /#wrapper -->

        <!-- jQuery -->
        <script src="../js/jquery.min.js"></script>

        <!-- Bootstrap Core JavaScript -->
        <script src="../js/bootstrap.min.js"></script>

        <!-- Metis Menu Plugin JavaScript -->
        <script src="../js/metisMenu.min.js"></script>

        <!-- Custom Theme JavaScript -->
        <script src="../js/startmin.js"></script>

    </body>
</html>
