<?php
require_once( "db.php" );
//require_once( "useSingleton.php" );
/**
 * Methods for database handling.
 */
class Cash extends Db  {

   
    const BCRYPT_COST = 14;
	
	public $username;
	public $password;
	public $role;
	public $exist;


      public $staffno;
	public $fname;
	public $lname;
	public $dob;
	public $doe;
	public $gender;
	public $image;
	
	
	public $phone;
	public $othernames;
	public $email;
	public $mstatus; 
	
	
	 
	 
	 public function __construct() {

   }
	 
	 
    

    /**
     * Gets given users password.
     *
     * @param $username The username to get the password of.
     * @return The password of the given user.
     */
    public function getUsersPassword($staffno) {
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT password
                FROM   cashlogin
                WHERE  staffno = :staffno';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':staffno', $staffno);

        $statement->execute();
        $row = $statement->fetch(PDO::FETCH_ASSOC);
        $this->password = $row['password'];

       parent::DisConnect( $MySQLiconn);

        return $this->password;
    }

    /**
     * Creates a new user.
     *
     * @param $username The username to create.
     * @param $password The password of the user.
     */
    public function createLogin($staffno,$password,$role,$email,$textcode,$password2) {
	   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();	
	   
	 try{
	 
       $sql = "INSERT INTO cashlogin (staffno,password,role,email,textcode,password2)
                VALUES (:staffno, :password, :role, :email, :textcode, :password2)";
					

       $options = array('cost' => self::BCRYPT_COST);
        $derivedPassword = password_hash($password, PASSWORD_BCRYPT, $options);
       // $derivedTexcode = md5(uniqid(rand())); 
        $statement = $MySQLiconn->prepare($sql);
	
        $statement->bindValue(':staffno',$staffno, PDO::PARAM_STR );
		
        $statement->bindValue(":password", $derivedPassword, PDO::PARAM_STR);
        $statement->bindValue(":role", $role,  PDO::PARAM_STR);
		$statement->bindValue(":email", $email , PDO::PARAM_STR);
		$statement->bindValue(":textcode", $textcode , PDO::PARAM_STR);
			$statement->bindValue(":password2", $password2 , PDO::PARAM_STR);
        $statement->execute();
		
		
		parent::DisConnect( $MySQLiconn);
	  }

        catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
    }
	
	
	
	
	public function countAll(){
	$instance = parent::getInstance();
		//$instance = new DBAccess();
       $MySQLiconn  = $instance->getConnection();	
 
   $sql = "SELECT * from members";
				$statement = $MySQLiconn->prepare($sql);
    $statement->execute();
 
    $num = $statement->rowCount();
 
    return $num;
	parent::DisConnect( $MySQLiconn);
}







public function getUsersPassword2($staffno) {
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   cashlogin
                WHERE  staffno = :staffno';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':staffno', $staffno);

        $statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
	
	   $this->role = $row['role'];
 
    return $this->role;
        
      
		 parent::DisConnect( $MySQLiconn);
		
    }

   public function getPassword(){
	   return $this->password ;
	   }
	   
	 public function getRole(){
	   return $this->role ;
	   }   
	
	
	
	 public function updateLoginDetails($staffno,$password,$password2) {
	   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();	
	   
	 try{
	 
    //   $sql = "INSERT INTO login (staffno,password,role,email,textcode,password2)
              //  VALUES (:staffno, :password, :role, :email, :textcode, :password2)";
			  
			  $sql = "UPDATE cashlogin SET password = :password, password2 = :password2 WHERE staffno = :staffno";
					

       $options = array('cost' => self::BCRYPT_COST);
        $derivedPassword = password_hash($password, PASSWORD_BCRYPT, $options);
       // $derivedTexcode = md5(uniqid(rand())); 
        $statement = $MySQLiconn->prepare($sql);
	
        $statement->bindValue(':staffno',$staffno, PDO::PARAM_STR );
		
        $statement->bindValue(":password", $derivedPassword, PDO::PARAM_STR);
        
		
			$statement->bindValue(":password2", $password2 , PDO::PARAM_STR);
        $statement->execute();
		
		
		parent::DisConnect( $MySQLiconn);
	  }

        catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
    }
	
	
	
    


   public function AddUser($staffno,$fname,$lname,$dob,$doe,$gender,$image,$username,$phone,$othernames,$email,$mstatus){
		
		 try{
		
		
		$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
		 
        $sql = 'INSERT INTO cashier (staffno,fname,lname,dob,doe,gender,image,username,phone,othernames,email,mstatus)
                VALUES (:staffno, :fname,:lname,:dob, :doe, :gender,:image,:username,:phone, :othernames,:email,:mstatus)';

       
         
        $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':staffno', $staffno);
        $statement->bindValue(':fname', $fname);
		$statement->bindValue(':lname', $lname);
		$statement->bindValue(':dob', $dob);
		$statement->bindValue(':doe', $doe);
		$statement->bindValue(':gender', $gender);
		$statement->bindValue(':image', $image);
		$statement->bindValue(':username', $username);	
		
		$statement->bindValue(':phone', $phone);
		$statement->bindValue(':othernames', $othernames);	
		$statement->bindValue(':email', $email);
		$statement->bindValue(':mstatus', $mstatus);
		
                $statement->execute();

                parent::DisConnect( $MySQLiconn);	 
			
			
			
			 
			 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
			
		
	}
	
		public function findStaffbyUsername($staffno){
			
			$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
			
			
			$sql = 'SELECT * from cashier WHERE staffno = :staffno';
			
			$statement = $MySQLiconn->prepare($sql);
			
			$statement->bindValue(':staffno',$staffno);
			 $statement->execute();
	      $row = $statement->fetch(PDO::FETCH_ASSOC);
		  
		  $this->staffno = $row['staffno'];
		  $this->fname = $row['fname'];
		  $this->lname = $row['lname'];
		  $this->dob = $row['dob'];
		  $this->doe = $row['doe'];
          $this->gender = $row['gender'];
		  $this->image = $row['image'];
		  $this->username = $row['username'];
		
		  $this->phone = $row['phone'];
		  $this->othernames = $row['othernames'];
          $this->email = $row['email'];
          $this->mstatus = $row['mstatus'];
		 


			
			parent::DisConnect( $MySQLiconn);	
			}	
		
		
		
		
	public function checkStaffid($staffno){
	  
	  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   cashier
                WHERE  staffno = :staffno';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':staffno', $staffno);

        $statement->execute();
		//$row = $statement->fetch(PDO::FETCH_ASSOC);
		
     
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
	  	
		
		} 	
		
		
		
	
	
  public function checkEmail($email){
	  
	  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   cashier
                WHERE  email = :email';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':email', $email);

        $statement->execute();
		//$row = $statement->fetch(PDO::FETCH_ASSOC);
		
     
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
	  	
		
		} 	
				
    public function updateStaff($staffno,$fname,$lname,$dob,$doe,$gender,$username,$phone,$othernames,$mstatus,$email)
	   {
		 $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	  $sql = 'UPDATE cashier SET fname = :fname, lname = :lname, dob = :dob, doe = :doe, gender = :gender, username = :username,
	   phone = :phone, othernames = :othernames, mstatus = :mstatus,  email = :email where staffno = :staffno ';
	  
	    
        $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':staffno', $staffno);
        $statement->bindValue(':fname', $fname);
		$statement->bindValue(':lname', $lname);
		$statement->bindValue(':dob', $dob);
		$statement->bindValue(':doe', $doe);
		$statement->bindValue(':gender', $gender);
	   $statement->bindValue(':username', $username);	
		
		$statement->bindValue(':phone', $phone);
		$statement->bindValue(':othernames', $othernames);	
		$statement->bindValue(':email', $email);
		$statement->bindValue(':mstatus', $mstatus);
		
        $statement->execute();
	  
	 
	   
		parent::DisConnect( $MySQLiconn);   
		}
	
 
 public function searchStaff($name){
	 
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 $sql = 	"SELECT  * FROM cashier WHERE staffno LIKE '%" . $name .  "%' OR lname LIKE '%" . $name ."%' OR fname LIKE '%" . $name ."%' 
	 OR class LIKE '%" . $name ."%' ";
	 
	 
	 $statement = $MySQLiconn->prepare($sql);
		
      
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
	 
	 }	

	
	public function findAllStaff(){
	 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  cashier';

        $statement = $MySQLiconn->prepare($sql);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 	
		
		
		}
		
		
	public function deleteStaff($staffno){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'DELETE 
                FROM   cashier
                WHERE  staffno = :staffno';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':staffno', $staffno);

        $statement->execute();  
		  parent::DisConnect( $MySQLiconn);
		}
		
		
		
	public function deleteStaffCashLogin($staffno){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'DELETE 
                FROM   cashlogin
                WHERE  staffno = :staffno';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':staffno', $staffno);

        $statement->execute();  
		  parent::DisConnect( $MySQLiconn);
		}		
	
	
	
	
	
	
	
	
}