<?php 
require_once( "db.php" );

  class Fees extends Db {
 
     public $feeid;
     public $admissionno;	
	 public $amount;
	 public $balance;
	 public $session1;
	 public $date1;
	 public $term;
	 public $class1;
	 public $amountpaid;
	 public $session;
	 
	 // new codes

public $exid;
public $name;
public $staffid;
public $descp;

	 
	  public function __construct() {

   }
	 
	 
	 public function AddFee($feeid,$term,$session1,$amount,$class1,$date){
		 
		 
		  try{
	   $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		$sql = 'INSERT into fees (feeid,term,session1,amount,class,date)
		VALUES(:feeid,:term,:session1,:amount,:class1,:date)'; 
		
		
		$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':feeid', $feeid);
		$statement->bindValue(':term', $term);
		$statement->bindValue(':session1', $session1);
		$statement->bindValue(':class1', $class1);
		$statement->bindValue(':amount', $amount);
		
		$statement->bindValue(':date', $date);
		
		
		 $statement->execute();
		 parent::DisConnect( $MySQLiconn);  
	   }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
		 
		 }  
		 
		
		
		 public function AddFeeGrad($feeid,$term,$session1,$amount,$class1,$date,$category){
		 
		 
		  try{
	   $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		$sql = 'INSERT into fees (feeid,term,session1,amount,class,date,category)
		VALUES(:feeid,:term,:session1,:amount,:class1,:date, :category)'; 
		
		
		$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':feeid', $feeid);
		$statement->bindValue(':term', $term);
		$statement->bindValue(':session1', $session1);
		$statement->bindValue(':class1', $class1);
		$statement->bindValue(':amount', $amount);
		
		$statement->bindValue(':date', $date);
		$statement->bindValue(':category', $category);
		
		 $statement->execute();
		 parent::DisConnect( $MySQLiconn);  
	   }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
		 
		 }   
		 
		 
	 public function EditFee($feeid,$term,$session1,$amount,$class1,$date){
		 
		 
		  try{
	   $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		$sql = 'UPDATE fees set term = :term,session1 = :session1,amount = :amount,class = :class1,date = :date
		WHERE feeid = :feeid'; 
		
		
		$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':feeid', $feeid);
		$statement->bindValue(':term', $term);
		$statement->bindValue(':session1', $session1);
		$statement->bindValue(':class1', $class1);
		$statement->bindValue(':amount', $amount);
		
		$statement->bindValue(':date', $date);
		
		
		 $statement->execute();
		 parent::DisConnect( $MySQLiconn);  
	   }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
		 
		 } 
		 
		 
	 public function viewAllFees($session1){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				 $sql = 'SELECT * from fees WHERE session1 = :session1 ORDER BY date DESC';

        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':session1', $session1);
		
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   }	
		  	
	
	
	
	 public function viewAllFeesGrad($session1){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				 $sql = "SELECT * from fees WHERE session1 = :session1 AND category = 'grad' ORDER BY date DESC";

        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':session1', $session1);
		
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   }	
		
		
		
		
		 public function viewAllFeesOthers($session1){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				 $sql = "SELECT * from fees WHERE session1 = :session1 AND category = 'otherfee' ORDER BY date DESC";

        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':session1', $session1);
		
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   }	
		

	public function deleteFees($feeid){
			
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'DELETE 
                FROM   fee
                WHERE  feeid = :feeid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':feeid', $feeid);

        $statement->execute(); 
		 parent::DisConnect( $MySQLiconn); 
		 
			 
			 }   
			 
			 
		
		 public function checkFees($feeid){
	  
	  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  fees 
                WHERE  feeid = :feeid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':feeid', $feeid);

        $statement->execute();
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
	  	
		 }
		 
		 
		 public function findFee($feeid){
	
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  fees 
                WHERE  feeid = :feeid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':feeid', $feeid);

        $statement->execute();
	     $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->session1 = $row['session1'];
	   $this->term = $row['term'];
	   $this->class1 = $row['class'];
	   $this->amount = $row['amount'];
	   $this->date1 = $row['date'];
	   
        
      
		 parent::DisConnect( $MySQLiconn);	 
			 
			 
			 }
	
	  
	   public function AddFeeTrans($feeid,$admissionno,$amount,$balance,$session1,$term,$class1,$date,$details,$mode1,$recievedby,$transport,
	   $otherfees,$graduation){
		 
		 
		  try{
	   $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		$sql = 'INSERT into feetrans (feeid,admissionno,amount,balance,session1,term,class,date,details,mode1,recievedby,transport,otherfees,graduation)
		VALUES(:feeid,:admissionno,:amount,:balance,:session1,:term,:class1,:date,:details,:mode1,:recievedby,:transport,:otherfees,:graduation)'; 
		
		
		$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':feeid', $feeid);
		$statement->bindValue(':admissionno', $admissionno);
		$statement->bindValue(':amount', $amount);
		$statement->bindValue(':balance', $balance);
		$statement->bindValue(':term', $term);
		$statement->bindValue(':session1', $session1);
		$statement->bindValue(':class1', $class1);
		$statement->bindValue(':date', $date);
		
		$statement->bindValue(':details', $details);
		$statement->bindValue(':mode1', $mode1);
		$statement->bindValue(':recievedby',$recievedby);
		$statement->bindValue(':transport',$transport);
		$statement->bindValue(':otherfees',$otherfees);
		$statement->bindValue(':graduation',$graduation);
		 $statement->execute();
		 parent::DisConnect( $MySQLiconn);  
	   }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
		 
		 }   
		 
		 
	
	
	 public function AddPtaTrans($feeid,$admissionno,$amount,$balance,$session1,$term,$class1,$date,$details,$mode1,$recievedby){
		 
		 
		  try{
	   $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		$sql = 'INSERT into ptatrans (feeid,admissionno,amount,balance,session1,term,class,date,details,mode1,recievedby)
		VALUES(:feeid,:admissionno,:amount,:balance,:session1,:term,:class1,:date,:details,:mode1,:recievedby)'; 
		
		
		$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':feeid', $feeid);
		$statement->bindValue(':admissionno', $admissionno);
		$statement->bindValue(':amount', $amount);
		$statement->bindValue(':balance', $balance);
		$statement->bindValue(':term', $term);
		$statement->bindValue(':session1', $session1);
		$statement->bindValue(':class1', $class1);
		$statement->bindValue(':date', $date);
		
		$statement->bindValue(':details', $details);
		$statement->bindValue(':mode1', $mode1);
		$statement->bindValue(':recievedby',$recievedby);
		
		 $statement->execute();
		 parent::DisConnect( $MySQLiconn);  
	   }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
		 
		 }   
		 
	 
	 
   public  function addTransaction($transid,$name,$amount,$balance,$term,$session1,$class,$year,
   $admissionno,$lname,$date,$recievedby,$details,$mode1,$transport,$fbalance,$graduation,$otherfees)
   {
	   
	    $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 try{
		 
		 $sql = 'INSERT INTO transaction (transid,name,amount,balance,term,session1,class,year,admissionno,lname,date,recievedby,details,mode1,transport,fbalance,graduation,otherfees)
		 VALUES(:transid,:name,:amount,:balance,:term,:session1,:class,:year,:admissionno,:lname,:date,:recievedby,:details,:mode1,:transport,
		 :fbalance,:graduation,:otherfees) ';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':transid',$transid);
	     $statement->bindValue(':name',$name);
		 $statement->bindValue(':amount',$amount);
		 $statement->bindValue(':balance',$balance);
		 $statement->bindValue(':term',$term);
		 $statement->bindValue(':session1',$session1);
		 $statement->bindValue(':class',$class);
		 $statement->bindValue(':year',$year);
		 $statement->bindValue(':admissionno',$admissionno);
	     
		 $statement->bindValue(':lname',$lname);
		 $statement->bindValue(':date',$date);
		  $statement->bindValue(':recievedby',$recievedby);
		   $statement->bindValue(':mode1',$mode1);
		    $statement->bindValue(':details',$details);
		    $statement->bindValue(':transport',$transport);
			 $statement->bindValue(':fbalance',$fbalance);
			  $statement->bindValue(':graduation',$graduation);
			   $statement->bindValue(':otherfees',$otherfees);
			   
		 $statement->execute();
		 
		
		 parent::DisConnect($MySQLiconn);
		 
		  }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
	   
	   }	
	   
	   //$exid,$name,$amount,$lname,$date,$staffnoo)
	   public  function addTransaction2($transid,$name,$cert2,$lname,$date,$recievedby)
   {
	   
	    $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 try{
		 
		 $sql = 'INSERT INTO transaction (transid,name,cert2,lname,date,recievedby)
		 VALUES(:transid,:name,:cert2,:lname,:date,:recievedby) ';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':transid',$transid);
	     $statement->bindValue(':name',$name);
		 $statement->bindValue(':cert2',$cert2);
		
	     
		 $statement->bindValue(':lname',$lname);
		 $statement->bindValue(':date',$date);
		  $statement->bindValue(':recievedby',$recievedby);
		  
		 $statement->execute();
		 
		
		 parent::DisConnect($MySQLiconn);
		 
		  }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
	   
	   }	
	   
	   
	    public  function addTransaction3($transid,$name,$registration,$lname,$date,$recievedby)
   {
	   
	    $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 try{
		 
		 $sql = 'INSERT INTO transaction (transid,name,registration,lname,date,recievedby)
		 VALUES(:transid,:name,:cert2,:lname,:date,:recievedby) ';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':transid',$transid);
	     $statement->bindValue(':name',$name);
		 $statement->bindValue(':registration',$registration);
		
	     
		 $statement->bindValue(':lname',$lname);
		 $statement->bindValue(':date',$date);
		  $statement->bindValue(':recievedby',$recievedby);
		  
		 $statement->execute();
		 
		
		 parent::DisConnect($MySQLiconn);
		 
		  }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
	   
	   }	
	   
	   
	   
	   
	   
	   
	   
	   
	   public function getTransaction($transid){
		   $instance = parent::getInstance();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = 'SELECT * from transaction WHERE transid = :transid';
		   $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':transid',$transid);
		   $statement->execute();
		   
		    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   
		   }  
		   
		   
		   
		   
	
	public function getAllTransactions($date1,$date2){
	$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();	
		 
		 $sql = "SELECT * from transaction WHERE date BETWEEN '".$date1."' AND '".$date2."' ORDER BY lname ASC ";	
		 
		 $statement = $MySQLiconn->prepare($sql);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn); 
		
		}		
	
	
	
	public function getAllTransactionsMode($date1,$date2,$mode1){
	$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();	
		 
		 $sql = "SELECT * from transaction WHERE date BETWEEN '".$date1."' AND '".$date2."' AND mode1 = :mode1 ORDER BY lname ASC ";	
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':mode1',$mode1);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn); 
		
		}		
		
	public function getGeneralExpenditures($date1,$date2){
	$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();	
		 
		 $sql = "SELECT * from expenditures2 WHERE date BETWEEN '".$date1."' AND '".$date2."' ";	
		 
		 $statement = $MySQLiconn->prepare($sql);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn); 
		
		}		
		
	
	 public function addGeneralExpenditure($exid,$name,$amount,$descp,$date,$staffid,$balance){
		    $instance = parent::getInstance();
		$MYSQLiconn = $instance->getConnection();
		 
		 $sql = 'INSERT into expenditures2 (exid,name,amount,descp,date,staffid,balance) VALUES (:exid,:name,:amount,:descp,:date,:staffid,:balance)';
		 
		 
		 try{
			$statement = $MYSQLiconn->prepare($sql);
			$statement->bindValue(':exid',$exid);
			$statement->bindValue(':name',$staffid);

			$statement->bindValue(':date',$date);
			$statement->bindValue(':descp',$descp);
            $statement->bindValue(':staffid',$staffid);
           $statement->bindValue(':amount',$amount);
		   $statement->bindValue(':balance',$balance);
			$statement->execute();
			
			parent::DisConnect();
			}
			
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		 
		
	
		   }  
	
	
		
		   
	
    
	 public function getGeneralAccountFees($id){
		   $instance = parent::getInstance();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = 'SELECT * from generalfee WHERE id = :id';
		   $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':id',$id);
		   $statement->execute();
		   
		    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   
		   } 	
		   
		   
	
	 public function getGeneralAccountPta($id){
		   $instance = parent::getInstance();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = 'SELECT * from generalpta WHERE id = :id';
		   $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':id',$id);
		   $statement->execute();
		   
		    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   
		   } 	
	   
	   
		   
		   
		   
		   public function updateGeneralAccountFees($id,$amount){
		   $instance = parent::getInstance();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = 'UPDATE generalfee SET amount = :amount  WHERE id = :id';
		   $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':id',$id);
		   $statement->bindValue(':amount',$amount);
		   $statement->execute();
		   
		    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   
		   } 
		   
		   
		
		 public function updateGeneralAccountPta($id,$amount){
		   $instance = parent::getInstance();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = 'UPDATE generalpta SET amount = :amount  WHERE id = :id';
		   $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':id',$id);
		   $statement->bindValue(':amount',$amount);
		   $statement->execute();
		   
		    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   
		   } 
		
		   
		    
	   
	
	 public function checkPta($pid){
	  
	  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  pta
                WHERE  pid = :pid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':pid', $pid);

        $statement->execute();
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
	  	
		 }   
	
	   
	   
		

  public function AddPta($pid,$term,$session,$amount,$date){
		 
		 
		  try{
	   $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		$sql = 'INSERT into pta (pid,term,session,amount,date)
		VALUES(:pid,:term,:session,:amount,:date)'; 
		
		
		$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':pid', $pid);
		$statement->bindValue(':term', $term);
		$statement->bindValue(':session', $session);
		
		$statement->bindValue(':amount', $amount);
		
		$statement->bindValue(':date', $date);
		
		
		 $statement->execute();
		 parent::DisConnect( $MySQLiconn);  
	   }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
		 
		 }  		
		 
		 
		
	  public function findPta($pid){
	
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  pta 
                WHERE  pid = :pid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':pid', $pid);

        $statement->execute();
	     $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->session = $row['session'];
	   $this->term = $row['term'];
	  
	   $this->amount = $row['amount'];
	   $this->date1 = $row['date'];
	   
        
      
		 parent::DisConnect( $MySQLiconn);	 
			 
			 
			 }
		
		
		
	
		public function EditPta($pid,$term,$session,$amount,$date){
		 
		 
		  try{
	   $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		$sql = 'UPDATE pta set term = :term,session = :session,amount = :amount,date = :date
		WHERE pid = :pid'; 
		
		
		$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':pid', $pid);
		$statement->bindValue(':term', $term);
		$statement->bindValue(':session', $session);
		
		$statement->bindValue(':amount', $amount);
		
		$statement->bindValue(':date', $date);
		
		
		 $statement->execute();
		 parent::DisConnect( $MySQLiconn);  
	   }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
		 
		 } 
		  
 
 
       
	   
	      public  function addConcession($id,$admissionno,$amount,$date,$session1,$term)
   {
	   
	    $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 try{
		 
		 $sql = 'INSERT INTO concession (id,admissionno,amount,date,session1,term)
		 VALUES(:id,:admissionno,:amount,:date,:session1,:term) ';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':id',$id);
	     $statement->bindValue(':admissionno',$admissionno);
		 $statement->bindValue(':amount',$amount);
		
	     
		 $statement->bindValue(':session1',$session1);
		 $statement->bindValue(':date',$date);
		  $statement->bindValue(':term',$term);
		  
		 $statement->execute();
		 
		
		 parent::DisConnect($MySQLiconn);
		 
		  }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
	   
	   }	
	   
	     
		
		 public function checkConcession($id){
	  
	  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  concession
                WHERE  id = :id';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);

        $statement->execute();
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
	  	
		 }   
	 
		 
		 
  public function deleteTransaction($transid){
			
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'DELETE 
                FROM   transaction
                WHERE  transid = :transid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':transid', $transid);

        $statement->execute(); 
		 parent::DisConnect( $MySQLiconn); 
		 
			 
			 } 
 
   
     public function deleteTransactionTrans($transid){
			
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'DELETE 
                FROM   transportationtrans
                WHERE  tid = :transid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':transid', $transid);

        $statement->execute(); 
		 parent::DisConnect( $MySQLiconn); 
		 
			 
			 } 
    
 
  public function getStudentsOnConCession($term,$session1){
		   $instance = parent::getInstance();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = 'SELECT s.date,s.amount,s.term,w.lname,s.admissionno,w.fname from concession s INNER JOIN student w  ON s.admissionno = w.admissionno  WHERE term = :term AND session1 = :session1 ORDER BY w.lname ASC';
		   $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':term',$term);
		   $statement->bindValue(':session1',$session1);
		   $statement->execute();
		   
		    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   
		   } 	
		   
		   
		   public function findExpendituresById($exid){
	
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  expenditures2 
                WHERE  exid = :exid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':exid', $exid);

        $statement->execute();
	     $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->exid = $row['exid'];
	   $this->name = $row['name'];
	   $this->amount = $row['amount'];
	   $this->descp = $row['descp'];
	   $this->date1 = $row['date'];
	    $this->staffid = $row['staffid'];
         $this->balance = $row['balance'];
      
		 parent::DisConnect( $MySQLiconn);	 
			 
			 
			 }
			 
			 
      
	 public function EditExpenses($exid,$name,$amount,$descp,$date,$balance){
		 
		 
		  try{
	   $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		$sql = 'UPDATE expenditures2  set name = :name,amount = :amount,descp = :descp,date = :date, balance = :balance
		WHERE exid = :exid'; 
		
		
		$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':exid', $exid);
		$statement->bindValue(':name', $name);
		$statement->bindValue(':amount', $amount);
		$statement->bindValue(':descp', $descp);
		
		$statement->bindValue(':date', $date);
		
		$statement->bindValue(':balance', $balance);
		
		
		 $statement->execute();
		 parent::DisConnect( $MySQLiconn);  
	   }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
		 
		 }  
	  
	  //addTransactionOthers
	   public  function addTransactionOthers($transid,$name,$others,$lname,$date,$recievedby,$mode1)
   {
	   
	    $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 try{
		 
		 $sql = 'INSERT INTO transaction (transid,name,others,lname,date,recievedby,mode1)
		 VALUES(:transid,:name,:others,:lname,:date,:recievedby,:mode1) ';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':transid',$transid);
	     $statement->bindValue(':name',$name);
		 
		
	     
		 $statement->bindValue(':lname',$lname);
		 $statement->bindValue(':date',$date);
		  $statement->bindValue(':recievedby',$recievedby);
		  $statement->bindValue(':others',$others);
		  $statement->bindValue(':mode1',$mode1);
		 $statement->execute();
		 
		
		 parent::DisConnect($MySQLiconn);
		 
		  }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
	   
	   }	
	   
	   
	    public function findConcessionById($id){
	
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  concession 
                WHERE  id = :id';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);

        $statement->execute();
	     $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->id = $row['id'];
	   
	   $this->amount = $row['amount'];
	   $this->term = $row['date'];
	   $this->date1 = $row['date'];
	    $this->session1 = $row['session1'];
		$this->admissionno = $row['admissionno'];
       //  $this->balance = $row['balance'];
      
		 parent::DisConnect( $MySQLiconn);	 
			 
			 
			 }
			 
		 
	  
	  
	  
	   public function editConcession($id,$amount,$date){
		 
		 
		  try{
	   $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		$sql = 'UPDATE concession  set amount = :amount,date = :date
		WHERE id = :id'; 
		
		
		$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':id', $id);
		
		$statement->bindValue(':amount', $amount);
		
		
		$statement->bindValue(':date', $date);
		
	
		
		
		 $statement->execute();
		 parent::DisConnect( $MySQLiconn);  
	   }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
		 
		 }  
		 
		 public function deleteExpenditures($exid){
			
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'DELETE 
                FROM   expenditures2
                WHERE  exid = :exid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':exid', $exid);

        $statement->execute(); 
		 parent::DisConnect( $MySQLiconn); 
		 
			 
			 }  
			 
		
		 public function findLastPaymentByStudents($admissionno){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  transaction WHERE  admissionno = :admissionno ORDER BY date DESC LIMIT 1';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':admissionno', $admissionno);
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 
		 }	 
	    
	  
	  
	  } 


?>