jQuery.validator.addMethod( 'passwordMatch', function(value, element) {
    
    // The two password inputs
    var password = $("#password").val();
    var confirmPassword = $("#password1").val();

    // Check for equality with the password inputs
    if (password != confirmPassword ) {
        return false;
    } else {
        return true;
    }

}, "Your Passwords Must Match");



// ==========================================================================
// Registration Form : jquery validation
// http://jqueryvalidation.org/validate

$('#form1').validate({
    // rules
    rules: {
        password: {
            required: true,
            minlength: 3
        },
        password1: {
            required: true,
            minlength: 3,
            passwordMatch: true // set this on the field you're trying to match
        }
    },

    // messages
    messages: {
        register_password: {
            required: "What is your password?",
            minlength: "Your password must contain more than 3 characters"
        },
        register_pass_confirm: {
            required: "You must confirm your password",
            minlength: "Your password must contain more than 3 characters",
            passwordMatch: "Your Passwords Must Match" // custom message for mismatched passwords
        }
    }
});//end validate