<?php 
require_once( "db.php" );

  class Pta extends Db {
 
     public $feeid;
     public $admissionno;	
	 public $amount;
	 public $balance;
	 public $session1;
	 public $date1;
	 public $term;
	 public $class1;
	 public $amountpaid;
	 
	  public function __construct() {

   }
	 
	 
	 public function AddPta($feeid,$session1,$amount,$class1,$date){
		 
		 
		  try{
	   $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		$sql = 'INSERT into pta (feeid,session1,amount,class,date)
		VALUES(:feeid,:session1,:amount,:class1,:date)'; 
		
		
		$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':feeid', $feeid);
		
		$statement->bindValue(':session1', $session1);
		$statement->bindValue(':class1', $class1);
		$statement->bindValue(':amount', $amount);
		
		$statement->bindValue(':date', $date);
		
		
		 $statement->execute();
		 parent::DisConnect( $MySQLiconn);  
	   }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
		 
		 }  
		 
		 
		 
		 
	 public function EditPta($feeid,$session1,$amount,$class1,$date){
		 
		 
		  try{
	   $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		$sql = 'UPDATE pta set session1 = :session1,amount = :amount,class = :class1,date = :date
		WHERE feeid = :feeid'; 
		
		
		$statement = $MySQLiconn->prepare($sql); 
		
		$statement->bindValue(':feeid', $feeid);
		$statement->bindValue(':session1', $session1);
		$statement->bindValue(':class1', $class1);
		$statement->bindValue(':amount', $amount);
		
		$statement->bindValue(':date', $date);
		
		
		 $statement->execute();
		 parent::DisConnect( $MySQLiconn);  
	   }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
		 
		 } 
		 
		 
	 public function viewAllFees($session1){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				 $sql = 'SELECT * from pta WHERE session1 = :session1 ORDER BY date DESC';

        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':session1', $session1);
		
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   }	
		
		

	public function deleteFees($feeid){
			
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'DELETE 
                FROM   pta
                WHERE  feeid = :feeid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':feeid', $feeid);

        $statement->execute(); 
		 parent::DisConnect( $MySQLiconn); 
		 
			 
			 } 
			 
	
	public function checkPTAFees($feeid){
	  
	  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  pta
                WHERE  feeid = :feeid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':feeid', $feeid);

        $statement->execute();
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
	  	
		 }
	
			 
	
	
	 public function findFee($feeid){
	
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  pta 
                WHERE  feeid = :feeid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':feeid', $feeid);

        $statement->execute();
	     $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->session1 = $row['session1'];
	   
	   $this->class1 = $row['class'];
	   $this->amount = $row['amount'];
	   $this->date1 = $row['date'];
	   
        
      
		 parent::DisConnect( $MySQLiconn);	 
			 
			 
			 }
	
	
			   
	
		
		 
	  
	  
	  } 


?>