<?php 
require_once( "db.php" );

 class Staff extends Db {
	 
	public $staffno;
	public $fname;
	public $lname;
	public $dob;
	public $doe;
	public $gender;
	public $image;
	public $username;
	public $class1;
	public $phone;
	public $othernames;
	public $email;
	public $mstatus; 
	public $status1;
	public $class2;
	public $password2;
	
	//new codes
	
	public $id;
	public $code;
	public $term;
	public $session1;
	public $status;
	 public function __construct() {

   }
   
    public function AddUser($staffno,$fname,$lname,$dob,$doe,$gender,$image,$username,$class1,$phone,$othernames,$email,$mstatus,$status1,$class2){
		
		 try{
		
		
		$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
		 
        $sql = 'INSERT INTO staff (staffno,fname,lname,dob,doe,gender,image,username,class,phone,othernames,email,mstatus,status,class2)
                VALUES (:staffno, :fname,:lname,:dob, :doe, :gender,:image,:username,:class,:phone, :othernames,:email,:mstatus, :status1,:class2)';

       
         
        $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':staffno', $staffno);
        $statement->bindValue(':fname', $fname);
		$statement->bindValue(':lname', $lname);
		$statement->bindValue(':dob', $dob);
		$statement->bindValue(':doe', $doe);
		$statement->bindValue(':gender', $gender);
		$statement->bindValue(':image', $image);
		$statement->bindValue(':username', $username);	
		$statement->bindValue(':class', $class1);
		$statement->bindValue(':phone', $phone);
		$statement->bindValue(':othernames', $othernames);	
		$statement->bindValue(':email', $email);
		$statement->bindValue(':mstatus', $mstatus);
		$statement->bindValue(':status1', $status1);
		$statement->bindValue(':class2', $class2);
        $statement->execute();

        parent::DisConnect( $MySQLiconn);	 
			
			
			
			 
			 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
			
		
	}
	
		public function findStaffbyUsername($staffno){
			
			$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
			
			
			$sql = 'SELECT * from staff WHERE staffno = :staffno';
			
			$statement = $MySQLiconn->prepare($sql);
			
			$statement->bindValue(':staffno',$staffno);
			 $statement->execute();
	      $row = $statement->fetch(PDO::FETCH_ASSOC);
		  
		  $this->staffno = $row['staffno'];
		  $this->fname = $row['fname'];
		  $this->lname = $row['lname'];
		  $this->dob = $row['dob'];
		  $this->doe = $row['doe'];
          $this->gender = $row['gender'];
		  $this->image = $row['image'];
		  $this->username = $row['username'];
		  $this->class1 = $row['class'];
		  $this->phone = $row['phone'];
		  $this->othernamea = $row['othernames'];
          $this->email = $row['email'];
          $this->mstatus = $row['mstatus'];
		  $this->status = $row['status'];
		  $this->class2 = $row['class2'];
		  $this->image = $row['image'];
		//   $this->password2 = $row['password2'];


			
			parent::DisConnect( $MySQLiconn);	
			}	
		
		
		
		
	public function checkStaffid($staffno){
	  
	  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   staff
                WHERE  staffno = :staffno';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':staffno', $staffno);

        $statement->execute();
		//$row = $statement->fetch(PDO::FETCH_ASSOC);
		
     
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
	  	
		
		} 	
		
		
		
	
	
  public function checkEmail($email){
	  
	  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   staff
                WHERE  email = :email';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':email', $email);

        $statement->execute();
		//$row = $statement->fetch(PDO::FETCH_ASSOC);
		
     
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
	  	
		
		} 	
				
    public function updateStaff($staffno,$fname,$lname,$dob,$doe,$gender,$username,$class,$phone,$othernames,$mstatus,$status,$email,$class2)
	   {
		 $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	  $sql = 'UPDATE staff SET fname = :fname, lname = :lname, dob = :dob, doe = :doe, gender = :gender, username = :username,
	  class = :class, phone = :phone, othernames = :othernames, mstatus = :mstatus, status = :status, email = :email,class2 = :class2 where staffno = :staffno ';
	  
	    
        $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':staffno', $staffno);
        $statement->bindValue(':fname', $fname);
		$statement->bindValue(':lname', $lname);
		$statement->bindValue(':dob', $dob);
		$statement->bindValue(':doe', $doe);
		$statement->bindValue(':gender', $gender);
	   $statement->bindValue(':username', $username);	
		$statement->bindValue(':class', $class);
		$statement->bindValue(':phone', $phone);
		$statement->bindValue(':othernames', $othernames);	
		$statement->bindValue(':email', $email);
		$statement->bindValue(':mstatus', $mstatus);
		$statement->bindValue(':status', $status);
		$statement->bindValue(':class2', $class2);
        $statement->execute();
	  
	 
	   
		parent::DisConnect( $MySQLiconn);   
		}
	
 
 public function searchStaff($name){
	 
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 $sql = 	"SELECT  * FROM staff WHERE staffno LIKE '%" . $name .  "%' OR lname LIKE '%" . $name ."%' OR fname LIKE '%" . $name ."%' 
	 OR class LIKE '%" . $name ."%' ";
	 
	 
	 $statement = $MySQLiconn->prepare($sql);
		
      
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
	 
	 }	

	
	public function findAllStaff(){
	 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  staff';

        $statement = $MySQLiconn->prepare($sql);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 	
		
		
		}
		
		
	public function deleteStaff($staffno){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'DELETE 
                FROM   staff
                WHERE  staffno = :staffno';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':staffno', $staffno);

        $statement->execute();  
		  parent::DisConnect( $MySQLiconn);
		}
		
		
		public function AddSubjectTeacher($staffno,$fname,$lname,$phone,$email){
		
		 try{
		
		
		$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
		 
        $sql = 'INSERT INTO staff (staffno,fname,lname,phone,email)
                VALUES (:staffno, :fname,:lname,:phone,:email)';

       
         
        $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':staffno', $staffno);
        $statement->bindValue(':fname', $fname);
		$statement->bindValue(':lname', $lname);
		$statement->bindValue(':phone', $phone);
		$statement->bindValue(':email', $email);
		
        $statement->execute();

        parent::DisConnect( $MySQLiconn);	 
			
			
			
			 
			 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
			
		
	}
	
	  
	   public function InsertIntoVerifySubject($id,$subject,$staffno,$class){
		
		 try{
		
		
		$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
		 
        $sql = 'INSERT INTO verifysubject (id,subject,staffno,class)
                VALUES (:id, :subject,:staffno,:class)';

       
         
        $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':id', $id);
        $statement->bindValue(':subject', $subject);
		$statement->bindValue(':staffno', $staffno);
		$statement->bindValue(':class', $class);
		
		
        $statement->execute();

        parent::DisConnect( $MySQLiconn);	 
			
			
			
			 
			 
			 }
			 
			 catch(Exception $e){
			//echo "oops! ".$e->getMessage(); 
			
			} 
			
		
	}
	
	
	public function selectVerifySubjectByStaff($staffno){
	 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  verifysubject WHERE staffno = :staffno';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':staffno', $staffno);
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 	
		
		
		}	
		
		
		
   public function deleteFromVerifySubject($id){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'DELETE 
                FROM   verifysubject
                WHERE  id = :id';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);

        $statement->execute();  
		  parent::DisConnect( $MySQLiconn);
		}
  	 	
	  
	 
	 
	 public function findClassTeachersPasswords(){
		 
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT s.lname, s.fname, s.class, s.phone,s.staffno, w.password2 FROM 
		staff s INNER JOIN login w ON s.staffno = w.staffno';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);

        $statement->execute(); 
		return $statement; 
		  parent::DisConnect( $MySQLiconn);
		 
		 
		 
		 }	
		 
		 
		 
		  public function findClassTeachersSubjectPasswords(){
		 
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT s.lname, s.fname, s.class, s.phone,s.staffno, w.password2 FROM 
		staff s INNER JOIN subjectlogin w ON s.staffno = w.staffno';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);

        $statement->execute(); 
		return $statement; 
		  parent::DisConnect( $MySQLiconn);
		 
		 
		 
		 }	
		
		
	  public function updateStaffImage($staffno, $image){
			 
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	      
		  $sql = "UPDATE staff SET image = :image WHERE staffno = :staffno";
		  
		   $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':staffno',$staffno);
		$statement->bindValue(':image',$image);
       
        $statement->execute();
		
	   
	   
		 parent::DisConnect( $MySQLiconn);  
		  
		  
		  
			 
			 }	
		
	
	 public function updateLoginDetailsRole($staffno,$role) {
	   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();	
	   
	 try{
	 
    //   $sql = "INSERT INTO login (staffno,password,role,email,textcode,password2)
              //  VALUES (:staffno, :password, :role, :email, :textcode, :password2)";
			  
			  $sql = "UPDATE login SET role = :role WHERE staffno = :staffno";
					

      
        $statement = $MySQLiconn->prepare($sql);
	
        $statement->bindValue(':staffno',$staffno, PDO::PARAM_STR );
		
       
        
		
			$statement->bindValue(":role", $role , PDO::PARAM_STR);
        $statement->execute();
		
		
		parent::DisConnect( $MySQLiconn);
	  }

        catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
    }
	
// new codes  ///


           public function updateActivationCodeDcube($id, $code,$session1,$term,$status){
			 
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	      
		  $sql = "UPDATE activatecode SET code = :code, session1 = :session1, term1 = :term1, status = :status WHERE id = :id";
		  
		   $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':id',$id);
		   $statement->bindValue(':code',$code);
           $statement->bindValue(':session1',$session1);
	       $statement->bindValue(':term',$term);
		   $statement->bindValue(':status',$status);
        $statement->execute();
		
	   
	   
		 parent::DisConnect( $MySQLiconn);  
		  
		  
		  
			  }			
		
		
		
		public function findActivationCodeByCode($code){
			
			$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
			
			
			$sql = 'SELECT * from activatecode WHERE code = :code';
			
			$statement = $MySQLiconn->prepare($sql);
			
			$statement->bindValue(':code',$code);
			 $statement->execute();
	      $row = $statement->fetch(PDO::FETCH_ASSOC);
		  
		  $this->staffno = $row['staffno'];
		  $this->fname = $row['fname'];
		  $this->lname = $row['lname'];
		  $this->dob = $row['dob'];
		  $this->doe = $row['doe'];
          $this->gender = $row['gender'];
		 
		//   $this->password2 = $row['password2'];


			
			parent::DisConnect( $MySQLiconn);	
			}	
	 
	   
	   	public function findActivationCodeById($id){
			
			$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
			
			
			$sql = 'SELECT * from activatecode WHERE id = :id';
			
			$statement = $MySQLiconn->prepare($sql);
			
			$statement->bindValue(':id',$id);
			 $statement->execute();
	      $row = $statement->fetch(PDO::FETCH_ASSOC);
		  
		  $this->code = $row['code'];
		  $this->session1 = $row['session1'];
		  $this->term = $row['term'];
		  $this->status = $row['status'];
		
		 
		//   $this->password2 = $row['password2'];


			
			parent::DisConnect( $MySQLiconn);	
			}	 
			
			
			 public function updateActivationCodeByCode($code,$status){
			 
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	      
		  $sql = "UPDATE activatecode SET code = :code,  status = :status WHERE id = :id";
		  
		   $statement = $MySQLiconn->prepare($sql);
		
		   $statement->bindValue(':code',$code);
           
	     
		   $statement->bindValue(':status',$status);
        $statement->execute();
		
	   
	   
		 parent::DisConnect( $MySQLiconn);  
		  
		  
		  
			  }	 
	   // new codes

	 public function findCurrentPortalValues($id){
			
		$instance = parent::getInstance();	
   $MySQLiconn  = $instance->getConnection();
		
		try {
		$sql = "SELECT * from portal WHERE id =:id";
		
		$statement = $MySQLiconn->prepare($sql);
		
		$statement->bindValue(':id',$id);
		 $statement->execute();
	  $row = $statement->fetch(PDO::FETCH_ASSOC);  
	  $this->term = $row['term'];
	  $this->session = $row['session'];
	  $this->staffid = $row['staffid'];
	  $this->date = $row['date'];
		parent::DisConnect( $MySQLiconn);	

		}
		catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 

		}
		// new codes 
	
	public function addProfile($staffno,$image,$descp,$title,$date,$name){
		$instance = parent::getInstance();
	$MYSQLiconn = $instance->getConnection();
	 
	 $sql = 'INSERT into staffprofile (staffno,image,descp,title,date,name) VALUES (:staffno,:image,:descp,:title,:date,:name)';
	 
	 
	 try{
		$statement = $MYSQLiconn->prepare($sql);
		$statement->bindValue(':staffno',$staffno);
		$statement->bindValue(':image',$image);
		$statement->bindValue(':descp',$descp);
		$statement->bindValue(':title',$title);
		$statement->bindValue(':date',$date);
		$statement->bindValue(':name',$name);
		$statement->execute();
		
		parent::DisConnect();
		}
		
		 catch(Exception $e){
		echo "oops! ".$e->getMessage(); 
		
		} 
	 
	
	
	   }
		   


	

  public function updateProfile($id,$image,$descp,$title,$date,$name){
		$instance = parent::getInstance();
	$MYSQLiconn = $instance->getConnection();
	 
	
	 
	 $sql = 'UPDATE profile SET image = :image,descp = :descp, title = :title,date = :date, name = :name WHERE id = :id';
	 
	 
	 try{
		$statement = $MYSQLiconn->prepare($sql);
		$statement->bindValue(':id',$id);
		$statement->bindValue(':image',$image);
		$statement->bindValue(':descp',$descp);
		$statement->bindValue(':title',$title);
		$statement->bindValue(':date',$date);
		$statement->bindValue(':name',$name);
		$statement->execute();
		
		parent::DisConnect();
		}
		
		 catch(Exception $e){
		echo "oops! ".$e->getMessage(); 
		
		} 
	 
	
	
	   }	
	   
	  

   public function deleteProfile($id){
		
		 $instance = parent::getInstance();	
   $MySQLiconn  = $instance->getConnection();
	
	$sql = 'DELETE 
			FROM   staffprofile
			WHERE  id = :id';

	$statement = $MySQLiconn->prepare($sql);
	$statement->bindValue(':id', $id);

	$statement->execute();  
	  parent::DisConnect( $MySQLiconn);
		 
		 }	   
	 
 
 
 
 public function GetStaffProfile($staffno){
	$instance = parent::getInstance();	
   $MySQLiconn  = $instance->getConnection();
   


$sql = "SELECT s.image,s.id,s.title,s.staffno,s.descp,s.date, w.lname,w.fname,s.name FROM  staffprofile s INNER JOIN staff w 
ON s.staffno = w.staffno 	WHERE s.staffno = :staffno";		
		
		
	$statement = $MySQLiconn->prepare($sql);
	$statement->bindValue(':staffno',$staffno);
   
	$statement->execute();
	
	return $statement;
   
	 parent::DisConnect( $MySQLiconn); 
	
	
	}
	

 
 
 public function findOneSingleProfile($id){
	$instance = parent::getInstance();	
   $MySQLiconn  = $instance->getConnection();
   
	$sql = 'SELECT s.image,s.title,s.descp,s.date,w.lname,w.fname,w.staffno FROM staffprofile s INNER JOIN 
	staff w ON s.staffno = w.staffno WHERE s.id = :id';
   
   
	$statement = $MySQLiconn->prepare($sql);
	
	$statement->bindValue(':id',$id);
	
	
	$statement->execute();
   $row = $statement->fetch(PDO::FETCH_ASSOC);
   
   $this->image = $row['image'];
  $this->title =$row['title'];
   $this->descp =$row['descp'];
   $this->date1 =$row['date'];
   $this->lname =$row['lname'];
	 $this->fname =$row['fname'];
	 $this->staffno = $row['staffno'];
	 parent::DisConnect( $MySQLiconn); 
	
	}	
	 
	 }

?>