<?php
require_once( "db.php" );

class Transport extends Db {
	public $balance;
	public $amount;
	public $destination;
	public $original;
	public $type;
	public $amount2;
	
	

	
	 public function __construct() {

   }
   
   
   public function addDestination($destinationid, $date,$term1,$session1,$amount,$destination){
	    $instance = parent::getInstance();
		$MYSQLiconn = $instance->getConnection();
		
		
		 $sql = 'INSERT into destination(destinationid,date,term1,session1,amount,destination) VALUES
		 (:destinationid,:date,:term1,:session1,:amount,:destination)';
		try{
			$statement = $MYSQLiconn->prepare($sql);
			$statement->bindValue(':destinationid',$destinationid);
			$statement->bindValue(':date',$date);
			$statement->bindValue(':term1',$term1);
			$statement->bindValue(':amount',$amount);
			$statement->bindValue(':session1',$session1);
			$statement->bindValue(':destination',$destination);
			$statement->execute();
			
			parent::DisConnect();
			}
			
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
	   
	   }
	   
	   
	 public function editDestination($destination, $date,$term1,$session1,$amount){
		$instance = parent::getInstance();
		$MYSQLiconn = $instance->getConnection();
		
		
		 $sql = 'UPDATE destination SET  date =:date, term1 = :term1, session1 = :session1, amount = :amount WHERE destination
		 = :destination';
		try{
			$statement = $MYSQLiconn->prepare($sql);
			$statement->bindValue(':destination',$destination);
			$statement->bindValue(':date',$date);
			$statement->bindValue(':term1',$term1);
			$statement->bindValue(':session1',$session1);
			$statement->bindValue(':amount',$amount);
			$statement->execute();
			
			parent::DisConnect();
			}
			
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		
		
		
		
		
		 
		 
		 }  
	   
	   
	   public function addDescategories($destination,$date){
		    $instance = parent::getInstance();
		$MYSQLiconn = $instance->getConnection();
		 
		 $sql = 'INSERT into descategories (destination,date) VALUES (:destination,:date)';
		 
		 
		 try{
			$statement = $MYSQLiconn->prepare($sql);
			$statement->bindValue(':destination',$destination);
			$statement->bindValue(':date',$date);
			$statement->execute();
			
			parent::DisConnect();
			}
			
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		 
		
		
		   }
		   
		   
		   
		   public function editCategory($desid,$destination,$date){
			   $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'UPDATE descategories SET destination = :destination,date = :date WHERE desid = :desid ';
			  $statement = $MYSQLiconn->prepare($sql);
			  $statement->bindValue(':desid',$desid);
			   $statement->bindValue(':destination',$destination);
			   $statement->bindValue(':date',$date);
			   $statement->execute();
			   parent::DisConnect();
			   }
		   
		   
		   
		   
		   public function checkCategories($destination){
			   $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'SELECT * from descategories WHERE destination = :destination';
			  $statement = $MYSQLiconn->prepare($sql);
			  $statement->bindValue(':destination',$destination);
			   $statement->execute();
	           $num = $statement->rowCount();
               return $num;
              parent::DisConnect( $MySQLiconn);
			  
			   }
			   
			   
		  public function checkCategoriesByDesid($desid){
			   $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'SELECT * from descategories WHERE desid = :desid';
			  $statement = $MYSQLiconn->prepare($sql);
			  $statement->bindValue(':desid',$desid);
			   $statement->execute();
	          
               return  $statement;
              parent::DisConnect( $MySQLiconn);
			  
			   }
			   
			   
			   
		
		
		
			   	   
		
		
			   
			   
			   
		
		 public function checkAllCategoriesDestination(){
			   $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'SELECT * from descategories ';
			  $statement = $MYSQLiconn->prepare($sql);
			  
			   $statement->execute();
	          
               return  $statement;
              parent::DisConnect( $MySQLiconn);
			  
			   }
		
		
		
		
			   
			   
			   
			   
			   
			   
		 public function checkDestinations($destination){
			
			 $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'SELECT * from destination WHERE destination = :destination';
			  $statement = $MYSQLiconn->prepare($sql);
			  $statement->bindValue(':destination',$destination);
			   $statement->execute();
	           $num = $statement->rowCount();
               return $num;
              parent::DisConnect( $MySQLiconn);
			
			
			
			}	
			
			
			 public function getDestinationsViaDesId($destination){
			
			 $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'SELECT * from destination WHERE destination = :destination';
			  $statement = $MYSQLiconn->prepare($sql);
			  $statement->bindValue(':destination',$destination);
			   $statement->execute();
	           
               return $statement;
              parent::DisConnect( $MySQLiconn);
			
			
			
			}	
			
			
			
			
			
			
			
		
		
		
		   public function checkDestinationsViaSessionAndTerm(){
			
			 $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'SELECT * from destination';
			  $statement = $MYSQLiconn->prepare($sql);
			  
			 
			   $statement->execute();
	          
               return $statement;
              parent::DisConnect( $MySQLiconn);
			
			
			
			} 
			
				
			
			
			
			public function registerForTransport($tid,$lname,$fname,$amount,$balance,$original,$class,$date,$term,$session1,$admissionno,$destination,$type,$cfee){
				
				 $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'INSERT into transportregister (tid,lname,fname,amount,balance,original,class,date,
			term,session1,admissionno,destination,type,cfee) VALUES (:tid,:lname,:fname,:amount,:balance,:original,:class,:date,
			:term,:session1,:admissionno,:destination,:type,:cfee)';
			
			
			
			//($tid,$lname,$fname,$_POST['amount'],$balance,$class,$date,
			//$term1,$session1,$admissionno,$row9['destination']))
			   
			   try{
				   
		  $statement = $MYSQLiconn->prepare($sql);
		  $statement->bindValue(':tid',$tid);	   
			$statement->bindValue(':lname',$lname);	
			$statement->bindValue(':fname',$fname);	
			$statement->bindValue(':amount',$amount);	
			$statement->bindValue(':balance',$balance);	
			$statement->bindValue(':original',$original);
			$statement->bindValue(':class',$class);	
			$statement->bindValue(':date',$date);
			$statement->bindValue(':term',$term);	
			$statement->bindValue(':session1',$session1);
			$statement->bindValue(':admissionno',$admissionno);
			$statement->bindValue(':destination',$destination);	
			$statement->bindValue(':type',$type);
			$statement->bindValue(':cfee',$cfee);		
			$statement->execute();			   
			 
			
				parent::DisConnect();
			}
			
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
				
				 
   
         }
		 
		 
		 public function checkRegisterForTransport($tid) {
			 
			 
			  $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'SELECT * from transportregister WHERE tid = :tid';
			  $statement = $MYSQLiconn->prepare($sql);
			  $statement->bindValue(':tid',$tid);
			   $statement->execute();
	           $num = $statement->rowCount();
               return $num;
              parent::DisConnect( $MySQLiconn);
			 
			 }
			 
			
			 public function checkAdmissionRegisterForTransport($admissionno) {
			 
			 
			  $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'SELECT * from transportregister WHERE admissionno = :admissionno';
			  $statement = $MYSQLiconn->prepare($sql);
			  $statement->bindValue(':admissionno',$admissionno);
			   $statement->execute();
	           $num = $statement->rowCount();
               return $num;
              parent::DisConnect( $MySQLiconn);
			 
			 }
			
			 
			
			
			


		  public function addTransportTrans($tid,$lname,$fname,$amount,$balance,$recievedby,$class,$date,
			$term,$session1,$admissionno,$destination,$amountpaid){
				
				 $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'INSERT into transportationtrans (tid,lname,fname,amount,balance,recievedby,class,date,
			term,session1,admissionno,destination,amountpaid) VALUES (:tid,:lname,:fname,:amount,:balance,:recievedby,:class,:date,
			:term,:session1,:admissionno,:destination,:amountpaid)';
			
			   
			   try{
				   
		  $statement = $MYSQLiconn->prepare($sql);
		  $statement->bindValue(':tid',$tid);	   
			$statement->bindValue(':lname',$lname);	
			$statement->bindValue(':fname',$fname);	
			$statement->bindValue(':amount',$amount);	
			$statement->bindValue(':balance',$balance);	
			$statement->bindValue(':recievedby',$recievedby);
			$statement->bindValue(':class',$class);	
			$statement->bindValue(':date',$date);
			$statement->bindValue(':term',$term);	
			$statement->bindValue(':session1',$session1);
			$statement->bindValue(':admissionno',$admissionno);
			$statement->bindValue(':destination',$destination);	
			$statement->bindValue(':amountpaid',$amountpaid);	
			$statement->execute();			   
			 
			
				parent::DisConnect();
			}
			
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
				
				 
   
         }
		 
		 
		 public function checkRegisterForTransportTrans($tid) {
			 
			 
			  $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'SELECT * from transportregister WHERE tid = :tid';
			  $statement = $MYSQLiconn->prepare($sql);
			  $statement->bindValue(':tid',$tid);
			   $statement->execute();
	           $num = $statement->rowCount();
               return $num;
              parent::DisConnect( $MySQLiconn);
			 
			 }	
			 
			 public function getTransportAccount($transid){
				 
				  $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'SELECT * from transportaccount WHERE transid = :transid';
			  $statement = $MYSQLiconn->prepare($sql);
			  $statement->bindValue(':transid',$transid);
			  $statement->execute();
			  return $statement;
			  parent::DisConnect();
				 
				 
				 
				 }
				 
				 
	  
	   public function UpdateTransportAccount($transid,$amount){
				 
				  $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'UPDATE transportaccount set amount = :amount WHERE transid = :transid';
			  $statement = $MYSQLiconn->prepare($sql);
			  $statement->bindValue(':transid',$transid);
			   $statement->bindValue(':amount',$amount);
			  $statement->execute();
			  return $statement;
			  parent::DisConnect();
				 
				 
				 
				 }			 
			 
		
		public function getTransportTransByTid($tid){
			 $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'SELECT * from transportationtrans WHERE tid = :tid';
			  $statement = $MYSQLiconn->prepare($sql);
			  $statement->bindValue(':tid',$tid);
			  $statement->execute();
			  return $statement;
			  parent::DisConnect();
			
			}	
			
			 
	    public function searchTransportRegister($name,$session1){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

		

 $sql = "SELECT * from transportregister WHERE balance > 0 AND session1 = :session1 AND admissionno 
				 LIKE '%" . $name .  "%' OR lname LIKE '%" . $name ."%' OR fname LIKE '%" . $name ."%'  OR class LIKE '%" . $name ."%' ";		
			
				

        $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':session1',$session1);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		
		
		}
		
		public function updateRegisterForTransport($tid,$amount,$balance){
			 $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'UPDATE transportregister set balance = :balance,amount = :amount WHERE tid = :tid';
			$statement =   $MYSQLiconn->prepare($sql);
			  $statement->bindValue(':tid',$tid);
			   $statement->bindValue(':amount',$amount);
			  $statement->bindValue(':balance',$balance);
			  $statement->execute();
			  
			  parent::DisConnect($MYSQLiconn); 
			  
			}
			
		
		public function getRegisterForTransport($tid) {
			 
		
			  $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'SELECT * from transportregister WHERE tid = :tid';
			  $statement = $MYSQLiconn->prepare($sql);
			  $statement->bindValue(':tid',$tid);
			   $statement->execute();
			   return $statement; 
	   
              parent::DisConnect($MYSQLiconn);
			 
			 }	
			 
			 
			 
			 public function getRegisterForTransport2($tid) {
			 
		
			  $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'SELECT * from transportregister WHERE tid = :tid';
			  $statement = $MYSQLiconn->prepare($sql);
			  $statement->bindValue(':tid',$tid);
			   $statement->execute();
			   
			   $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	      $this->amount = $row['amount'];
	      $this->balance =$row['balance'];
	   
			   
			   
			   
			  
	   
	            
	   
              parent::DisConnect($MYSQLiconn);
			 
			 }	
			 
			 

    
	 public function getAllDefaultersTransport(){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

		

 $sql = "SELECT * from transportregister WHERE balance > 0 ORDER BY date DESC ";		
			
				

        $statement = $MySQLiconn->prepare($sql);
		
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		
		
		}	
			 

  public function transportDefaultersByClass($class1,$session1,$term){
	  
	  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

		

 $sql = "SELECT * from transportregister WHERE balance > 0 AND class = :class1 AND session1 = :session1 AND term = :term ORDER BY date DESC ";		
			
				

        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':class1',$class1);
       $statement->bindValue(':session1',$session1);
	   $statement->bindValue(':term',$term);
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
	  
	  
	  
	  }




  public function getAllStudentTransport(){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

		

 $sql = "SELECT * from transportregister ";		
			
				

        $statement = $MySQLiconn->prepare($sql);
		
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		
		
		}	
		
	
	
	public function getAllStudentTransport2($session1,$term){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

		

 $sql = "SELECT * from transportregister  where session1 = :session1 and 
 term = :term ";		
			
				

        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':session1',$session1);
		$statement->bindValue(':term',$term);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		
		
		}	
		
		
		
		
		
		
		
	
	 public function getAllStudentDestination($destination){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

		

 $sql = "SELECT * from transportregister where destination = :destination";		
			
				

        $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':destination',$destination);
        
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		
		
		}	
		
	   
	   public function getAllStudentDestination2($destination,$session1,$term1){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

		

 $sql = "SELECT * from transportregister where destination = :destination and session1 = :session1 and term = :term";		
			
				

        $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':destination',$destination);
		  $statement->bindValue(':session1',$session1);
		  $statement->bindValue(':term',$term);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		
		
		}		
	
	
	
	
	
	
		
				
		
		
	  
	   public function getRegisterForTransportBySessionTermAdmissionno($admissionno) {
			 
		
			  $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'SELECT * from transportregister WHERE admissionno = :admissionno';
			  $statement = $MYSQLiconn->prepare($sql);
			  $statement->bindValue(':admissionno',$admissionno);
			   
			   $statement->execute();
			   
			   $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	      $this->amount = $row['amount'];
	      $this->balance =$row['balance'];
		  $this->destination = $row['destination'];
		  $this->original = $row['original'];
	   
			   
			   
			   
			  
	   
	            
	   
              parent::DisConnect($MYSQLiconn);
			 
			 }	
			 
	  
	  	
	public function getTransportPayments($date1,$date2){
	$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();	
		 
		 $sql = "SELECT * from transportationtrans WHERE date BETWEEN '".$date1."' AND '".$date2."' ";	
		 
		 $statement = $MySQLiconn->prepare($sql);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn); 
		
		}				
		
		
	
	 public function addTransportExpenditure($exid,$name,$amount,$descp,$date,$staffid,$balance){
		    $instance = parent::getInstance();
		$MYSQLiconn = $instance->getConnection();
		 
		 $sql = 'INSERT into expenditures (exid,name,amount,descp,date,staffid,balance) VALUES (:exid,:name,:amount,:descp,:date,:staffid,:balance)';
		 
		 
		 try{
			$statement = $MYSQLiconn->prepare($sql);
			$statement->bindValue(':exid',$exid);
			$statement->bindValue(':name',$staffid);

			$statement->bindValue(':date',$date);
			$statement->bindValue(':descp',$descp);
            $statement->bindValue(':staffid',$staffid);
           $statement->bindValue(':amount',$amount);
		   $statement->bindValue(':balance',$balance);
			$statement->execute();
			
			parent::DisConnect();
			}
			
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		 
		
	
		   }  
	
	
	public function getTransportExpenditures($date1,$date2){
	$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();	
		 
		 $sql = "SELECT * from expenditures WHERE date BETWEEN '".$date1."' AND '".$date2."' ";	
		 
		 $statement = $MySQLiconn->prepare($sql);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn); 
		
		}		
		
				
	   
	    public function getStudentTransortRecord($admissionno) {
			 
		
			  $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'SELECT * from transportregister WHERE admissionno = :admissionno';
			  $statement = $MYSQLiconn->prepare($sql);
			  $statement->bindValue(':admissionno',$admissionno);
			   $statement->execute();
			   
			   $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	      $this->amount = $row['original'];
	      $this->destination =$row['destination'];
	      $this->type =$row['type'];
	   
              parent::DisConnect($MYSQLiconn);
			 
			 }	
			 
			 
	   
	   public function updateRegisterForTransportDestination($admissionno,$original,$destination,$type,$date){
			 $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'UPDATE transportregister set original = :original,destination = :destination, type = :type,date = :date
			   WHERE admissionno = :admissionno';
			$statement =   $MYSQLiconn->prepare($sql);
			  $statement->bindValue(':admissionno',$admissionno);
			   $statement->bindValue(':original',$original);
			  $statement->bindValue(':destination',$destination);
			   $statement->bindValue(':type',$type);
			     $statement->bindValue(':date',$date);
			  $statement->execute();
			  
			  parent::DisConnect($MYSQLiconn); 
			  
			}
	   
	  
	  
	
	 
	   public function deleteTranportRecord($admissionno){
			
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'DELETE 
                FROM   transportregister
                WHERE  admissionno = :admissionno';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':admissionno', $admissionno);

        $statement->execute(); 
		 parent::DisConnect( $MySQLiconn); 
		 
			 
			 } 
						 
	
	
	 public function getTransportDestinationRecord($destination) {
			 
		
			  $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'SELECT * from destination WHERE destination = :destination';
			  $statement = $MYSQLiconn->prepare($sql);
			  $statement->bindValue(':destination',$destination);
			   $statement->execute();
			   
			   $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	      $this->amount2 = $row['amount'];
	      $this->destination =$row['destination'];
	   
	   
              parent::DisConnect($MYSQLiconn);
			 
			 }			 
		
		
		
		 public function getAllStudentDestinationPhone($destination){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

		

 $sql = "SELECT t.admissionno,s.phone from transportregister t INNER JOIN student s
 ON t.admissionno = s.admissionno where t.destination = :destination";		
			
				

        $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':destination',$destination);
        
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		
		
		}	
				 
   
    public function getTransportRecordsOriginal(){
	$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();	
		 
		 $sql = "SELECT * from transportregister WHERE original = 0  ";	
		 
		 $statement = $MySQLiconn->prepare($sql);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn); 
		
		}	
   
     
	
	
	   
	   public function updateRegisterForTransportOriginal($admissionno,$original){
			 $instance = parent::getInstance();
		      $MYSQLiconn = $instance->getConnection();
			  
			  $sql = 'UPDATE transportregister set original = :original
			   WHERE admissionno = :admissionno';
			  $statement =   $MYSQLiconn->prepare($sql);
			  $statement->bindValue(':admissionno',$admissionno);
			   $statement->bindValue(':original',$original);
			
			  $statement->execute();
			  
			  parent::DisConnect($MYSQLiconn); 
			  
			}
			
		
		 public function findStudentTransportRecord($admissionno){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  transportregister WHERE  admissionno = :admissionno ORDER BY date DESC LIMIT 1';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':admissionno', $admissionno);
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 
		 }	
			 
	
   
	
	}


?>