<?php
require_once( "db.php" );

 class Students extends Db {
	 
	 public $fname;
	 public $lname;
	 public $dob;
	 public $doe;
	 public $gender;
	 public $class1;
	 public $othernames;
	 public $phone;
	 public $dateadmitted;
	 public $username;
	 public $email;
	 public $admissionno;
	 public $image;
	  public $fees;
	 public $class2;
	 public $pta;
	 public $transport;
	 public $club;
     public $graduation;
	 public $otherfees;
	 public $id;
	 
	 public function __construct() {

   }
	 
	 public function addStudents($fname,$lname,$dob,$doe,$gender,$class,$othernames,$phone,$dateadmitted,$username,$email,
	 $admissionno,$fees,$club,$increment){
		 
		 try{
		
		
		$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
		 
        $sql = 'INSERT INTO student (fname,lname,dob,doe,gender,class,othernames,phone,dateadmitted,username,email,admissionno,fees,club,increment)
                VALUES (:fname, :lname, :dob, :doe, :gender, :class,:othernames,:phone, :dateadmitted,:username,:email, :admissionno,:fees,:club,:increment)';

       
         
        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':fname', $fname);
		$statement->bindValue(':lname', $lname);
		$statement->bindValue(':dob', $dob);
		$statement->bindValue(':doe', $doe);
		$statement->bindValue(':gender', $gender);
		$statement->bindValue(':class', $class);
		$statement->bindValue(':othernames', $othernames);	
		$statement->bindValue(':phone', $phone);
		$statement->bindValue(':dateadmitted', $dateadmitted);
		$statement->bindValue(':username', $username);	
		$statement->bindValue(':email', $email);
		$statement->bindValue(':admissionno', $admissionno);
		$statement->bindValue(':fees', $fees);
		$statement->bindValue(':club', $club);
		$statement->bindValue(':increment', $increment);
        $statement->execute();

        parent::DisConnect( $MySQLiconn);	 
			
			
			
			 
			 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		 
		 }
		 
		 
		 
	 
	 
	 public function findAllStudents(){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  student';

        $statement = $MySQLiconn->prepare($sql);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 
		 }
		 
		 
		 public function deleteStudent($admissionno){
			
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'DELETE 
                FROM   student
                WHERE  admissionno = :admissionno';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':admissionno', $admissionno);

        $statement->execute();  
		  parent::DisConnect( $MySQLiconn);
			 
			 }
			 
			 
	
	 public function updateStudents($fname,$lname,$dob,$doe,$gender,$othernames,$phone,$dateadmitted,$email,$admissionno,$club){
		 
		 try{
		
		
		$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
		 
        $sql = 'UPDATE student
              set fname =  :fname, lname = :lname, dob = :dob, doe = :doe, gender = :gender,club = :club, othernames = :othernames, phone = :phone, 
			 dateadmitted =  :dateadmitted,email = :email where admissionno =  :admissionno';

       
         
        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':fname', $fname);
		$statement->bindValue(':lname', $lname);
		$statement->bindValue(':dob', $dob);
		$statement->bindValue(':doe', $doe);
		$statement->bindValue(':gender', $gender);
		
		$statement->bindValue(':othernames', $othernames);	
		$statement->bindValue(':phone', $phone);
		$statement->bindValue(':dateadmitted', $dateadmitted);
		
		$statement->bindValue(':email', $email);
		$statement->bindValue(':admissionno', $admissionno);
		$statement->bindValue(':club', $club);
        $statement->execute();

        parent::DisConnect( $MySQLiconn);	 
			
			
			
			 
			 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		 
		 }
	 
	
	
	public function checkAdmissionNo($admissionno){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   student
                WHERE  admissionno = :admissionno';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':admissionno', $admissionno);

        $statement->execute();
		//$row = $statement->fetch(PDO::FETCH_ASSOC);
		
     
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
		
		
		
		
		}
	
	
			 
	
	public function searchStudent($name,$year){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   


 $sql = "SELECT s.class,s.image, w.lname,w.fname,w.admissionno,w.gender,w.phone,w.dateadmitted,w.dob,w.doe,w.email
                FROM  studentrecord s   INNER JOIN student w ON s.admissionno = w.admissionno where s.year = :year AND (w.admissionno 
				 LIKE '%" . $name .  "%' OR w.lname LIKE '%" . $name ."%' OR w.fname LIKE '%" . $name ."%'  OR s.class LIKE '%" . $name ."%')";		
			
				

        $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':year',$year);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		
		
		}
		
	
	public function findStudentsByadmissionNo($admissionno,$year){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	    $sql = 'SELECT s.class,s.image, w.lname,w.fname,w.admissionno,w.gender,w.phone,w.club,w.dateadmitted,w.dob,w.doe,w.email,w.fees,s.class2,s.id
                FROM  studentrecord s   INNER JOIN student w ON s.admissionno = w.admissionno where s.year = :year AND w.admissionno =:admissionno';
	   
	   
	    $statement = $MySQLiconn->prepare($sql);
		
		$statement->bindValue(':admissionno',$admissionno);
		$statement->bindValue(':year',$year);
	    $statement->execute();
	   $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->admissionno = $row['admissionno'];
	   $this->class1=$row['class'];
	   $this->gender = $row['gender'];
	   $this->dateadmitted = $row['dateadmitted'];
	   $this->lname = $row['lname'];
	   $this->fname = $row['fname'];
	   $this->dob = $row['dob'];
	   $this->doe = $row['doe'];
	   $this->email = $row['email'];
	   $this->image = $row['image'];
	   $this->phone = $row['phone'];
	   $this->class2=$row['class2'];
		$this->fees=$row['fees'];
		$this->club =$row['club'];
		$this->id =$row['id'];
		 parent::DisConnect( $MySQLiconn); 
		
		}
	
	 public function findOneStudentsByadmissionNo($admissionno){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	    $sql = 'SELECT * from student WHERE admissionno =:admissionno';
	   
	   
	    $statement = $MySQLiconn->prepare($sql);
		
		$statement->bindValue(':admissionno',$admissionno);
		
	    $statement->execute();
	   $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->admissionno = $row['admissionno'];
	  // $this->class1=$row['class'];
	   $this->gender = $row['gender'];
	   $this->dateadmitted = $row['dateadmitted'];
	   $this->lname = $row['lname'];
	   $this->fname = $row['fname'];
	   $this->dob = $row['dob'];
	   $this->doe = $row['doe'];
	   $this->email = $row['email'];
	 
	   $this->phone = $row['phone'];
	   $this->fees = $row['fees'];
	   $this->transport = $row['transport'];
		 $this->image = $row['image'];
		  $this->graduation = $row['graduation'];
		 $this->otherfees = $row['otherfees'];
		 parent::DisConnect( $MySQLiconn); 
		
		}
	
	
	 
	  public function findOneStudentsByadmissionNoSession1($admissionno,$session1){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	    $sql = 'SELECT * from studentrecord WHERE admissionno =:admissionno AND  session1 = :session1';
	   
	   
	    $statement = $MySQLiconn->prepare($sql);
		
		$statement->bindValue(':admissionno',$admissionno);
		$statement->bindValue(':session1',$session1);
		
	    $statement->execute();
	   $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->admissionno = $row['admissionno'];
	  $this->class1=$row['class'];
	   
		
		 parent::DisConnect( $MySQLiconn); 
		
		}
	
	public function addDebtors($admissionno,$fees){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'update student set fees = :fees WHERE admissionno = :admissionno';
	   $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':admissionno',$admissionno);
		$statement->bindValue(':fees',$fees);
		
	    $statement->execute();
		 parent::DisConnect( $MySQLiconn);
		
		}
		
	
 public function updateFees($admissionno,$fees){
	  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE student set fees = :fees where admissionno = :admissionno';
	   
	   $statement = $MySQLiconn->prepare($sql);
		
		$statement->bindValue(':admissionno',$admissionno);
		$statement->bindValue(':fees',$fees);
		
	    $statement->execute();
	   
	    parent::DisConnect( $MySQLiconn);  
	   }
	   
	   
	    public function findAllDefaulters(){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  student WHERE fees > 0';

        $statement = $MySQLiconn->prepare($sql);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 
		 }
		 
		 
		  public function findAllDefaultersByClass($class,$year){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT w.admissionno,w.lname,w.fname,w.fees,s.class,w.transport
                FROM  student w INNER JOIN studentrecord s ON w.admissionno = s.admissionno WHERE w.fees > 0 and s.class = :class and s.year = :year';


        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':class',$class);
        $statement->bindValue(':year',$year);
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 
		 }
		 
		 
		 public function updateTransport($admissionno, $transport){
			 
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	      
		  $sql = "UPDATE student SET transport = :transport WHERE admissionno = :admissionno";
		  
		   $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':admissionno',$admissionno);
		$statement->bindValue(':transport',$transport);
       
        $statement->execute();
		
	   
	   
		 parent::DisConnect( $MySQLiconn);  
		  
		  
		  
			 
			 }


   
     public function updateStudentImage($admissionno, $image){
			 
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	      
		  $sql = "UPDATE student SET image = :image WHERE admissionno = :admissionno";
		  
		   $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':admissionno',$admissionno);
		$statement->bindValue(':image',$image);
       
        $statement->execute();
		
	   
	   
		 parent::DisConnect( $MySQLiconn);  
		  
		  
		  
			 
			 }
		
	
   	
	 	 
	public function searchStudentAll($name){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   


 $sql = "SELECT class,image, lname,fname,admissionno,gender,phone,dateadmitted,dob,doe,email
                FROM  student  where admissionno 
				 LIKE '%" . $name .  "%' OR lname LIKE '%" . $name ."%' OR fname LIKE '%" . $name ."%'  OR class LIKE '%" . $name ."%'";		
			
				

        $statement = $MySQLiconn->prepare($sql);
		
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		
		
		}
				 		 


 public function findOneStudentsByadmissionNo2($admissionno){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	    $sql = 'SELECT * from student WHERE admissionno =:admissionno';
	   
	   
	    $statement = $MySQLiconn->prepare($sql);
		
		$statement->bindValue(':admissionno',$admissionno);
		
	    $statement->execute();
	   $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->admissionno = $row['admissionno'];
	   $this->class1=$row['class'];
	   $this->gender = $row['gender'];
	   $this->dateadmitted = $row['dateadmitted'];
	   $this->lname = $row['lname'];
	   $this->fname = $row['fname'];
	   $this->dob = $row['dob'];
	   $this->doe = $row['doe'];
	   $this->email = $row['email'];
             $this->fees = $row['fees'];
	        // $this->transport = $row['transport'];
	   $this->phone = $row['phone'];
	   $this->othernames = $row['othernames'];
		 $this->transport = $row['transport'];
		 parent::DisConnect( $MySQLiconn); 
		
		}
		
	

 public function updateStudentsRecordFees($fname,$lname,$dob,$doe,$gender,$othernames,$phone,$dateadmitted,$email,$admissionno,$fees){
		 
		 try{
		
		
		$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
		 
        $sql = 'UPDATE student
              set fname =  :fname, lname = :lname, dob = :dob, doe = :doe, gender = :gender, othernames = :othernames, phone = :phone, 
			 dateadmitted =  :dateadmitted,email = :email, fees = :fees where admissionno =  :admissionno';

       
         
        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':fname', $fname);
		$statement->bindValue(':lname', $lname);
		$statement->bindValue(':dob', $dob);
		$statement->bindValue(':doe', $doe);
		$statement->bindValue(':gender', $gender);
		
		$statement->bindValue(':othernames', $othernames);	
		$statement->bindValue(':phone', $phone);
		$statement->bindValue(':dateadmitted', $dateadmitted);
		
		$statement->bindValue(':email', $email);
		$statement->bindValue(':admissionno', $admissionno);
		$statement->bindValue(':fees', $fees);
        $statement->execute();

        parent::DisConnect( $MySQLiconn);	 
			
			 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		 
		 }	
		 
	
	 public function updateStudents2($fname,$lname,$dob,$doe,$gender,$othernames,$phone,$dateadmitted,$email,$admissionno,$fees,$club){
		 
		 try{
		
		
		$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
		 
        $sql = 'UPDATE student
              set fname =  :fname, lname = :lname, dob = :dob, doe = :doe, gender = :gender, othernames = :othernames, phone = :phone, 
			 dateadmitted =  :dateadmitted,email = :email, fees = :fees, club = :club where admissionno =  :admissionno';

       
         
        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':fname', $fname);
		$statement->bindValue(':lname', $lname);
		$statement->bindValue(':dob', $dob);
		$statement->bindValue(':doe', $doe);
		$statement->bindValue(':gender', $gender);
		
		$statement->bindValue(':othernames', $othernames);	
		$statement->bindValue(':phone', $phone);
		$statement->bindValue(':dateadmitted', $dateadmitted);
		
		$statement->bindValue(':email', $email);
		$statement->bindValue(':admissionno', $admissionno);
		$statement->bindValue(':fees', $fees);
		$statement->bindValue(':club', $club);
        $statement->execute();

        parent::DisConnect( $MySQLiconn);	 
			
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		 
		 }	
		 
	// profile code starts
	
	
	 public function addProfile($admissionno,$image,$descp,$title,$date,$name){
		    $instance = parent::getInstance();
		$MYSQLiconn = $instance->getConnection();
		 
		 $sql = 'INSERT into profile (admissionno,image,descp,title,date,name) VALUES (:admissionno,:image,:descp,:title,:date,:name)';
		 
		 
		 try{
			$statement = $MYSQLiconn->prepare($sql);
			$statement->bindValue(':admissionno',$admissionno);
			$statement->bindValue(':image',$image);
			$statement->bindValue(':descp',$descp);
			$statement->bindValue(':title',$title);
			$statement->bindValue(':date',$date);
			$statement->bindValue(':name',$name);
			$statement->execute();
			
			parent::DisConnect();
			}
			
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		 
		
		
		   }
		   	
	
	
		
	
	  public function updateProfile($id,$image,$descp,$title,$date,$name){
		    $instance = parent::getInstance();
		$MYSQLiconn = $instance->getConnection();
		 
		
		 
		 $sql = 'UPDATE profile SET image = :image,descp = :descp, title = :title,date = :date, name = :name WHERE id = :id';
		 
		 
		 try{
			$statement = $MYSQLiconn->prepare($sql);
			$statement->bindValue(':id',$id);
			$statement->bindValue(':image',$image);
			$statement->bindValue(':descp',$descp);
			$statement->bindValue(':title',$title);
			$statement->bindValue(':date',$date);
			$statement->bindValue(':name',$name);
			$statement->execute();
			
			parent::DisConnect();
			}
			
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		 
		
		
		   }	
		   
		  
	
	   public function deleteProfile($id){
			
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'DELETE 
                FROM   profile
                WHERE  id = :id';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);

        $statement->execute();  
		  parent::DisConnect( $MySQLiconn);
			 
			 }	   
		 
	 
	 
	 
	 public function GetStudentsProfile($admissionno){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   


 $sql = "SELECT s.image,s.id,s.title,s.admissionno,s.descp,s.date, w.lname,w.fname,s.name FROM  profile s INNER JOIN student w 
  ON s.admissionno = w.admissionno 	WHERE s.admissionno = :admissionno";		
			
			
        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':admissionno',$admissionno);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		
		
		}
		
	
	 
	 
	 public function findOneSingleProfile($id){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	    $sql = 'SELECT s.image,s.title,s.descp,s.date,w.lname,w.fname,w.admissionno FROM profile s INNER JOIN 
		student w ON s.admissionno = w.admissionno WHERE s.id = :id';
	   
	   
	    $statement = $MySQLiconn->prepare($sql);
		
		$statement->bindValue(':id',$id);
		
		
	    $statement->execute();
	   $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->image = $row['image'];
	  $this->title =$row['title'];
	   $this->descp =$row['descp'];
	   $this->date1 =$row['date'];
	   $this->lname =$row['lname'];
		 $this->fname =$row['fname'];
		 $this->admissionno = $row['admissionno'];
		 parent::DisConnect( $MySQLiconn); 
		
		}
	
	// profile codes	 
	 
	 public function updateTransportFees($admissionno, $transport,$fees){
			 
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	      
		  $sql = "UPDATE student SET transport = :transport, fees = :fees WHERE admissionno = :admissionno";
		  
		   $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':admissionno',$admissionno);
		$statement->bindValue(':transport',$transport);
       $statement->bindValue(':fees',$fees);
        $statement->execute();
		
	   
	   
		 parent::DisConnect( $MySQLiconn);  
		  
		  
		  
			 
			 }
			 
			  public function CheckStudentInSession($admissionno,$session1){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	    $sql = 'SELECT * from studentrecord WHERE admissionno =:admissionno AND  session1 = :session1';
	   
	   
	    $statement = $MySQLiconn->prepare($sql);
		
		$statement->bindValue(':admissionno',$admissionno);
		$statement->bindValue(':session1',$session1);
		
	     $statement->execute();
		//$row = $statement->fetch(PDO::FETCH_ASSOC);
		
     
	  $num = $statement->rowCount();
	 
 
    return $num;
	   
		
		 parent::DisConnect( $MySQLiconn); 
		
		}
		
		
		  public function updateGraduation($admissionno, $graduation){
			 
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	      
		  $sql = "UPDATE student SET graduation = :graduation WHERE admissionno = :admissionno";
		  
		   $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':admissionno',$admissionno);
		$statement->bindValue(':graduation',$graduation);
       
        $statement->execute();
		
	   
	   
		 parent::DisConnect( $MySQLiconn);  
		  
		  
		  
			 
			 }


   
      public function updateOtherFees($admissionno, $otherfees){
			 
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	      
		  $sql = "UPDATE student SET otherfees = :otherfees WHERE admissionno = :admissionno";
		  
		   $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':admissionno',$admissionno);
		$statement->bindValue(':otherfees',$otherfees);
       
        $statement->execute();
		
	   
	   
		 parent::DisConnect( $MySQLiconn);  
		  
		  
		  
			 
			 }

public function findAllStudentsGrad(){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  student where graduation > 0 ';

        $statement = $MySQLiconn->prepare($sql);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 
		 }
		 
		 
 
  public function updateStudents222($id,$fname,$lname,$dob,$doe,$gender,$othernames,$phone,$dateadmitted,$email,$admissionno,$club){
		 
		 try{
		
		
		$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
		 
        $sql = 'UPDATE student
              set fname =  :fname, lname = :lname, dob = :dob, doe = :doe, gender = :gender,club = :club, othernames = :othernames, phone = :phone, 
			 dateadmitted =  :dateadmitted,email = :email , admissionno =  :admissionno where id = :id';

       
         
        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':fname', $fname);
		$statement->bindValue(':lname', $lname);
		$statement->bindValue(':dob', $dob);
		$statement->bindValue(':doe', $doe);
		$statement->bindValue(':gender', $gender);
		
		$statement->bindValue(':othernames', $othernames);	
		$statement->bindValue(':phone', $phone);
		$statement->bindValue(':dateadmitted', $dateadmitted);
		
		$statement->bindValue(':email', $email);
		$statement->bindValue(':admissionno', $admissionno);
		$statement->bindValue(':club', $club);
			$statement->bindValue(':id', $id);
        $statement->execute();

        parent::DisConnect( $MySQLiconn);	 
			
			
			
			 
			 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		 
		 }
	 
 		
 		
 		public function findStudentsByadmissionNoId($id,$year){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	    $sql = 'SELECT s.class,s.image, w.lname,w.fname,w.admissionno,w.gender,w.phone,w.club,w.dateadmitted,w.dob,w.doe,w.email,w.fees,s.class2,s.id
                FROM  studentrecord s   INNER JOIN student w ON s.admissionno = w.admissionno where s.year = :year AND w.id =:id';
	   
	   
	    $statement = $MySQLiconn->prepare($sql);
		
		$statement->bindValue(':id',$id);
		$statement->bindValue(':year',$year);
	    $statement->execute();
	   $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->admissionno = $row['admissionno'];
	   $this->class1=$row['class'];
	   $this->gender = $row['gender'];
	   $this->dateadmitted = $row['dateadmitted'];
	   $this->lname = $row['lname'];
	   $this->fname = $row['fname'];
	   $this->dob = $row['dob'];
	   $this->doe = $row['doe'];
	   $this->email = $row['email'];
	   $this->image = $row['image'];
	   $this->phone = $row['phone'];
	   $this->class2=$row['class2'];
		$this->fees=$row['fees'];
		$this->club =$row['club'];
		$this->id =$row['id'];
		 parent::DisConnect( $MySQLiconn); 
		
		} 

	
		public function getLastStudentID(){
		
			$instance = parent::getInstance();	
		   $MySQLiconn  = $instance->getConnection();
			
			$sql = 'SELECT *
					FROM   student ORDER BY increment DESC LIMIT 1
					';
	
			$statement = $MySQLiconn->prepare($sql);
			//$statement->bindValue(':title', $title);
	
			$statement->execute();
			$row = $statement->fetch(PDO::FETCH_ASSOC);
			
		 
		 // $num = $statement->rowCount();
		 
	   $increment = $row['increment'];
		return $increment;
			
		  
			 parent::DisConnect( $MySQLiconn);
			
			
			
			
			}


			 
		

	 
	 }


 ?>