<?php
require_once( "../../db.php" );
//require_once( "useSingleton.php" );
/**
 * Methods for database handling.
 */
class Operations extends Db  {

   
    const BCRYPT_COST = 14;
	
	public $term;
	public $session;
	public $staffid;
	public $date;
	public $old;
	public $new;
	public $class;
	public $name;
	public $amount;

	public $payid;
	public $id;
	public $amountpaid;
	public $balance;
	public $year;
	public $month;
	public $status;





	
	 
	 
	 public function __construct() {

   }

   public function updatePortal($id,$term,$session,$staffid,$date)
   {
	 $instance = parent::getInstance();
	// $instance = new DBAccess();
 $MySQLiconn  = $instance->getConnection();
 
  $sql = 'UPDATE portal  SET term = :term, session = :session, staffid = :staffid, date = :date   where id = :id';
  
	
	$statement = $MySQLiconn->prepare($sql);
	 $statement->bindValue(':id', $id);
	$statement->bindValue(':term', $term);
	$statement->bindValue(':session', $session);
	$statement->bindValue(':staffid', $staffid);
	$statement->bindValue(':date', $date);
	
	$statement->execute();
  
 
   
	parent::DisConnect( $MySQLiconn);   
	}

	public function findCurrentPortalValues($id){
			
		$instance = parent::getInstance();	
   $MySQLiconn  = $instance->getConnection();
		
		try {
		$sql = "SELECT * from portal WHERE id =:id";
		
		$statement = $MySQLiconn->prepare($sql);
		
		$statement->bindValue(':id',$id);
		 $statement->execute();
	  $row = $statement->fetch(PDO::FETCH_ASSOC);  
	  $this->term = $row['term'];
	  $this->session = $row['session'];
	  $this->staffid = $row['staffid'];
	  $this->date = $row['date'];
		parent::DisConnect( $MySQLiconn);	

		}
		catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 

		}	

	
	
		public function AddFee($name,$amount,$class,$date){
		
			try{
		   
		   
		   $instance = parent::getInstance();
		   // $instance = new DBAccess();
		$MySQLiconn  = $instance->getConnection();
			
		   $sql = 'INSERT INTO managefees (name,amount,class,date)
				   VALUES (:name, :amount,:class, :date)';
   
		  
			
		   $statement = $MySQLiconn->prepare($sql);
			$statement->bindValue(':name', $name);
		   $statement->bindValue(':amount', $amount);
		   $statement->bindValue(':class', $class);
		   $statement->bindValue(':date', $date);
		   
		   
		   $statement->execute();
   
		   parent::DisConnect( $MySQLiconn);	 
			   
			   
			   
				
				
				}
				
				catch(Exception $e){
			   echo "oops! ".$e->getMessage(); 
			   
			   } 
			   
		   
	   }






	   public function findFeeById($id){
			
		$instance = parent::getInstance();	
   $MySQLiconn  = $instance->getConnection();
		
		try {
		$sql = "SELECT * from managefees WHERE id =:id";
		
		$statement = $MySQLiconn->prepare($sql);
		
		$statement->bindValue(':id',$id);
		 $statement->execute();
	  $row = $statement->fetch(PDO::FETCH_ASSOC);  
	  $this->amount = $row['amount'];
	  $this->name = $row['name'];
	  $this->class = $row['class'];
	  $this->date = $row['date'];
		parent::DisConnect( $MySQLiconn);	

		}
		catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 

		}

	
		public function updateFee($id,$amount,$name,$class,$date)
		{
		  $instance = parent::getInstance();
		 // $instance = new DBAccess();
	  $MySQLiconn  = $instance->getConnection();
	  
	   $sql = 'UPDATE managefees  SET amount = :amount, name = :name, class = :class, date = :date   where id = :id';
	   
		 
		 $statement = $MySQLiconn->prepare($sql);
		  $statement->bindValue(':id', $id);
		 $statement->bindValue(':amount', $amount);
		 $statement->bindValue(':name', $name);
		 $statement->bindValue(':class', $class);
		 $statement->bindValue(':date', $date);
		 
		 $statement->execute();
	   
	  
		
		 parent::DisConnect( $MySQLiconn);   
		 }	

   
		 public function getAllFeesForm(){
	 
			$instance = parent::getInstance();
			  // $instance = new DBAccess();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = 	"SELECT  * FROM managefees where name like '%form%' ";
		   
		   
		   $statement = $MySQLiconn->prepare($sql);
			  
			
			  $statement->execute();
			  
			  return $statement;
			 
			   parent::DisConnect( $MySQLiconn); 
		   
		   }	

		  
		   public function deleteFee($id)
		   {
			 $instance = parent::getInstance();
			// $instance = new DBAccess();
		 $MySQLiconn  = $instance->getConnection();
		 
		  $sql = 'delete from managefees   where id = :id';
		  
			
			$statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':id', $id);
			
			
			$statement->execute();
		  
		 
		   
			parent::DisConnect( $MySQLiconn);   
			}	
			
	
			
			// add sales of form
/*
			public function saleform($name,$amount,$class,$date){
		
				try{
			   
			   
			   $instance = parent::getInstance();
			   // $instance = new DBAccess();
			$MySQLiconn  = $instance->getConnection();
				
			   $sql = 'INSERT INTO managefees (name,amount,class,date)
					   VALUES (:name, :amount,:class, :date)';
	   
			  
				
			   $statement = $MySQLiconn->prepare($sql);
				$statement->bindValue(':name', $name);
			   $statement->bindValue(':amount', $amount);
			   $statement->bindValue(':class', $class);
			   $statement->bindValue(':date', $date);
			   
			   
			   $statement->execute();
	   
			   parent::DisConnect( $MySQLiconn);	 
				   
				   
				   
					
					
					}
					
					catch(Exception $e){
				   echo "oops! ".$e->getMessage(); 
				   
				   } 
				   
			   
		   }
  */
	
		   public function viewnetSalaryByMonthYear($month,$year){
			$instance = parent::getInstance();	
			  $MySQLiconn  = $instance->getConnection();
			   
			   $sql = "SELECT p.id, p.payid,
			  p.month,p.year,p.net_salary,s.lname,s.fname, p.amountpaid,
			   p.balance 
					   FROM  payaccount p INNER JOIN payrollstaff s ON
					   p.payid = s.payid
						 where  p.month = :month AND p.year = :year and p.status = 'cash' "  ;
	   
			   $statement = $MySQLiconn->prepare($sql);
			  
				$statement->bindValue(':month', $month);
				$statement->bindValue(':year', $year);
			  
			   $statement->execute();
			   
			   
			   return $statement;
			  
				parent::DisConnect( $MySQLiconn);  
					
			   
			   
			   } 

			   public function findPayAccountByid($id){
			
				$instance = parent::getInstance();	
		   $MySQLiconn  = $instance->getConnection();
				
				try {
				$sql = "SELECT * from payaccount WHERE id = :id";
				
				$statement = $MySQLiconn->prepare($sql);
				
				$statement->bindValue(':id',$id);
				 $statement->execute();
			  $row = $statement->fetch(PDO::FETCH_ASSOC);
		 	  
			  $this->payid = $row['payid'];
			  $this->id = $row['id'];
			  $this->net_salary = $row['net_salary'];
			  $this->amountpaid = $row['amountpaid'];
		
			  $this->balance = $row['balance'];
			  $this->status = $row['status'];
		
			 
	
	
				
				parent::DisConnect( $MySQLiconn);	
	
				}
				catch(Exception $e){
					echo "oops! ".$e->getMessage(); 
					
					} 
	
				}	
		
				public function updatePayAccount($id,$balance,$amountpaid)
				{
				  $instance = parent::getInstance();
				 // $instance = new DBAccess();
			  $MySQLiconn  = $instance->getConnection();
			  
			   $sql = 'UPDATE payaccount SET balance = :balance, amountpaid = :amountpaid  where id = :id ';
			   
				 
				 $statement = $MySQLiconn->prepare($sql);
				 $statement->bindValue(':id', $id);
			   
				$statement->bindValue(':balance', $balance);
					$statement->bindValue(':amountpaid', $amountpaid);
			  
				 
				 $statement->execute();
			   
			  
				
				 parent::DisConnect( $MySQLiconn);   
				 }	

		
			
				 public function addCashSalary($payid,$amount,$date,$staffid,$name,$month,$year){
		
					try{
				   
				   
				   $instance = parent::getInstance();
				   // $instance = new DBAccess();
				$MySQLiconn  = $instance->getConnection();
					
				   $sql = 'INSERT INTO cashsalary (payid,amount,date,staffid,name,month,year)
						   VALUES (:payid, :amount,:date, :staffid, :name, :month, :year)';
		   
				  
					
				   $statement = $MySQLiconn->prepare($sql);
					$statement->bindValue(':payid', $payid);
				   $statement->bindValue(':amount', $amount);
				   $statement->bindValue(':date', $date);
				   $statement->bindValue(':staffid', $staffid);
				   $statement->bindValue(':name', $name);
				   $statement->bindValue(':month', $month);
				   $statement->bindValue(':year', $year);
				   
				   
				   $statement->execute();
		   
				   parent::DisConnect( $MySQLiconn);	 
					   
					   
					   
						
						
						}
						
						catch(Exception $e){
					   echo "oops! ".$e->getMessage(); 
					   
					   } 
					   
				   
			   }		 
			   


			   public function viewCashSalary($month,$year){
				$instance = parent::getInstance();	
				  $MySQLiconn  = $instance->getConnection();
				   
				   $sql = "SELECT * from cashsalary where month = :month and year = :year "  ;
		   
				   $statement = $MySQLiconn->prepare($sql);
				  
					$statement->bindValue(':month', $month);
					$statement->bindValue(':year', $year);
				  
				   $statement->execute();
				   
				   
				   return $statement;
				  
					parent::DisConnect( $MySQLiconn);  
						
				   
				   
				   } 
			

				   // add sales of form

			public function saleform($formno,$lname,$fname,$staffid, $name, $amount,$class,$date,$increment,$details){
		
				try{
			   
			   
			   $instance = parent::getInstance();
			   // $instance = new DBAccess();
			$MySQLiconn  = $instance->getConnection();
				
			   $sql = 'INSERT INTO form (formid,lname,fname,staffid, name,  amount,class,date, increment, details)
					   VALUES (:formid, :lname, :fname, :staffid, :name, :amount,:class, :date, :increment, :details)';
	   
			  
				
			   $statement = $MySQLiconn->prepare($sql);
			   $statement->bindValue(':formid', $formno);
				$statement->bindValue(':lname', $lname);
				$statement->bindValue(':fname', $fname);
				$statement->bindValue(':staffid', $staffid);
				$statement->bindValue(':name', $name);
			   $statement->bindValue(':amount', $amount);
			   $statement->bindValue(':class', $class);
			   $statement->bindValue(':date', $date);
			   $statement->bindValue(':increment', $increment);
			   $statement->bindValue(':details', $details);
			   
			   $statement->execute();
	   
			   parent::DisConnect( $MySQLiconn);	 
				   
				   
				   
					
					
					}
					
					catch(Exception $e){
				   echo "oops! ".$e->getMessage(); 
				   
				   } 
	   
			   
		   }


		   public function updateFormStatus($formid)
				{
				  $instance = parent::getInstance();
				 // $instance = new DBAccess();
			  $MySQLiconn  = $instance->getConnection();
			  
			   $sql = "UPDATE form SET status = 'registered' where formid = :formid ";
			   
				 
				 $statement = $MySQLiconn->prepare($sql);
				 $statement->bindValue(':id', $id);
			   
				
				
			  
				 
				 $statement->execute();
			   
			  
				
				 parent::DisConnect( $MySQLiconn);   
				 }	

	
				 public function findFormByStatus(){
					$instance = parent::getInstance();	
					  $MySQLiconn  = $instance->getConnection();
					   
					   $sql = "SELECT * from form where status <> 'registered' "  ;
			   
					   $statement = $MySQLiconn->prepare($sql);
					  
						
					  
					   $statement->execute();
					   
					   
					   return $statement;
					  
						parent::DisConnect( $MySQLiconn);  
							
					   
					   
					   } 
					   
					 
					   public function findFormByDate($from,$to){
						$instance = parent::getInstance();	
						  $MySQLiconn  = $instance->getConnection();
						   
						   $sql = "SELECT * from form where date between '.$from.' AND '.$to.' "  ;
				   
						   $statement = $MySQLiconn->prepare($sql);
						  
							
						  
						   $statement->execute();
						   
						   
						   return $statement;
						  
							parent::DisConnect( $MySQLiconn);  
								
						   
						   
						   } 	

					 public function getLastFormID(){
		
				$instance = parent::getInstance();	
			   $MySQLiconn  = $instance->getConnection();
				
				$sql = 'SELECT *
						FROM   form ORDER BY increment DESC LIMIT 1
						';
		
				$statement = $MySQLiconn->prepare($sql);
				
		
				$statement->execute();
				$row = $statement->fetch(PDO::FETCH_ASSOC);
				
			 
			 // $num = $statement->rowCount();
			 
		   $increment = $row['increment'];
			return $increment;
				
			  
				 parent::DisConnect( $MySQLiconn);
				
				
				
				
				}

		
				public function addTrancaction($date,$name,$staffid,$mode,$amount,$code1){
		
					try{
				   
				   
				   $instance = parent::getInstance();
				   // $instance = new DBAccess();
				$MySQLiconn  = $instance->getConnection();
					
				   $sql = 'INSERT INTO transaction (date,name, staffid,mode,amount,code1)
						   VALUES (:date, :name, :staffid, :mode,:amount, :code1)';
		   
				  
					
				   $statement = $MySQLiconn->prepare($sql);
				   $statement->bindValue(':date', $date);
					$statement->bindValue(':name', $name);
					$statement->bindValue(':staffid', $staffid);
					
					$statement->bindValue(':mode', $mode);
				   $statement->bindValue(':amount', $amount);
				  $statement->bindValue(':code1', $code1);
				   
				   
				   $statement->execute();
		   
				   parent::DisConnect( $MySQLiconn);	 
					   
					   
					   
						
						
						}
						
						catch(Exception $e){
					   echo "oops! ".$e->getMessage(); 
					   
					   } 
		   
				   
			   }			
	   	   
			   public function updateCashAccount($id,$amount)
			   {
				 $instance = parent::getInstance();
				// $instance = new DBAccess();
			 $MySQLiconn  = $instance->getConnection();
			 
			  $sql = "UPDATE cashaccount SET amount = :amount where id = :id";
			  
				
				$statement = $MySQLiconn->prepare($sql);
				$statement->bindValue(':id', $id);
			  
			   $statement->bindValue(':amount', $amount);
			   
			 
				
				$statement->execute();
			  
			 
			   
				parent::DisConnect( $MySQLiconn);   
				}	

      
				public function updateBankAccount($id,$amount)
				{
				  $instance = parent::getInstance();
				 // $instance = new DBAccess();
			  $MySQLiconn  = $instance->getConnection();
			  
			   $sql = "UPDATE bankaccount SET amount = :amount where id = :id";
			   
				 
				 $statement = $MySQLiconn->prepare($sql);
				 $statement->bindValue(':id', $id);
			   
				$statement->bindValue(':amount', $amount);
				
			  
				 
				 $statement->execute();
			   
			  
				
				 parent::DisConnect( $MySQLiconn);   
				 }		
  
				 
		
				 public function findAmountCashAccount($id){
			
					$instance = parent::getInstance();	
			   $MySQLiconn  = $instance->getConnection();
					
					try {
					$sql = "SELECT * from cashaccount WHERE id = :id";
					
					$statement = $MySQLiconn->prepare($sql);
					
					$statement->bindValue(':id',$id);
					 $statement->execute();
				  $row = $statement->fetch(PDO::FETCH_ASSOC);
				   
				
				  
				  $this->amount = $row['amount'];
					
					parent::DisConnect( $MySQLiconn);	
		
					}
					catch(Exception $e){
						echo "oops! ".$e->getMessage(); 
						
						} 
		
					}	

				
					public function findAmountBankAccount($id){
			
						$instance = parent::getInstance();	
				   $MySQLiconn  = $instance->getConnection();
						
						try {
						$sql = "SELECT * from bankaccount WHERE id = :id";
						
						$statement = $MySQLiconn->prepare($sql);
						
						$statement->bindValue(':id',$id);
						 $statement->execute();
					  $row = $statement->fetch(PDO::FETCH_ASSOC);
					   
					
					  
					  $this->amount = $row['amount'];
						
						parent::DisConnect( $MySQLiconn);	
			
						}
						catch(Exception $e){
							echo "oops! ".$e->getMessage(); 
							
							} 
			
						}	
						 

     public function RegisterForTransport($admissionno,$destination_id,$date,$type) {
		
							try{
						   
						   
						   $instance = parent::getInstance();
						   // $instance = new DBAccess();
						$MySQLiconn  = $instance->getConnection();
							
						   $sql = 'INSERT INTO transport_reg (admissionno,destination_id,date,type)
								   VALUES (:admissionno, :destination_id, :date, :type)';
					
						  
							
						   $statement = $MySQLiconn->prepare($sql);
							$statement->bindValue(':admissionno', $admissionno);
							$statement->bindValue(':destination_id', $destination_id);
							$statement->bindValue(':date', $date);
							$statement->bindValue(':type', $type);
						   
						   
						   $statement->execute();
					
						   parent::DisConnect( $MySQLiconn);	 
							   
							   
							   
								
								
								}
								
								catch(Exception $e){
							   echo "oops! ".$e->getMessage(); 
							   
							   } 
							   
						   
					   }
			
			
					   public function EditRegisterForTransport($admissionno,$destination_id,$date,$type) {
					
						try{
					   
					   
					   $instance = parent::getInstance();
					   // $instance = new DBAccess();
					$MySQLiconn  = $instance->getConnection();
						
					   $sql = 'UPDATE transport_reg set destination_id = :destination_id, date = :date, type = :type 
					   WHERE admissionno = :admissionno';
				
					  
						
					   $statement = $MySQLiconn->prepare($sql);
						$statement->bindValue(':admissionno', $admissionno);
						$statement->bindValue(':destination_id', $destination_id);
						$statement->bindValue(':date', $date);
							$statement->bindValue(':type', $type);
					   
					   
					   $statement->execute();
				
					   parent::DisConnect( $MySQLiconn);	 
						   
						   
						   
							
							
							}
							
							catch(Exception $e){
						   echo "oops! ".$e->getMessage(); 
						   
						   } 
						   
					   
				   }
				
					
				   public function checkTransportRegister($admissionno){
				 
					$instance = parent::getInstance();
					  // $instance = new DBAccess();
				   $MySQLiconn  = $instance->getConnection();
				   
				   $sql = 	"SELECT  * FROM transport_reg where admissionno = :admissionno ";
				   
				   
				   $statement = $MySQLiconn->prepare($sql);
				   $statement->bindValue(':admissionno', $admissionno);  
				  
					
					  $statement->execute();
					  
					  $num = $statement->rowCount();
			
			
			return $num;
					 
					   parent::DisConnect( $MySQLiconn); 
				   
				   }  
			
				   
				   public function getAllStudentTransport(){
				 
					$instance = parent::getInstance();
					  // $instance = new DBAccess();
				   $MySQLiconn  = $instance->getConnection();
			
				   // use find destination via id in the select table to get your 
				   
				   $sql = 	"SELECT t.admissionno,t.destination_id, s.fname,s.lname,s.othernames, d.price,d.name, t.type FROM transport_reg t
					INNER JOIN student s  ON t.admissionno = s.admissionno 
					INNER JOIN destination d ON  t.destination_id = d.id ";
				   
				   
				   $statement = $MySQLiconn->prepare($sql);
				  
					
					  $statement->execute();
					  
					  return $statement;
					 
					   parent::DisConnect( $MySQLiconn); 
				   
				   } 
			
			
			
				public function findStudentDestination($admissionno){
						
				$instance = parent::getInstance();	
			$MySQLiconn  = $instance->getConnection();
				
				try {
				$sql = "SELECT * from transport_reg WHERE admissionno =:admissionno";
				
				$statement = $MySQLiconn->prepare($sql);
				
				$statement->bindValue(':admissionno',$admissionno);
				 $statement->execute();
			  $row = $statement->fetch(PDO::FETCH_ASSOC);  
			  $this->admissionno = $row['admissionno'];
			  $this->destination_id = $row['destination_id'];
			  
			  $this->date = $row['date'];
			   $this->type = $row['type'];
				parent::DisConnect( $MySQLiconn);	
			
				}
				catch(Exception $e){
					echo "oops! ".$e->getMessage(); 
					
					} 
			
				}		

				public function getAllDestination(){
	 
					$instance = parent::getInstance();
					  // $instance = new DBAccess();
				   $MySQLiconn  = $instance->getConnection();
				   
				   $sql = 	"SELECT  * FROM destination";
				   
				   
				   $statement = $MySQLiconn->prepare($sql);
				  
					
					  $statement->execute();
					  
					  return $statement;
					 
					   parent::DisConnect( $MySQLiconn); 
				   
				   } 
				
				public function deleteStudTransport($admissionno){

		$instance = parent::getInstance();
			// $instance = new DBAccess();
		 $MySQLiconn  = $instance->getConnection();
		 
		  $sql = 'delete from transport_reg   where admissionno = :admissionno';
		  
			
			$statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':admissionno', $admissionno);
			
			
			$statement->execute();

	}   

public function getStudentInCurrentSession($admissionno,$session1){
	 
		$instance = parent::getInstance();
		  // $instance = new DBAccess();
	   $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 	"SELECT  * FROM studentrecord where admissionno = :admissionno and session1 = :session1 ";
	   
	   
	   $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':admissionno', $admissionno);  
	   $statement->bindValue(':session1', $session1); 
		
		  $statement->execute();
		  
		  $num = $statement->rowCount();


            return $num;
		 
		   parent::DisConnect( $MySQLiconn); 
	   
	   }  

public function getAllStudentTransportViaDes($destination_id){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();

   // use find destination via id in the select table to get your 
   
   $sql = 	"SELECT t.admissionno,t.destination_id, s.fname,s.lname,s.othernames, d.price,d.name,t.type FROM transport_reg t
	INNER JOIN student s  ON t.admissionno = s.admissionno 
	INNER JOIN destination d ON  t.destination_id = d.id WHERE t.destination_id = :destination_id ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':destination_id', $destination_id);  
  
	
	  $statement->execute();
	  
	  return $statement;
	 
	   parent::DisConnect( $MySQLiconn); 
   
   } 
   
   
   public function getFeeByAdmissionno($admissionno){
	 
						$instance = parent::getInstance();
						  // $instance = new DBAccess();
					   $MySQLiconn  = $instance->getConnection();
					   
					   $sql = 	"SELECT  fees,lname,fname, status FROM student WHERE  admissionno = :admissionno ";
					   
					   
					   $statement = $MySQLiconn->prepare($sql);
					   $statement->bindValue(':admissionno', $admissionno);  
					  
						
						  $statement->execute();
						  
						  $row = $statement->fetch(PDO::FETCH_ASSOC);  
						  $this->fees = $row['fees'];
						  $this->lname = $row['lname'];
						  $this->fname = $row['fname'];
						  $this->status = $row['status'];
						   parent::DisConnect( $MySQLiconn); 
					   
					   } 
					
					
					   // update feee
					
					   public function updateTermlyFee($admissionno,$fees)
					   {
						 $instance = parent::getInstance();
						// $instance = new DBAccess();
					 $MySQLiconn  = $instance->getConnection();
					 
					  $sql = 'UPDATE student  SET fees = :fees   where admissionno = :admissionno';
					  
						
						$statement = $MySQLiconn->prepare($sql);
						 $statement->bindValue(':admissionno', $admissionno);
						$statement->bindValue(':fees', $fees);
						
						
						$statement->execute();
					  
					 
					   
						parent::DisConnect( $MySQLiconn);   
						}

				 ///  add fee payment records
				 
				 public function addFeeRecords($lname,$fname,$staffid,$amount,$class, $date,
				 $session,$term,$details, $old_debt,$code1,$admissionno,$balance,$category) {
		
					try{
				   
				   
				   $instance = parent::getInstance();
				   // $instance = new DBAccess();
				$MySQLiconn  = $instance->getConnection();
					
				   $sql = 'INSERT INTO fee_records (lname,fname,staffid,amount,class,date,session,term,details,old_debt,code1,admissionno,balance,category)
						   VALUES (:lname, :fname, :staffid,:amount,:class,:date,:session,:term, :details, :old_debt, :code1, :admissionno, :balance, :category)';
			
				  
					
				   $statement = $MySQLiconn->prepare($sql);
					$statement->bindValue(':lname', $lname);
					$statement->bindValue(':fname', $fname);
					$statement->bindValue(':staffid', $staffid);
					$statement->bindValue(':amount', $amount);
					$statement->bindValue(':class', $class);
					$statement->bindValue(':date', $date);
					$statement->bindValue(':session', $session);
					$statement->bindValue(':term', $term);
					$statement->bindValue(':details', $details);
					$statement->bindValue(':old_debt', $old_debt);
					$statement->bindValue(':code1', $code1);
					$statement->bindValue(':admissionno', $admissionno);
					$statement->bindValue(':balance', $balance);
					$statement->bindValue(':category', $category);
				   
				   $statement->execute();
			
				   parent::DisConnect( $MySQLiconn);	 
					   
					   
					   
						
						
						}
						
						catch(Exception $e){
					   echo "oops! ".$e->getMessage(); 
					   
					   } 
					   
				   
			   }
	
		
			   public function addStockTrans($transid,$lname,$fname,$description,$class,$status,$date,$increment,$qty,$price,$code1) {
	  
				  try{
				 
				 
				 $instance = parent::getInstance();
				 // $instance = new DBAccess();
			  $MySQLiconn  = $instance->getConnection();
				  
				 $sql = 'INSERT INTO stock_trans (transid,lname,fname,description,class,status,date,increment,qty,price,code1)
						 VALUES (:transid,:lname, :fname, :description, :class, :status, :date, :increment, :qty, :price, :code1)';
		  
				
				  
				 $statement = $MySQLiconn->prepare($sql);
				 $statement->bindValue(':transid', $transid);
				  $statement->bindValue(':lname', $lname);
				  $statement->bindValue(':fname', $fname);
			
				  $statement->bindValue(':description', $description);
				  $statement->bindValue(':class', $class);
				  $statement->bindValue(':status', $status);
				  $statement->bindValue(':date', $date);
				  $statement->bindValue(':increment', $increment);
				  $statement->bindValue(':qty', $qty);
				  $statement->bindValue(':price', $price);
			       $statement->bindValue(':code1', $code1);
				  
				 
				 $statement->execute();
		  
				 parent::DisConnect( $MySQLiconn);	 
					 
					 
					 
					  
					  
					  }
					  
					  catch(Exception $e){
					 echo "oops! ".$e->getMessage(); 
					 
					 } 
					 
				 
			 }	   

			 public function getLastTransID(){
		
				$instance = parent::getInstance();	
			   $MySQLiconn  = $instance->getConnection();
				
				$sql = 'SELECT *
						FROM   stock_trans ORDER BY increment DESC LIMIT 1
						';
		
				$statement = $MySQLiconn->prepare($sql);
				
		
				$statement->execute();
				$row = $statement->fetch(PDO::FETCH_ASSOC);
				
			 
			 // $num = $statement->rowCount();
			 
		   $increment = $row['increment'];
			return $increment;
				
			  
				 parent::DisConnect( $MySQLiconn);
					
				}

		
				public function addStockSales($former_qty,$new_qty,$qty_sold,$staffid,$stock_name,$date,$price,$stock_id,$code1) {
	  
					try{
				   
				   
				   $instance = parent::getInstance();
				   // $instance = new DBAccess();
				$MySQLiconn  = $instance->getConnection();
					
				   $sql = 'INSERT INTO stock_sales (former_qty,new_qty,qty_sold,staffid,stock_name,date,price,stock_id,code1)
						   VALUES (:former_qty, :new_qty, :qty_sold, :staffid, :stock_name, :date, :price, :stock_id, :code1)';
			
				  
					
				   $statement = $MySQLiconn->prepare($sql);
					$statement->bindValue(':former_qty', $former_qty);
					$statement->bindValue(':new_qty', $new_qty);
			  
					$statement->bindValue(':qty_sold', $qty_sold);
					$statement->bindValue(':staffid', $staffid);
					$statement->bindValue(':stock_name', $stock_name);
					$statement->bindValue(':date', $date);
					$statement->bindValue(':price', $price);
					$statement->bindValue(':stock_id', $stock_id);
				  
			        $statement->bindValue(':code1', $code1);
					
				   
				   $statement->execute();
			
				   parent::DisConnect( $MySQLiconn);	 
					   
					   
					   
						
						
						}
						
						catch(Exception $e){
					   echo "oops! ".$e->getMessage(); 
					   
					   } 
					   
				   
			   }	   		
      

			   public function addStockTempTrans($transid,$description,$admissionno,$selling_price, $cost_price,$qty,
			   $date,$staffid,$stock_id,$profit) {
	  
				try{
			   
			   
			   $instance = parent::getInstance();
			   // $instance = new DBAccess();getFeeRecords

			$MySQLiconn  = $instance->getConnection();
				
			   $sql = 'INSERT INTO stock_trans_temp (transid,description,admissionno,selling_price,cost_price,qty,date,staffid,stock_id,profit)
					   VALUES (:transid, :description, :admissionno, :selling_price, :cost_price, :qty, :date, :staffid,:stock_id, :profit)';
		
			  
				
			   $statement = $MySQLiconn->prepare($sql);
			   $statement->bindValue(':transid', $transid);
			
		  
				$statement->bindValue(':description', $description);
				$statement->bindValue(':admissionno', $admissionno);
				$statement->bindValue(':selling_price', $selling_price);
				$statement->bindValue(':cost_price', $cost_price);
				$statement->bindValue(':qty', $qty);
				$statement->bindValue(':date', $date);
				$statement->bindValue(':staffid', $staffid);
				$statement->bindValue(':stock_id', $stock_id);
				$statement->bindValue(':profit', $profit);
		  
				
			   
			   $statement->execute();
		
			   parent::DisConnect( $MySQLiconn);	 
				   
				   
				   
					
					
					}
					
					catch(Exception $e){
				   echo "oops! ".$e->getMessage(); 
				   
				   } 
				   
			   
		   }	   
	 
		
	
		   public function viewAllStockTransTemp($transid,$admissionno){
	 
			$instance = parent::getInstance();
			  // $instance = new DBAccess();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = 	"SELECT  * FROM stock_trans_temp WHERE  transid = :transid AND admissionno = :admissionno 
		";
		   
		   
		   $statement = $MySQLiconn->prepare($sql);
		
		   $statement->bindValue(':transid', $transid); 
		   $statement->bindValue(':admissionno', $admissionno); 
			  $statement->execute();
			  
			  return $statement;
			 
			   parent::DisConnect( $MySQLiconn); 
		   
		   }  

		
		   public function deleteFromStockTransTemp($id)
		   {
			 $instance = parent::getInstance();
			// $instance = new DBAccess();
		 $MySQLiconn  = $instance->getConnection();
		 
		  $sql = 'delete from stock_trans_temp   where id = :id';
		  
			
			$statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':id', $id);
			
			
			$statement->execute();
		  
		 
		   
			parent::DisConnect( $MySQLiconn);   
			}	
	
			public function findTransactionsStaffId($date1,$date2,$staffid,$mode){
	 
				$instance = parent::getInstance();
				  // $instance = new DBAccess();
			   $MySQLiconn  = $instance->getConnection();
			   
			   $sql = "SELECT * from transaction WHERE staffid = :staffid AND mode = :mode AND date   between  '".$date1."' AND '".$date2."'  ";
			   
			   
			   $statement = $MySQLiconn->prepare($sql);
			   $statement->bindValue(':staffid', $staffid);
			   $statement->bindValue(':mode', $mode);
			 
				
				  $statement->execute();
				  
				 return $statement;
				 
				   parent::DisConnect( $MySQLiconn); 
			   
			   }  
					   
	
			   public function findTransactionsStaffIdAll($date1,$date2,$staffid){
	 
				$instance = parent::getInstance();
				  // $instance = new DBAccess();
			   $MySQLiconn  = $instance->getConnection();
			   
			   $sql = "SELECT * from transaction WHERE staffid = :staffid  AND date   between  '".$date1."' AND '".$date2."'  ";
			   
			   
			   $statement = $MySQLiconn->prepare($sql);
			   $statement->bindValue(':staffid', $staffid);
			  
			 
				
				  $statement->execute();
				  
				 return $statement;
				 
				   parent::DisConnect( $MySQLiconn); 
			   
			   }  


   public function traceSaleofStock($date1,$date2,$stock_id){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "SELECT * from stock_sales WHERE stock_id = :stock_id  AND date   between  '".$date1."' AND '".$date2."'  ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':stock_id', $stock_id);
  
 
	
	  $statement->execute();
	  
	 return $statement;
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  

// get all debtors

public function getAllDebtors(){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "SELECT * from student where fees > 0 ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':staffid', $staffid);
  
 
	
	  $statement->execute();
	  
	 return $statement;
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  
	
   public function getAllDebtorsByCass($class,$session1){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "SELECT w.fname, w.admissionno, w.lname,w.othernames,w.fees,s.class from student w INNER JOIN studentrecord
   s on w.admissionno = s.admissionno where w.fees > 0 AND s.class = :class AND s.session1 = :session1";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':class', $class);
   $statement->bindValue(':session1', $session1);
  
 
	
	  $statement->execute();
	  
	 return $statement;
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  


   public function getFeeRecords($date1,$date2){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "SELECT * from fee_records WHERE  date   between  '".$date1."' AND '".$date2."'  ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   
 
	
	  $statement->execute();
	  
	 return $statement;
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  
		
		

public function viewAllFeesItem($term,$session1,$category,$class){
	 
					$instance = parent::getInstance();
					  // $instance = new DBAccess();
				   $MySQLiconn  = $instance->getConnection();
				   
				   $sql = 	"SELECT  * FROM fee_item WHERE  category = :category AND session1 = :session1 AND term = :term 
				   AND class = :class";
				   
				   
				   $statement = $MySQLiconn->prepare($sql);
				
				   $statement->bindValue(':term', $term); 
				   $statement->bindValue(':category', $category); 
				   $statement->bindValue(':session1', $session1); 
				   $statement->bindValue(':class', $class); 
					  $statement->execute();
					  
					  return $statement;
					 
					   parent::DisConnect( $MySQLiconn); 
				   
				   }  

   
     public function findDestinationById($id){
			
					$instance = parent::getInstance();	
				$MySQLiconn  = $instance->getConnection();
					
					try {
					$sql = "SELECT * from destination WHERE id =:id";
					
					$statement = $MySQLiconn->prepare($sql);
					
					$statement->bindValue(':id',$id);
					 $statement->execute();
				  $row = $statement->fetch(PDO::FETCH_ASSOC);  
				  $this->price = $row['price'];
				  $this->name = $row['name'];
				  
				  $this->date = $row['date'];
					parent::DisConnect( $MySQLiconn);	
				
					}
					catch(Exception $e){
						echo "oops! ".$e->getMessage(); 
						
						} 
				
					}
					
			
			public function recordAddDebt($lname,$fname,$staffid,$amount,$date) {
	  
					try{
				   
				   
				   $instance = parent::getInstance();
				   // $instance = new DBAccess();
				$MySQLiconn  = $instance->getConnection();
					
				   $sql = 'INSERT INTO add_debt (lname,fname,staffid,amount,date)
						   VALUES (:lname, :fname, :staffid, :amount, :date)';
			
				  
					
				   $statement = $MySQLiconn->prepare($sql);
					$statement->bindValue(':lname', $lname);
					$statement->bindValue(':fname', $fname);
			  
					$statement->bindValue(':staffid', $staffid);
					$statement->bindValue(':amount', $amount);
				
					$statement->bindValue(':date', $date);
				
				  
			  
					
				   
				   $statement->execute();
			
				   parent::DisConnect( $MySQLiconn);	 
					   
					   
					   
						
						
						}
						
						catch(Exception $e){
					   echo "oops! ".$e->getMessage(); 
					   
					   } 
					   
				   
			   }	   		
      		
      	
      	
      	public function recordExpenditures($amount,$descp,$date,$staffid,$balance) {
	  
					try{
				   
				   
				   $instance = parent::getInstance();
				   // $instance = new DBAccess();
				$MySQLiconn  = $instance->getConnection();
					
				   $sql = 'INSERT INTO expenditures (amount,descp,date,staffid,balance)
						   VALUES (:amount, :descp, :date, :staffid, :balance)';
			
				  
					
				   $statement = $MySQLiconn->prepare($sql);
					$statement->bindValue(':amount', $amount);
					$statement->bindValue(':descp', $descp);
			        	$statement->bindValue(':date', $date);
					$statement->bindValue(':staffid', $staffid);
					$statement->bindValue(':balance', $balance);
				
				
				
				  
			  
					
				   
				   $statement->execute();
			
				   parent::DisConnect( $MySQLiconn);	 
					   
					   
					   
						
						
						}
						
						catch(Exception $e){
					   echo "oops! ".$e->getMessage(); 
					   
					   } 
					   
				   
			   }
			   
	
	
	public function getExpenditureRecords($date1,$date2){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "SELECT * from expenditures WHERE  date   between  '".$date1."' AND '".$date2."'  ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   
 
	
	  $statement->execute();
	  
	 return $statement;
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  		   
    
    
     public function viewAllOherPaymentRecords(){
	 
				$instance = parent::getInstance();
				  // $instance = new DBAccess();
			   $MySQLiconn  = $instance->getConnection();
			   
			   $sql = 	"SELECT  * FROM other_payment_records  ";
			   
			   
			   $statement = $MySQLiconn->prepare($sql);
			   $statement->bindValue(':class', $class);  
				
				  $statement->execute();
				  
				  return $statement;
				 
				   parent::DisConnect( $MySQLiconn); 
			   
			   }   	
      	
      	public function getOtherPaymentsByID($id){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = 	"SELECT  * from other_payment_records WHERE  id = :id ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':id', $id);  
  
	
	  $statement->execute();
	  
	  $row = $statement->fetch(PDO::FETCH_ASSOC);  
	  $this->name = $row['name'];
	   $this->amount = $row['amount'];
	  
	   parent::DisConnect( $MySQLiconn); 
   
   } 
   
   public function recordOtherPayments($transid,$amount,$lname,$item_name,$descp,$staffid,$date,$mode,$details) {
	  
					try{
				   
				   
				   $instance = parent::getInstance();
				   // $instance = new DBAccess();
				$MySQLiconn  = $instance->getConnection();
					
				   $sql = 'INSERT INTO other_payments (transid,amount,lname,item_name,descp,staffid,date,mode,details)
						   VALUES (:transid, :amount, :lname, :item_name, :descp,:staffid,:date, :mode,:details)';
			
				  
					
				   $statement = $MySQLiconn->prepare($sql);
					$statement->bindValue(':transid', $transid);
					$statement->bindValue(':amount', $amount);
			        	$statement->bindValue(':lname', $lname);
					$statement->bindValue(':item_name', $item_name);
					$statement->bindValue(':descp', $descp);
				    $statement->bindValue(':staffid', $staffid);
				    $statement->bindValue(':date', $date);
				     $statement->bindValue(':mode', $mode);
				    $statement->bindValue(':details', $details);
				  
			  
					
				   
				   $statement->execute();
			
				   parent::DisConnect( $MySQLiconn);	 
					   
					   
					   
						
						
						}
						
						catch(Exception $e){
					   echo "oops! ".$e->getMessage(); 
					   
					   } 
					   
				   
			   }
			   
			   /*
			   
	 public function recordOtherPayments($transid,$amount,$lname,$fname,$descp,$staffid,$date,$mode,$details) {
	  
					try{
				   
				   
				   $instance = parent::getInstance();
				   // $instance = new DBAccess();
				$MySQLiconn  = $instance->getConnection();
					
				   $sql = 'INSERT INTO other_payments (transid,amount,lname,fname,descp,staffid,date,mode,details)
						   VALUES (:transid, :amount, :lname, :fname, :descp,:staffid,:date, :mode,:details)';
			
				  
					
				   $statement = $MySQLiconn->prepare($sql);
					$statement->bindValue(':transid', $transid);
					$statement->bindValue(':amount', $amount);
			        	$statement->bindValue(':lname', $lname);
					$statement->bindValue(':fname', $fname);
					$statement->bindValue(':descp', $descp);
				    $statement->bindValue(':staffid', $staffid);
				    $statement->bindValue(':date', $date);
				    $statement->bindValue(':mode', $mode);
				    $statement->bindValue(':details', $details);
				  
			  
					
				   
				   $statement->execute();
			
				   parent::DisConnect( $MySQLiconn);	 
					   
					   
					   
						
						
						}
						
						catch(Exception $e){
					   echo "oops! ".$e->getMessage(); 
					   
					   } 
					   
				   
			   }*/
			   
			  
			  	public function getOtherPaymentRecords($date1,$date2){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "SELECT * from other_payments WHERE  date   between  '".$date1."' AND '".$date2."'  ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   
 
	
	  $statement->execute();
	  
	 return $statement;
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  
      	
      	 public function findOtherPaymentById($transid){
			
					$instance = parent::getInstance();	
				$MySQLiconn  = $instance->getConnection();
					
					try {
					$sql = "SELECT * from other_payments WHERE transid =:transid";
					
					$statement = $MySQLiconn->prepare($sql);
					
					$statement->bindValue(':transid',$transid);
					 $statement->execute();
				  $row = $statement->fetch(PDO::FETCH_ASSOC); 
				  $this->transid = $row['transid'];
				  $this->name = $row['name'];
				  $this->amount = $row['amount'];
				   $this->lname = $row['lname'];
				   
				   $this->name = $row['name'];
				   
				  $this->date = $row['date'];
				  $this->mode = $row['mode'];
					parent::DisConnect( $MySQLiconn);	
				
					}
					catch(Exception $e){
						echo "oops! ".$e->getMessage(); 
						
						} 
				
					}
					
			 public function getOtherPaymentsRecordsByID($id){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = 	"SELECT  * from other_payment_records WHERE  id = :id ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':id', $id);  
  
	
	  $statement->execute();
	  
	  $row = $statement->fetch(PDO::FETCH_ASSOC);  
	  $this->name = $row['name'];
	   $this->amount = $row['amount'];
	  
	   parent::DisConnect( $MySQLiconn); 
   
   } 
   
   
   	public function AddCheckFeeNew($admissionno,$date){
		
			try{
		   
		   
		   $instance = parent::getInstance();
		   // $instance = new DBAccess();
		$MySQLiconn  = $instance->getConnection();
			
		   $sql = 'INSERT INTO check_new_paid (admissionno,date)
				   VALUES (:admisionno, :date)';
   
		  
			
		   $statement = $MySQLiconn->prepare($sql);
			$statement->bindValue(':admissionno', $admissionno);
		   
		   $statement->bindValue(':date', $date);
		   
		   
		   $statement->execute();
   
		   parent::DisConnect( $MySQLiconn);	 
			   
			   
			   
				
				
				}
				
				catch(Exception $e){
			   echo "oops! ".$e->getMessage(); 
			   
			   } 
			   
		   
	   }
	   
	   
	   
	    public function countCheckFeeNew($admissionno){
				 
					$instance = parent::getInstance();
					  // $instance = new DBAccess();
				   $MySQLiconn  = $instance->getConnection();
				   
				   $sql = 	"SELECT  * FROM check_new_paid where admissionno = :admissionno ";
				   
				   
				   $statement = $MySQLiconn->prepare($sql);
				   $statement->bindValue(':admissionno', $admissionno);  
				  
					
					  $statement->execute();
					  
					  $num = $statement->rowCount();
			
			
			return $num;
					 
					   parent::DisConnect( $MySQLiconn); 
				   
				   }  


		  public function findFormByFormID($formid){
			
					$instance = parent::getInstance();	
			   $MySQLiconn  = $instance->getConnection();
					
					try {
					$sql = "SELECT * from form WHERE formid = :formid";
					
					$statement = $MySQLiconn->prepare($sql);
					
					$statement->bindValue(':formid',$formid);
					 $statement->execute();
				  $row = $statement->fetch(PDO::FETCH_ASSOC);
				   
				
				  
				  $this->lname = $row['lname'];
				  $this->fname = $row['fname'];
				  $this->amount = $row['amount'];
					
					parent::DisConnect( $MySQLiconn);	
		
					}
					catch(Exception $e){
						echo "oops! ".$e->getMessage(); 
						
						} 
		
					}		 

  			   	
  			   	
   public function getAddedDebtRecords($date1,$date2){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "SELECT * from add_debt WHERE  date   between  '".$date1."' AND '".$date2."'  ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   
 
	
	  $statement->execute();
	  
	 return $statement;
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  


   
   
   
   public function findFeeRecordsByCode($code1){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "SELECT * from fee_records WHERE code1 = :code1   ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':code1', $code1);
  
 
	
	  $statement->execute();
	  
	  $row = $statement->fetch(PDO::FETCH_ASSOC);  
	  $this->amount = $row['amount'];
	  $this->lname = $row['lname'];
	  $this->fname = $row['fname'];
	  $this->staffid = $row['staffid'];
	  $this->class = $row['class'];
	  $this->date = $row['date'];
	  $this->admissionno = $row['admissionno'];
	  $this->balance = $row['balance'];
	  $this->category = $row['category']; 
	  $this->old_debt = $row['old_debt']; 
	  
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  


   public function findTransactionsByCode($code1){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "SELECT * from transaction WHERE code1 = :code1  ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':code1', $code1);
  
 
	
	  $statement->execute();
	  
	  $row = $statement->fetch(PDO::FETCH_ASSOC);  
	  $this->amount = $row['amount'];
	  $this->mode = $row['mode'];
	  $this->code1 = $row['code1'];
	  $this->admissionno = $row['admissionno'];
	  $this->date = $row['date'];
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  
		   

  
   
   public function updateFeeReverse($admissionno,$fees)
		{
		  $instance = parent::getInstance();
		 // $instance = new DBAccess();
	  $MySQLiconn  = $instance->getConnection();
	  
	   $sql = 'UPDATE student  SET fees = :fees  where admissionno = :admissionno';
	   
		 
		 $statement = $MySQLiconn->prepare($sql);
		  $statement->bindValue(':admissionno', $admissionno);
		 $statement->bindValue(':fees', $fees);
		
		 
		 $statement->execute();
	   
	  
		
		 parent::DisConnect( $MySQLiconn);   
		 }	


		 public function deleteTransaction($code1)
		 {
		   $instance = parent::getInstance();
		  // $instance = new DBAccess();
	   $MySQLiconn  = $instance->getConnection();
	   
		$sql = 'delete from transaction   where code1 = :code1';
		
		  
		  $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':code1', $code1);
		  
		  
		  $statement->execute();
		
	   
		 
		  parent::DisConnect( $MySQLiconn);   
		  }	

		
		  public function deleteFee_Records($code1)
		 {
		   $instance = parent::getInstance();
		  // $instance = new DBAccess();
	   $MySQLiconn  = $instance->getConnection();
	   
		$sql = 'delete from fee_records   where code1 = :code1';
		
		  
		  $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':code1', $code1);
		  
		  
		  $statement->execute();
		
	   
		 
		  parent::DisConnect( $MySQLiconn);   
		  }
		  
		  
		  public function getSaleofStock($code1){
	 
			$instance = parent::getInstance();
			  // $instance = new DBAccess();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = "SELECT * from stock_sales WHERE code1 = :code1 ";
		   
		   
		   $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':code1', $code1);
		  
		 
			
			  $statement->execute();
			  
			 return $statement;
			 
			   parent::DisConnect( $MySQLiconn); 
		   
		   }  


		   public function deleteFromStockSale($code1)
		   {
			 $instance = parent::getInstance();
			// $instance = new DBAccess();
		 $MySQLiconn  = $instance->getConnection();
		 
		  $sql = 'delete from stock_sales   where code1 = :code1';
		  
			
			$statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':code1', $code1);
			
			
			$statement->execute();
		  
		 
		   
			parent::DisConnect( $MySQLiconn);   
			}	 

       public function deleteFromStockTrans($code1)
		   {
			 $instance = parent::getInstance();
			// $instance = new DBAccess();
		 $MySQLiconn  = $instance->getConnection();
		 
		  $sql = 'delete from stock_trans   where code1 = :code1';
		  
			
			$statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':code1', $code1);
			
			
			$statement->execute();
		  
		 
		   
			parent::DisConnect( $MySQLiconn);   
			}
		
		 public function getAllStockTransStock($code1){
	 
			$instance = parent::getInstance();
			  // $instance = new DBAccess();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = "SELECT * from stock_trans WHERE code1 = :code1 ";
		   
		   
		   $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':code1', $code1);
		  
		 
			
			  $statement->execute();
			  
			 return $statement;
			 
			   parent::DisConnect( $MySQLiconn); 
		   
		   } 
		   
	
	public function getFeeRecordsByAdmissionNumber($admissionno){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "SELECT * from fee_records WHERE admissionno = :admissionno  ";
   
   
   $statement = $MySQLiconn->prepare($sql);
    $statement->bindValue(':admissionno', $admissionno);
 
	
	  $statement->execute();
	  
	 return $statement;
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  	
   
    public function findStudentConcessionRecord($admissionno,$term,$session){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "SELECT * from concession_record WHERE admissionno = :admissionno and term = :term and session = :session  ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':admissionno', $admissionno);
    $statement->bindValue(':term', $term);  
   $statement->bindValue(':session', $session); 
  
 
	
	  $statement->execute();
	  
	  $row = $statement->fetch(PDO::FETCH_ASSOC);  
	  $this->amount = $row['amount'];
	 // $this->mode = $row['mode'];
	 // $this->code1 = $row['code1'];
	 // $this->admissionno = $row['admissionno'];
	 // $this->date = $row['date'];
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  


   public function findSingleConcessionRecord($admissionno){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "SELECT * from concession WHERE admissionno = :admissionno  ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':admissionno', $admissionno);
   
  
 
	
	  $statement->execute();
	  
	  $row = $statement->fetch(PDO::FETCH_ASSOC);  
	  $this->amount = $row['amount'];
	 
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  



   public function countSingleConcessionRecord($admissionno){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "SELECT * from concession WHERE admissionno = :admissionno  ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':admissionno', $admissionno);
   
  
 
	
	  $statement->execute();
	  
	  $num = $statement->rowCount();

	  return $num;
	 
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  



   public function findCountConcessionRecord($admissionno,$term,$session){
	 
	$instance = parent::getInstance();
	  // $instance = new DBAccess();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "SELECT * from concession_record WHERE admissionno = :admissionno and term = :term and session = :session  ";
   
   
   $statement = $MySQLiconn->prepare($sql);
   $statement->bindValue(':admissionno', $admissionno);
    $statement->bindValue(':term', $term);  
   $statement->bindValue(':session', $session); 
  
 
	
	  $statement->execute();
	  
	  $num = $statement->rowCount();

	  return $num;
	 
	   parent::DisConnect( $MySQLiconn); 
   
   }  

   
   
   public function AddConcessionRecord($id,$admissionno,$amount,$session,$term,$date) {
		
	try{
   
   
   $instance = parent::getInstance();
   // $instance = new DBAccess();
$MySQLiconn  = $instance->getConnection();
	
   $sql = 'INSERT INTO concession_record (id,admissionno, amount,session, term,date)
		   VALUES (:id,:admissionno,:amount,:session, :term, :date)';

  
	
   $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':id', $id);
	$statement->bindValue(':admissionno', $admissionno);
	$statement->bindValue(':amount', $amount);
	$statement->bindValue(':session', $session);
	 $statement->bindValue(':term', $term);
	$statement->bindValue(':date', $date);
	
	
   $statement->execute();

   parent::DisConnect( $MySQLiconn);	 
	   
	   
	   
		
		
		}
		
		catch(Exception $e){
	   echo "oops! ".$e->getMessage(); 
	   
	   } 
	   
   
}


   



}   