<?php
ob_start();
 session_start();
require_once('staff.php');
require_once('operations.php');
require_once('login.php');
require_once('stock.php');

if (!isset($_SESSION['cashier'])) {
   header( "Location: ../index.php" );
}

$username  = $_SESSION['cashier'];

$db = new Staff();

$db1 = new Operations();
$db2 = new Stock();

$db->findStaffbyUsername($username);

$statement = $db2->getAllStock();


if(isset($_POST['submit'])){
	$id = $_POST['id'];

    $db2->deleteStock($id);
    

    ?>
    <script>alert('record deleted Successfully'); 
    window.location.href='manageStock.php';
    
 </script>
     <?php 

}
?>
<!DOCTYPE html>
<html lang="en">
<head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">

        <title><?php  include('../schoolname.php'); ?></title>

        <!-- Bootstrap Core CSS -->
        <link href="../css/bootstrap.min.css" rel="stylesheet">

        <!-- MetisMenu CSS -->
        <link href="../css/metisMenu.min.css" rel="stylesheet">

        <!-- Custom CSS -->
        <link href="../css/startmin.css" rel="stylesheet">

        <!-- Custom Fonts -->
        <link href="../css/font-awesome.min.css" rel="stylesheet" type="text/css">
        <link rel="stylesheet" href="select2.min.css" /> 
        
        
       
.select2-dropdown {top: 22px !important; left: 8px !important;}
</style>

<style type="text/css" media="print">
        .dontprint
            { display: none; }
 </style>
    

<script language="javascript" type="text/javascript">
        function printDiv(divID) {
            //Get the HTML of div
            var divElements = document.getElementById(divID).innerHTML;
            //Get the HTML of whole page
            var oldPage = document.body.innerHTML;

            //Reset the page's HTML with div's HTML only
            document.body.innerHTML = 
              "<html><head><title></title></head><body>" + 
              divElements + "</body>";

            //Print Page
            window.print();

            //Restore orignal HTML
            document.body.innerHTML = oldPage;

          
        }
    </script>
      

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->


    </head>
    <body>

        <div id="wrapper">

            <!-- Navigation -->
            <?php 

            include('nav.php');
             ?>
                <!-- /.navbar-top-links -->

                <div class="navbar-default sidebar" role="navigation">
                    <div class="sidebar-nav navbar-collapse">
                        <?php  include('cashiermenu.html')  ?>
                    </div>
                    <!-- /.sidebar-collapse -->
                </div>
                <!-- /.navbar-static-side -->
            </nav>
            <!-- Page Content -->
            <div id="page-wrapper">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-lg-12">
                            <h1 class="page-header">Manage Stock <a href="addStock.php" class="btn btn-primary ">Add New Stock</a> </h1>


                       
                          <!-- datatable   -->

                          <div class="panel-body">
                                    <div class="table-responsive">
                                        <table class="table table-striped table-bordered table-hover" id="dataTables-example">
                                            <thead>
                                                <tr>
                                                    <th>S/N</th>
                                                    <th>Name</th>
                                                    <th>Supplier</th>
                                                    <th>Selling Price</th>
                                                    
                                                <!--    <th>Cost Price</th>  -->
                                                    <th>Quantity Available</th>
                                                    <th>Date Added</th>
                                                   
                                                </tr>
                                            </thead>
                                            <tbody>

                                            <?php
    $rowCount1 = 0;
    while ($row = $statement->fetch(PDO::FETCH_ASSOC)){
            extract($row);
		$rowCount1++;	
        $db2->findStockQuantityByID($row['stock_id']);
        $quantity = $db2->quantity;
        $date_updated = $db2->date_updated;

        ?>
                                                <tr class="odd gradeX">
                                                    <td><?php echo $rowCount1 ?></td>
                                                    <td><?php echo $row['name'] ?></td>
                                                    <td><?php echo $row['supplier_name'] ?></td>
                                                   
                                                    <td><?php echo $row['selling_price'] ?></td>
                                                <!--    <td><?php echo $row['cost_price'] ?></td> -->
                                                    <td><?php echo $quantity  ?></td>
                                                    <td><?php echo $date_updated  ?></td>
                                                   
                                                   
                                                </tr>

                                                <?php
                                       }
                                                ?>
                                                


                         </tbody>
                                        </table>
                                    </div>
                                    <!-- /.table-responsive -->
                                   
                                </div>
                                <!-- /.panel-body -->
                            </div>
                            <!-- /.panel -->


                          <!-- data table -->







                        </div>
                        <!-- /.col-lg-12 -->
                    </div>
                    <!-- /.row -->
                </div>
                <!-- /.container-fluid -->
            </div>
            <!-- /#page-wrapper -->

        </div>
        <!-- /#wrapper -->

        <!-- jQuery -->
        <script src="../js/jquery.min.js"></script>

        <!-- Bootstrap Core JavaScript -->
        <script src="../js/bootstrap.min.js"></script>

        <!-- Metis Menu Plugin JavaScript -->
        <script src="../js/metisMenu.min.js"></script>

        <!-- Custom Theme JavaScript -->
        <script src="../js/startmin.js"></script>


        <!-- DataTables JavaScript -->
        <script src="../js/dataTables/jquery.dataTables.min.js"></script>
        <script src="../js/dataTables/dataTables.bootstrap.min.js"></script>

        <!-- Custom Theme JavaScript -->
        <script src="../js/startmin.js"></script>

        <!-- Page-Level Demo Scripts - Tables - Use for reference -->
        <script>
            $(document).ready(function() {
                $('#dataTables-example').DataTable({
                        responsive: true
                });
            });
        </script>

    </body>
</html>
