<?php 

require_once( "db.php" );

class Stock extends Db {
	
	public $name;
	public $address;
	public $contact1;
	public $contact2;
	public $date1;
	public $category;
	public $id;
	public $cost_price;
	public $selling_price;
	public $supplier_name;
	public $id2;
	public $quantity;
	public $mode1;
	public $details;
	public $staffid;
	public $recievedby;
	public $amount;
	public $balance;
	public $totalprice;
	public $status;
	public $date2;
  
  
   public function __construct() {

   }
  
  
  public function addSuppliers($name,$address,$contact1,$contact2,$date){
	   $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 try{
			 $sql  = "INSERT into supplier_details (name,address,contact1,contact2,date)
			 VALUES(:name,:address,:contact1,:contact2,:date)";
			 
			 $statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':name',$name);
			 $statement->bindValue(':address',$address);
			 $statement->bindValue(':contact1',$contact1);
			 $statement->bindValue(':contact2',$contact2);
			 $statement->bindValue(':date',$date);
			 $statement->execute();
			 parent::DisConnect( $MySQLiconn); 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
	  
	  }
	  
	  
	  public function updateSupplierRecord($name,$address,$contact1,$contact2,$date){
  
	
	
	     $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 try{
			 $sql  = "UPDATE supplier_details SET address = :address, contact1 = :contact1, contact2 = :contact2,
			 date = :date WHERE name = :name";
			 
			 $statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':name',$name);
			 $statement->bindValue(':address',$address);
			 $statement->bindValue(':contact1',$contact1);
			 $statement->bindValue(':contact2',$contact2);
			 $statement->bindValue(':date',$date);
			 $statement->execute();
			 parent::DisConnect( $MySQLiconn); 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
       }
	   
	   public function deleteSupplier($name){
		  $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 $sql = "DELETE	 from supplier_details where name = :name ";
		 
		   $statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':name',$name);
		     $statement->execute();
			 parent::DisConnect( $MySQLiconn); 
		   
		   }
		   
		   
		   
	public function addCategory($category,$date){
		
		 $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 try{
		$sql = "INSERT into category (category,date)VALUES(:category,:date)";
			 
			$statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':category',$category);
			  $statement->bindValue(':date',$date);
		     $statement->execute(); 
			 
			 
			parent::DisConnect( $MySQLiconn); 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			
			
			} 
			 
		 
		 
		}
		
	
	public function getSupplierName($name){
	  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = "SELECT name from supplier_details WHERE name LIKE '%" . $name .  "%' ";	
		
		 $statement = $MySQLiconn->prepare($sql);
		
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		
		}	
		
	public function updateCategory($id,$category,$date){
		$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 try{
		$sql = "UPDATE category SET category = :category, date = :date WHERE id = :id";
			 
			$statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':category',$category);
			  $statement->bindValue(':date',$date);
			   $statement->bindValue(':id',$id);
		     $statement->execute(); 
			 
			 
			parent::DisConnect( $MySQLiconn); 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			
			
			} 
		
		}	
		
		
		public function viewAllCategories(){
			
			$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 $sql = "SELECT  * from category ORDER BY date DESC";
		 $statement = $MySQLiconn->prepare($sql);
		  $statement->execute(); 
		  return $statement;
		 parent::DisConnect( $MySQLiconn); 
			}
			
			
	public function viewAllSuppliers() {
	
	    
			$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 $sql = "SELECT  * from supplier_details ORDER BY date DESC";
		 $statement = $MySQLiconn->prepare($sql);
		  $statement->execute(); 
		  return $statement;
		 parent::DisConnect( $MySQLiconn); 
		
		
		}	
		
		public function checkCategories($category){
		
			  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  category 
                WHERE  category = :category';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':category', $category);

        $statement->execute();
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
			
			
			
			
			}
			
			
			
			
	
	
	public function checkSuppliers($name){
		
			  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  supplier_details
                WHERE  name = :name';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':name', $name);

        $statement->execute();
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
			
			
			
			
	}
	
	
    
	 public function deleteCategory($category){
		  $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 $sql = "DELETE	 from category where category = :category ";
		 
		   $statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':category',$category);
		     $statement->execute();
			 parent::DisConnect( $MySQLiconn); 
		   
		   }	
		   
		  
		  
		 
		 public function findSupplierByname($name) {
	
	    
			$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 $sql = "SELECT  * from supplier_details WHERE name = :name";
		 $statement = $MySQLiconn->prepare($sql);
		  $statement->bindValue(':name', $name);
		  $statement->execute(); 
		  $row = $statement->fetch(PDO::FETCH_ASSOC);
		  $this->name = $row['name'];
		  $this->address = $row['address'];
		  $this->contact1 = $row['contact1'];
		  $this->contact2 = $row['contact2'];
		  $this->date1 = $row['date'];
		 parent::DisConnect( $MySQLiconn); 
		
		
		}	
		
		
	 public function findCategoryById($id) {
	
	    
			$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 $sql = "SELECT  * from category WHERE id = :id";
		 $statement = $MySQLiconn->prepare($sql);
		  $statement->bindValue(':id', $id);
		  $statement->execute(); 
		  $row = $statement->fetch(PDO::FETCH_ASSOC);
		  $this->category = $row['category'];
		  $this->id = $row['id'];
		  $this->date1 = $row['date'];
		 parent::DisConnect( $MySQLiconn); 
		
		
		}		
		
		
	public function addStockDetails($id,$name,$category,$cost_price,$selling_price,$supplier_name,$date,$id2)
	{
		$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 try{
		 
		$sql = "INSERT INTO stock_details  (id,name,category,cost_price,selling_price,supplier_name,date,id2)
		VALUES(:id,:name,:category,:cost_price,:selling_price,:supplier_name,:date,:id2)"; 
		 $statement = $MySQLiconn->prepare($sql);
		  $statement->bindValue(':id', $id);
		  $statement->bindValue(':name', $name);
		  $statement->bindValue(':category', $category);
		  $statement->bindValue(':cost_price', $cost_price);
		  $statement->bindValue(':selling_price', $selling_price);
		  $statement->bindValue(':supplier_name', $supplier_name);
		  $statement->bindValue(':date', $date);
		   $statement->bindValue(':id2', $id2);
		  $statement->execute(); 
		 parent::DisConnect( $MySQLiconn); 
		 }
		 
		 
		  catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			
			
			} 
		 
		
		}
		
		public function updateStockDetails($id,$name,$category,$cost_price,$selling_price,$supplier_name,$date,$id2){
			
			$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 try{
		 
		$sql = "UPDATE stock_details SET name = :name, category = :category, cost_price = :cost_price,selling_price =
		:selling_price,supplier_name = :supplier_name, date = :date, id2 = :id2 WHERE id = :id "; 
		 $statement = $MySQLiconn->prepare($sql);
		  $statement->bindValue(':id', $id);
		  $statement->bindValue(':name', $name);
		  $statement->bindValue(':category', $category);
		  $statement->bindValue(':cost_price', $cost_price);
		  $statement->bindValue(':selling_price', $selling_price);
		  $statement->bindValue(':supplier_name', $supplier_name);
		  $statement->bindValue(':date', $date);
		  $statement->bindValue(':id2', $id2);
		  $statement->execute(); 
		 parent::DisConnect( $MySQLiconn); 
		 }
		 
		 
		  catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			
			
			} 
			
			
			
			
			}	 
			
			
	
	public function checkStockDetails($id2){
		
			  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  stock_details
                WHERE  id2 = :id2';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id2', $id2);

        $statement->execute();
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
			
			
			
			
	}
	
	
	
	 public function findStockDetailsById($id) {
	
	    
			$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 $sql = "SELECT  s.name,s.id2,s.category,s.id,s.date,s.selling_price,s.cost_price,s.supplier_name, s.cost_price, w.quantity from stock_details s INNER JOIN stock_avail w ON s.id = w.id WHERE s.id = :id";
		 $statement = $MySQLiconn->prepare($sql);
		  $statement->bindValue(':id', $id);
		  $statement->execute(); 
		  $row = $statement->fetch(PDO::FETCH_ASSOC);
		  $this->category = $row['category'];
		  $this->id = $row['id'];
		  $this->date1 = $row['date'];
		  $this->selling_price = $row['selling_price'];
		  $this->cost_price = $row['cost_price'];
		  $this->supplier_name = $row['supplier_name'];
		  $this->name = $row['name'];
		  $this->id2 = $row['id2'];
		  $this->quantity = $row['quantity'];
		 parent::DisConnect( $MySQLiconn); 
		
		
		}
	
	public function viewAllStock() {
	
	    
			$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 $sql = "SELECT  * from stock_details ORDER BY date DESC";
		 $statement = $MySQLiconn->prepare($sql);
		  $statement->execute(); 
		  return $statement;
		 parent::DisConnect( $MySQLiconn); 
		
		
		}
		
		
		public function addStockAvailability($id,$name,$id2,$date,$quantity){
			$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		  try{
		$sql = "INSERT into stock_avail (id,name,id2,date,quantity)VALUES(:id,:name,:id2,:date,:quantity)";
			 
			$statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':id',$id);
			  $statement->bindValue(':name',$name);
			   $statement->bindValue(':id2',$id2);
			    $statement->bindValue(':date',$date);
				$statement->bindValue(':quantity',$quantity);
		     $statement->execute(); 
			 
			 
			parent::DisConnect( $MySQLiconn); 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			
			
			} 
		  
		
			}
	
	
	
	    
		  public function viewAllAvailableStock() {
	
	    
			$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 $sql = "SELECT  * from stock_avail ORDER BY date DESC";
		 $statement = $MySQLiconn->prepare($sql);
		  $statement->execute(); 
		  return $statement;
		 parent::DisConnect( $MySQLiconn); 
		
		
		}
	   
	     
	  
	   
	
	public function updateStockDetailsPrice($id,$cost_price,$selling_price,$date){
			
			$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 try{
		 
		$sql = "UPDATE stock_details SET  cost_price = :cost_price,selling_price =
		:selling_price, date = :date WHERE id = :id "; 
		 $statement = $MySQLiconn->prepare($sql);
		  $statement->bindValue(':id', $id);
		  
		  $statement->bindValue(':cost_price', $cost_price);
		  $statement->bindValue(':selling_price', $selling_price);
		  
		  $statement->bindValue(':date', $date);
		 
		  $statement->execute(); 
		 parent::DisConnect( $MySQLiconn); 
		 }
	
	 
	  catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			
			
			} 
			
			
			
			
			}	 
			
			
	
	   public function deleteStock($id){
		  $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 $sql = "DELETE	 from stock_details where id = :id ";
		 
		   $statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':id',$id);
		     $statement->execute();
			 parent::DisConnect( $MySQLiconn); 
		   
		   }
		   
		   
	
	 public function viewStockAvailability(){
		 
		 $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 $sql = "SELECT s.name,s.category,s.supplier_name,s.selling_price,s.cost_price,s.id,w.quantity FROM stock_details s INNER JOIN stock_avail w ON s.id = w.id ";
		 
		 $statement = $MySQLiconn->prepare($sql);
		// $statement->bindValue(':id',$id);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		 
		 
		 
		 
		 }	 
		 
	

public function viewStockAvailabilityForSales(){
		 
		 $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 $sql = "SELECT s.name,s.category,s.supplier_name,s.selling_price,s.cost_price,s.id,w.quantity FROM stock_details s INNER JOIN stock_avail w ON s.id = w.id  WHERE w.quantity > 0";
		 
		 $statement = $MySQLiconn->prepare($sql);
		// $statement->bindValue(':id',$id);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		 
		 
		 
		 
		 }	
		 

  



		 
		 
		 
		
		 public function viewStockAvailabilityBId($id){
		 
		 $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 $sql = "SELECT s.name,s.category,s.supplier_name,s.selling_price,s.cost_price,s.id,w.quantity,s.date,s.id2 FROM stock_details s INNER JOIN stock_avail w ON s.id = w.id WHERE s.id = :id ";
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':id',$id);
       
        $statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
		  $this->category = $row['category'];
		  $this->id = $row['id'];
		  $this->date1 = $row['date'];
		  $this->selling_price = $row['selling_price'];
		  $this->cost_price = $row['cost_price'];
		  $this->supplier_name = $row['supplier_name'];
		  $this->name = $row['name'];
		  $this->id2 = $row['id2'];
		  $this->quantity = $row['quantity'];
		  
	   
		 parent::DisConnect( $MySQLiconn); 
		 
		 
		 
		 
		 }	  
		 
		 
		 
		 
		 
		 
		 
		 
		 public function deleteStockAvailable($id){
		  $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 $sql = "DELETE	 from stock_avail where id = :id ";
		 
		   $statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':id',$id);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn); 
		   
		   }
		   
		   
		
		public function getStockAllStockNamesByASupplier($supplier_name){
			
			$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 $sql = "Select * from stock_details where supplier_name = :supplier_name ";
		 
		   $statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':supplier_name',$supplier_name);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn); 
			
			
			
			
			} 
			
	
	
	  public function getStockAllStockNamesByASupplier2($supplier_name){
			
			$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		 $sql = "SELECT s.name,s.category,s.supplier_name,s.selling_price,s.cost_price,s.id,w.quantity FROM stock_details s INNER JOIN stock_avail w ON s.id = w.id WHERE s.supplier_name = :supplier_name ";
		 
		   $statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':supplier_name',$supplier_name);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn); 
			
			
			
			
			} 	
			
	
	 public function addOrders($id,$totalprice,$date,$staffid,$status,$amount,$supplier_name,$due_date,$descp,$balance,
	 $recievedby,$mode1,$details){
	 
	 $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();	 
		 
	 $sql = "INSERT into orders (id,totalprice,date,staffid,status,amount,supplier_name,due_date,descp,balance,recievedby
	 ,mode1,details)
	 VALUES(:id,:totalprice,:date,:staffid,:status,:amount,:supplier_name,:due_date,:descp,:balance,:recievedby
	 ,:mode1,:details)";	 
		  $statement = $MySQLiconn->prepare($sql);
		  
		  $statement->bindValue(':id',$id);  
		 $statement->bindValue(':totalprice',$totalprice);
		 $statement->bindValue(':date',$date);
		 $statement->bindValue(':staffid',$staffid);
		 $statement->bindValue(':status',$status);
		 $statement->bindValue(':amount',$amount);
		 $statement->bindValue(':supplier_name',$supplier_name);
		 $statement->bindValue(':due_date',$due_date);
		 $statement->bindValue(':descp',$descp);
		 $statement->bindValue(':balance',$balance);
		  $statement->bindValue(':recievedby',$recievedby);
		$statement->bindValue(':mode1',$mode1);
		$statement->bindValue(':details',$details);
		  $statement->execute();
			
			 parent::DisConnect( $MySQLiconn); 
		 
		 }
		 
		
	 
	 public function getOrdersById($id){
	 $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 	 
	      $sql = "select * from orders where id = :id";	 
		  $statement = $MySQLiconn->prepare($sql);
		  
		  $statement->bindValue(':id',$id); 
		  $statement->execute();
		  $row = $statement->fetch(PDO::FETCH_ASSOC);
		  
		  $this->id = $row['id'];
		  $this->totalprice = $row['totalprice'];
		  $this->balance = $row['balance'];
		  $this->amount = $row['amount'];
		  $this->mode1 = $row['mode1'];
		  $this->details = $row['details'];
		  $this->recievedby = $row['recievedby'];
		  $this->supplier_name = $row['supplier_name'];
		  $this->date1 = $row['date'];
		  $this->staffid = $row['staffid'];
		  $this->status = $row['status'];
		 $this->date2 = $row['date'];
	       parent::DisConnect( $MySQLiconn); 	 
		 }	 
		 
	
	  public function addOrderItems($name,$quantity,$supplier_name,$date,$staffid,$cost_price,$total,$id2){
		  $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();	
		 
		 $sql = "INSERT into order_item (name,quantity,supplier_name,date,staffid,cost_price,total,id2)
		 VALUES(:name,:quantity,:supplier_name,:date,:staffid,:cost_price,:total,:id2)";
		 $statement = $MySQLiconn->prepare($sql);
		 
		  $statement->bindValue(':name',$name);
		 $statement->bindValue(':quantity',$quantity);
		  $statement->bindValue(':supplier_name',$supplier_name);
		   $statement->bindValue(':date',$date);
		    $statement->bindValue(':staffid',$staffid);
		  $statement->bindValue(':cost_price',$cost_price);
		   $statement->bindValue(':total',$total);
		    $statement->bindValue(':id2',$id2);
		  $statement->execute();
			
	      parent::DisConnect( $MySQLiconn); 
		  
		  }	 
		  
		  
	public function getOrderItemsById2($id2){
		$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();	
		 
		 $sql = "SELECT * from order_item where id2 = :id2";
		
		 $statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':id2',$id2);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn);
		
		
		}	  			  
		   	
	
	
	public function upDateAvailableStock($id,$quantity){
	$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();	
		 
		$sql = "UPDATE stock_avail SET quantity = :quantity WHERE id = :id";
		$statement = $MySQLiconn->prepare($sql);
		 
		  $statement->bindValue(':id',$id);
		 $statement->bindValue(':quantity',$quantity); 
		$statement->execute();
			
	     parent::DisConnect( $MySQLiconn); 
		
		}
		
	public function getPurchaseRecords($date1,$date2){
	$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();	
		 
		 $sql = "SELECT * from order_item WHERE date BETWEEN '".$date1."' AND '".$date2."' ";	
		 
		 $statement = $MySQLiconn->prepare($sql);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn); 
		
		}
		

    
	public function getPurchaseVouchers($date1,$date2){
	$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();	
		 
		 $sql = "SELECT * from orders WHERE date BETWEEN '".$date1."' AND '".$date2."' ";	
		 
		 $statement = $MySQLiconn->prepare($sql);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn); 
		
		}	
		
		
	
	
	 
	
		
		
	public function insertIntoPurchaseRecord($total,$amount,$balance,$supplier_name,$id2,$date,$recievedby,
	$mode1,$staffid){
		$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();	
		 
		$sql = "INSERT into purchaserecord (total,amount,balance,supplier_name,id2,date,recievedby,mode1,staffid) 
		VALUES(:total,:amount,:balance,:supplier_name,:id2,:date,:recievedby,:mode1,:staffid) ";
		
		 $statement = $MySQLiconn->prepare($sql); 
		
		
		   
		 $statement->bindValue(':total',$total);
		 $statement->bindValue(':amount',$amount);
		 $statement->bindValue(':balance',$balance);
		  $statement->bindValue(':supplier_name',$supplier_name);
		  $statement->bindValue(':id2',$id2);
		 $statement->bindValue(':date',$date);
		  $statement->bindValue(':recievedby',$recievedby);
		$statement->bindValue(':mode1',$mode1);
		$statement->bindValue(':staffid',$staffid);
		
		  $statement->execute();
			 
			 parent::DisConnect( $MySQLiconn);
		
		}			
	
	public function getPurchaseRecordByID($id2){
		
	$instance = parent::getInstance();
   $MySQLiconn  = $instance->getConnection();	
	
	 $sql = "SELECT * from purchaserecord WHERE id2 = :id2 ";
	$statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':id2',$id2);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn);	
		
		}
		
	public function getOutstandingPayments(){
		$instance = parent::getInstance();
   $MySQLiconn  = $instance->getConnection();	
		
		$sql = "SELECT * from orders WHERE status = 'outstanding' ";	
		 
		 $statement = $MySQLiconn->prepare($sql);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn);
		
		
		}	
		
	public function getPendingPayments(){
		$instance = parent::getInstance();
   $MySQLiconn  = $instance->getConnection();	
		
		$sql = "SELECT * from orders WHERE status = 'pending' ";	
		 
		 $statement = $MySQLiconn->prepare($sql);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn);
		
		
		}	
		

   public function updateOrdersByID($id,$balance,$amount,$recievedby,$mode1,$date,$staffid,$details,$status){
	  $instance = parent::getInstance();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "UPDATE orders SET balance = :balance, amount = :amount,recievedby = :recievedby,
   mode1 = :mode1, date = :date, staffid = :staffid, details = :details,status = :status WHERE  id = :id";
   $statement = $MySQLiconn->prepare($sql);
      
	   $statement->bindValue(':id',$id);
	   $statement->bindValue(':balance',$balance);
	   $statement->bindValue(':amount',$amount);
		 $statement->bindValue(':date',$date);
		  $statement->bindValue(':recievedby',$recievedby);
		$statement->bindValue(':mode1',$mode1);
		$statement->bindValue(':staffid',$staffid);
		$statement->bindValue(':details',$details);
		$statement->bindValue(':status',$status);
	   $statement->execute();
			 
			 parent::DisConnect( $MySQLiconn);
	  
	   
	   }			
	
	
	
	
	public function insertIntoSalesRecord($total,$amount,$balance,$id2,$date,$recievedby,
	$mode1,$staffid){
		$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();	
		 
		$sql = "INSERT into sales_record (total,amount,balance,id2,date,recievedby,mode1,staffid) 
		VALUES(:total,:amount,:balance,:id2,:date,:recievedby,:mode1,:staffid) ";
		
		 $statement = $MySQLiconn->prepare($sql); 
		
		
		   
		 $statement->bindValue(':total',$total);
		 $statement->bindValue(':amount',$amount);
		 $statement->bindValue(':balance',$balance); 
		  $statement->bindValue(':id2',$id2);
		 $statement->bindValue(':date',$date);
		  $statement->bindValue(':recievedby',$recievedby);
		$statement->bindValue(':mode1',$mode1);
		$statement->bindValue(':staffid',$staffid);
		
		  $statement->execute();
			 
			 parent::DisConnect( $MySQLiconn);
		
		}	
	
	
	 public function addSalesOrders($id,$totalprice,$date,$staffid,$status,$amount,$due_date,$descp,$balance,
	 $recievedby,$mode1,$details){
	 
	 $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();	 
		 
	 $sql = "INSERT into sales_orders (id,totalprice,date,staffid,status,amount,due_date,descp,balance,recievedby
	 ,mode1,details)
	 VALUES(:id,:totalprice,:date,:staffid,:status,:amount,:due_date,:descp,:balance,:recievedby
	 ,:mode1,:details)";	 
		  $statement = $MySQLiconn->prepare($sql);
		  
		  $statement->bindValue(':id',$id);  
		 $statement->bindValue(':totalprice',$totalprice);
		 $statement->bindValue(':date',$date);
		 $statement->bindValue(':staffid',$staffid);
		 $statement->bindValue(':status',$status);
		 $statement->bindValue(':amount',$amount);
		
	 $statement->bindValue(':due_date',$due_date);
		 $statement->bindValue(':descp',$descp);
		 $statement->bindValue(':balance',$balance);
		  $statement->bindValue(':recievedby',$recievedby);
		$statement->bindValue(':mode1',$mode1);
		$statement->bindValue(':details',$details);
		  $statement->execute();
			
			 parent::DisConnect( $MySQLiconn); 
		 
		 }
		 
	
	
	 public function addSalesOrderItems($name,$quantity,$date,$staffid,$selling_price,$total,$id2){
		  $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();	
		 
		 $sql = "INSERT into sales_item (name,quantity,date,staffid,selling_price,total,id2)
		 VALUES(:name,:quantity,:date,:staffid,:selling_price,:total,:id2)";
		 $statement = $MySQLiconn->prepare($sql);
		 
		  $statement->bindValue(':name',$name);
		 $statement->bindValue(':quantity',$quantity);
		  
		   $statement->bindValue(':date',$date);
		    $statement->bindValue(':staffid',$staffid);
		  $statement->bindValue(':selling_price',$selling_price);
		   $statement->bindValue(':total',$total);
		    $statement->bindValue(':id2',$id2);
		  $statement->execute();
			
	      parent::DisConnect( $MySQLiconn); 
		  
		  }	
	
	
	
	 public function getSalesOrdersById($id){
	 $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 	 
	      $sql = "select * from sales_orders where id = :id";	 
		  $statement = $MySQLiconn->prepare($sql);
		  
		  $statement->bindValue(':id',$id); 
		  $statement->execute();
		  $row = $statement->fetch(PDO::FETCH_ASSOC);
		  
		  $this->id = $row['id'];
		  $this->totalprice = $row['totalprice'];
		  $this->balance = $row['balance'];
		  $this->amount = $row['amount'];
		  $this->mode1 = $row['mode1'];
		  $this->details = $row['details'];
		  $this->recievedby = $row['recievedby'];
		 
		  $this->date1 = $row['date'];
		  $this->staffid = $row['staffid'];
		  $this->status = $row['status'];
		 $this->date2 = $row['date'];
	       parent::DisConnect( $MySQLiconn); 	 
		 }
	
	
	
	
		
	
	public function getSalesReciept($date1,$date2){
	$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();	
		 
		 $sql = "SELECT * from sales_orders WHERE date BETWEEN '".$date1."' AND '".$date2."' ";	
		 
		 $statement = $MySQLiconn->prepare($sql);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn); 
		
		}	
		


    
	
	public function getSalesOrderItemsById2($id2){
		$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();	
		 
		 $sql = "SELECT * from sales_item  where id2 = :id2";
		
		 $statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':id2',$id2);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn);
		
		
		}	
		
		
		
		public function getSalesRecordByID($id2){
		
	$instance = parent::getInstance();
   $MySQLiconn  = $instance->getConnection();	
	
	 $sql = "SELECT * from sales_record WHERE id2 = :id2 ";
	$statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':id2',$id2);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn);	
		
		}	
		
		

  		
   
   
   			
	
	
	public function getSalesRecords($date1,$date2){
	$instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();	
		 
		 $sql = "SELECT * from sales_item WHERE date BETWEEN '".$date1."' AND '".$date2."' ";	
		 
		 $statement = $MySQLiconn->prepare($sql);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn); 
		
		}
		

  
  public function getOutstandingSalesPayments(){
		$instance = parent::getInstance();
   $MySQLiconn  = $instance->getConnection();	
		
		$sql = "SELECT * from sales_orders WHERE status = 'outstanding' ";	
		 
		 $statement = $MySQLiconn->prepare($sql);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn);
		
		
		}			
	
	
	
	  public function getPendingSalesPayments(){
		$instance = parent::getInstance();
   $MySQLiconn  = $instance->getConnection();	
		
		$sql = "SELECT * from sales_orders WHERE status = 'pending' ";	
		 
		 $statement = $MySQLiconn->prepare($sql);
		     $statement->execute();
			 return $statement;
			 parent::DisConnect( $MySQLiconn);
		
		
		}	
	  
	
	
	 public function updateSalesOrdersByID($id,$balance,$amount,$recievedby,$mode1,$date,$staffid,$details,$status){
	  $instance = parent::getInstance();
   $MySQLiconn  = $instance->getConnection();
   
   $sql = "UPDATE sales_orders SET balance = :balance, amount = :amount,recievedby = :recievedby,
   mode1 = :mode1, date = :date, staffid = :staffid, details = :details,status = :status WHERE  id = :id";
   $statement = $MySQLiconn->prepare($sql);
      
	   $statement->bindValue(':id',$id);
	   $statement->bindValue(':balance',$balance);
	   $statement->bindValue(':amount',$amount);
		 $statement->bindValue(':date',$date);
		  $statement->bindValue(':recievedby',$recievedby);
		$statement->bindValue(':mode1',$mode1);
		$statement->bindValue(':staffid',$staffid);
		$statement->bindValue(':details',$details);
		$statement->bindValue(':status',$status);
	   $statement->execute();
			 
			 parent::DisConnect( $MySQLiconn);
	  
	   
	   }			
	
	
	
	
	}






?>